#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 9
#define STATE_COUNT 227
#define SYMBOL_COUNT 161
#define ALIAS_COUNT 0
#define TOKEN_COUNT 83
#define EXTERNAL_TOKEN_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 0

enum {
  sym_nil = 1,
  sym_true = 2,
  sym_false = 3,
  sym__normal_long = 4,
  sym__number_hex = 5,
  sym__number_arbitrary_radix = 6,
  sym__number_octal = 7,
  sym_number_double = 8,
  sym_number_bigint = 9,
  sym_number_bigdecimal = 10,
  sym_number_ratio = 11,
  anon_sym_POUND_POUND = 12,
  sym_infinity = 13,
  sym_negative_infinity = 14,
  sym_not_a_number = 15,
  anon_sym_BSLASH = 16,
  sym__normal_char = 17,
  anon_sym_newline = 18,
  anon_sym_space = 19,
  anon_sym_tab = 20,
  anon_sym_formfeed = 21,
  anon_sym_backspace = 22,
  anon_sym_return = 23,
  anon_sym_u = 24,
  sym__hex_char = 25,
  anon_sym_o = 26,
  aux_sym_SLASH_LBRACK0_DASH3_RBRACK_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH = 27,
  aux_sym_SLASH_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH = 28,
  aux_sym_SLASH_LBRACK0_DASH7_RBRACK_SLASH = 29,
  anon_sym_DQUOTE = 30,
  anon_sym_BSLASH_DQUOTE = 31,
  aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH = 32,
  anon_sym_POUND_DQUOTE = 33,
  aux_sym_SLASH_LBRACK_CARET_DQUOTE_BSLASHn_BSLASHr_RBRACK_SLASH = 34,
  anon_sym_SQUOTE = 35,
  anon_sym_LPARENquote = 36,
  anon_sym_RPAREN = 37,
  anon_sym_COLON = 38,
  anon_sym_COLON_COLON = 39,
  anon_sym_SLASH = 40,
  sym__keyword_chars = 41,
  anon_sym_DASH_GT = 42,
  anon_sym_DASH_GT_GT = 43,
  anon_sym_as_DASH_GT = 44,
  anon_sym_some_DASH_GT = 45,
  anon_sym_some_DASH_GT_GT = 46,
  anon_sym_cond_DASH_GT = 47,
  anon_sym_cond_DASH_GT_GT = 48,
  sym__symbol_chars = 49,
  sym_member_access = 50,
  sym_field_access = 51,
  sym_new_class = 52,
  anon_sym_LPAREN = 53,
  anon_sym_LBRACK = 54,
  anon_sym_RBRACK = 55,
  anon_sym_LBRACE = 56,
  anon_sym_RBRACE = 57,
  anon_sym_POUND_COLON_COLON_LBRACE = 58,
  aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH = 59,
  anon_sym_POUND_LBRACE = 60,
  anon_sym_SEMI = 61,
  aux_sym_SLASH_DOT_STAR_SLASH = 62,
  anon_sym_POUND_BANG = 63,
  anon_sym_POUND_ = 64,
  anon_sym_comment = 65,
  anon_sym_fn = 66,
  anon_sym_POUND_LPAREN = 67,
  sym_shorthand_function_arg = 68,
  anon_sym_defn = 69,
  anon_sym_defn_DASH = 70,
  anon_sym_CARET = 71,
  anon_sym_CARET_COLON = 72,
  anon_sym_CARET_DQUOTE = 73,
  anon_sym_BQUOTE = 74,
  anon_sym_POUND_SQUOTE = 75,
  anon_sym_TILDE = 76,
  anon_sym_TILDE_AT = 77,
  sym_gensym = 78,
  anon_sym_AT = 79,
  anon_sym_POUND = 80,
  anon_sym_POUND_QMARK = 81,
  anon_sym_POUND_QMARK_AT = 82,
  sym_program = 83,
  sym__anything = 84,
  sym__literals = 85,
  sym__collection_literals = 86,
  sym_boolean = 87,
  sym_number = 88,
  sym__number = 89,
  sym_number_long = 90,
  sym_symbolic_value = 91,
  sym_character = 92,
  sym__character = 93,
  sym__special_char = 94,
  sym__unicode_char = 95,
  sym__octal_char = 96,
  sym__octal_num = 97,
  sym_string = 98,
  sym__string = 99,
  sym_regex = 100,
  sym__regex = 101,
  sym_quote = 102,
  sym__quote = 103,
  sym_keyword = 104,
  sym__keyword = 105,
  sym__unqualified_keyword = 106,
  sym_qualified_keyword = 107,
  sym_symbol = 108,
  sym__symbol = 109,
  sym_threading_macro = 110,
  sym_qualified_symbol = 111,
  sym__qualified_symbol = 112,
  sym_interop = 113,
  sym_list = 114,
  sym__list = 115,
  sym_vector = 116,
  sym__vector = 117,
  sym_hash_map = 118,
  sym__hash_map = 119,
  sym_namespace_map = 120,
  sym__hash_map_kv_pair = 121,
  sym__hash_map_key = 122,
  sym__hash_map_value = 123,
  sym_set = 124,
  sym__set = 125,
  sym_comment = 126,
  sym_semicolon = 127,
  sym_shebang_line = 128,
  sym_ignore_form = 129,
  sym_comment_macro = 130,
  sym__functions = 131,
  sym_anonymous_function = 132,
  sym__after_the_fn_name = 133,
  sym_function_name = 134,
  sym__single_arity_fn = 135,
  sym__multi_arity_fn = 136,
  sym_function_body = 137,
  sym_params = 138,
  sym_shorthand_function = 139,
  sym_defn = 140,
  sym_docstring = 141,
  sym_attr_map = 142,
  sym_metadata = 143,
  sym__metadata_map = 144,
  sym_metadata_shorthand = 145,
  sym_syntax_quote = 146,
  sym_var_quote = 147,
  sym_unquote = 148,
  sym_unquote_splice = 149,
  sym_deref = 150,
  sym_tagged_literal = 151,
  sym_reader_conditional = 152,
  sym__reader_conditional_symbol = 153,
  aux_sym_program_repeat1 = 154,
  aux_sym__string_repeat1 = 155,
  aux_sym__regex_repeat1 = 156,
  aux_sym__hash_map_repeat1 = 157,
  aux_sym__multi_arity_fn_repeat1 = 158,
  aux_sym_metadata_repeat1 = 159,
  aux_sym_reader_conditional_repeat1 = 160,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "END",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym__normal_long] = "_normal_long",
  [sym__number_hex] = "_number_hex",
  [sym__number_arbitrary_radix] = "_number_arbitrary_radix",
  [sym__number_octal] = "_number_octal",
  [sym_number_double] = "number_double",
  [sym_number_bigint] = "number_bigint",
  [sym_number_bigdecimal] = "number_bigdecimal",
  [sym_number_ratio] = "number_ratio",
  [anon_sym_POUND_POUND] = "##",
  [sym_infinity] = "infinity",
  [sym_negative_infinity] = "negative_infinity",
  [sym_not_a_number] = "not_a_number",
  [anon_sym_BSLASH] = "\\",
  [sym__normal_char] = "_normal_char",
  [anon_sym_newline] = "newline",
  [anon_sym_space] = "space",
  [anon_sym_tab] = "tab",
  [anon_sym_formfeed] = "formfeed",
  [anon_sym_backspace] = "backspace",
  [anon_sym_return] = "return",
  [anon_sym_u] = "u",
  [sym__hex_char] = "_hex_char",
  [anon_sym_o] = "o",
  [aux_sym_SLASH_LBRACK0_DASH3_RBRACK_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH] = "/[0-3][0-7][0-7]/",
  [aux_sym_SLASH_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH] = "/[0-7][0-7]/",
  [aux_sym_SLASH_LBRACK0_DASH7_RBRACK_SLASH] = "/[0-7]/",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_BSLASH_DQUOTE] = "\\\"",
  [aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH] = "/[^\"]/",
  [anon_sym_POUND_DQUOTE] = "#\"",
  [aux_sym_SLASH_LBRACK_CARET_DQUOTE_BSLASHn_BSLASHr_RBRACK_SLASH] = "/[^\"\\n\\r]/",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_LPARENquote] = "(quote",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COLON] = ":",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_SLASH] = "/",
  [sym__keyword_chars] = "_keyword_chars",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_DASH_GT_GT] = "->>",
  [anon_sym_as_DASH_GT] = "as->",
  [anon_sym_some_DASH_GT] = "some->",
  [anon_sym_some_DASH_GT_GT] = "some->>",
  [anon_sym_cond_DASH_GT] = "cond->",
  [anon_sym_cond_DASH_GT_GT] = "cond->>",
  [sym__symbol_chars] = "_symbol_chars",
  [sym_member_access] = "member_access",
  [sym_field_access] = "field_access",
  [sym_new_class] = "new_class",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_POUND_COLON_COLON_LBRACE] = "#::{",
  [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = "/\\#\\:[a-zA-Z\\*\\+\\!\\-\\_\\?][a-zA-Z0-9\\*\\+\\!\\-\\_\\?\\'\\:]*/",
  [anon_sym_POUND_LBRACE] = "#{",
  [anon_sym_SEMI] = ";",
  [aux_sym_SLASH_DOT_STAR_SLASH] = "/.*/",
  [anon_sym_POUND_BANG] = "#!",
  [anon_sym_POUND_] = "#_",
  [anon_sym_comment] = "comment",
  [anon_sym_fn] = "fn",
  [anon_sym_POUND_LPAREN] = "#(",
  [sym_shorthand_function_arg] = "shorthand_function_arg",
  [anon_sym_defn] = "defn",
  [anon_sym_defn_DASH] = "defn-",
  [anon_sym_CARET] = "^",
  [anon_sym_CARET_COLON] = "^:",
  [anon_sym_CARET_DQUOTE] = "^\"",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_POUND_SQUOTE] = "#'",
  [anon_sym_TILDE] = "~",
  [anon_sym_TILDE_AT] = "~@",
  [sym_gensym] = "gensym",
  [anon_sym_AT] = "@",
  [anon_sym_POUND] = "#",
  [anon_sym_POUND_QMARK] = "#?",
  [anon_sym_POUND_QMARK_AT] = "#?@",
  [sym_program] = "program",
  [sym__anything] = "_anything",
  [sym__literals] = "_literals",
  [sym__collection_literals] = "_collection_literals",
  [sym_boolean] = "boolean",
  [sym_number] = "number",
  [sym__number] = "_number",
  [sym_number_long] = "number_long",
  [sym_symbolic_value] = "symbolic_value",
  [sym_character] = "character",
  [sym__character] = "_character",
  [sym__special_char] = "_special_char",
  [sym__unicode_char] = "_unicode_char",
  [sym__octal_char] = "_octal_char",
  [sym__octal_num] = "_octal_num",
  [sym_string] = "string",
  [sym__string] = "_string",
  [sym_regex] = "regex",
  [sym__regex] = "_regex",
  [sym_quote] = "quote",
  [sym__quote] = "_quote",
  [sym_keyword] = "keyword",
  [sym__keyword] = "_keyword",
  [sym__unqualified_keyword] = "_unqualified_keyword",
  [sym_qualified_keyword] = "qualified_keyword",
  [sym_symbol] = "symbol",
  [sym__symbol] = "_symbol",
  [sym_threading_macro] = "threading_macro",
  [sym_qualified_symbol] = "qualified_symbol",
  [sym__qualified_symbol] = "_qualified_symbol",
  [sym_interop] = "interop",
  [sym_list] = "list",
  [sym__list] = "_list",
  [sym_vector] = "vector",
  [sym__vector] = "_vector",
  [sym_hash_map] = "hash_map",
  [sym__hash_map] = "_hash_map",
  [sym_namespace_map] = "namespace_map",
  [sym__hash_map_kv_pair] = "_hash_map_kv_pair",
  [sym__hash_map_key] = "_hash_map_key",
  [sym__hash_map_value] = "_hash_map_value",
  [sym_set] = "set",
  [sym__set] = "_set",
  [sym_comment] = "comment",
  [sym_semicolon] = "semicolon",
  [sym_shebang_line] = "shebang_line",
  [sym_ignore_form] = "ignore_form",
  [sym_comment_macro] = "comment_macro",
  [sym__functions] = "_functions",
  [sym_anonymous_function] = "anonymous_function",
  [sym__after_the_fn_name] = "_after_the_fn_name",
  [sym_function_name] = "function_name",
  [sym__single_arity_fn] = "_single_arity_fn",
  [sym__multi_arity_fn] = "_multi_arity_fn",
  [sym_function_body] = "function_body",
  [sym_params] = "params",
  [sym_shorthand_function] = "shorthand_function",
  [sym_defn] = "defn",
  [sym_docstring] = "docstring",
  [sym_attr_map] = "attr_map",
  [sym_metadata] = "metadata",
  [sym__metadata_map] = "_metadata_map",
  [sym_metadata_shorthand] = "metadata_shorthand",
  [sym_syntax_quote] = "syntax_quote",
  [sym_var_quote] = "var_quote",
  [sym_unquote] = "unquote",
  [sym_unquote_splice] = "unquote_splice",
  [sym_deref] = "deref",
  [sym_tagged_literal] = "tagged_literal",
  [sym_reader_conditional] = "reader_conditional",
  [sym__reader_conditional_symbol] = "_reader_conditional_symbol",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym__string_repeat1] = "_string_repeat1",
  [aux_sym__regex_repeat1] = "_regex_repeat1",
  [aux_sym__hash_map_repeat1] = "_hash_map_repeat1",
  [aux_sym__multi_arity_fn_repeat1] = "_multi_arity_fn_repeat1",
  [aux_sym_metadata_repeat1] = "metadata_repeat1",
  [aux_sym_reader_conditional_repeat1] = "reader_conditional_repeat1",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym__normal_long] = {
    .visible = false,
    .named = true,
  },
  [sym__number_hex] = {
    .visible = false,
    .named = true,
  },
  [sym__number_arbitrary_radix] = {
    .visible = false,
    .named = true,
  },
  [sym__number_octal] = {
    .visible = false,
    .named = true,
  },
  [sym_number_double] = {
    .visible = true,
    .named = true,
  },
  [sym_number_bigint] = {
    .visible = true,
    .named = true,
  },
  [sym_number_bigdecimal] = {
    .visible = true,
    .named = true,
  },
  [sym_number_ratio] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND_POUND] = {
    .visible = true,
    .named = false,
  },
  [sym_infinity] = {
    .visible = true,
    .named = true,
  },
  [sym_negative_infinity] = {
    .visible = true,
    .named = true,
  },
  [sym_not_a_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__normal_char] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_newline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_space] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tab] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_formfeed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_backspace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u] = {
    .visible = true,
    .named = false,
  },
  [sym__hex_char] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_o] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SLASH_LBRACK0_DASH3_RBRACK_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_LBRACK0_DASH7_RBRACK_SLASH] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SLASH_LBRACK_CARET_DQUOTE_BSLASHn_BSLASHr_RBRACK_SLASH] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPARENquote] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__keyword_chars] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_some_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_some_DASH_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cond_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cond_DASH_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__symbol_chars] = {
    .visible = false,
    .named = true,
  },
  [sym_member_access] = {
    .visible = true,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym_new_class] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_COLON_COLON_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SLASH_DOT_STAR_SLASH] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comment] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_shorthand_function_arg] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_defn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defn_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_gensym] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_QMARK_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__anything] = {
    .visible = false,
    .named = true,
  },
  [sym__literals] = {
    .visible = false,
    .named = true,
  },
  [sym__collection_literals] = {
    .visible = false,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = false,
    .named = true,
  },
  [sym_number_long] = {
    .visible = true,
    .named = true,
  },
  [sym_symbolic_value] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym__character] = {
    .visible = false,
    .named = true,
  },
  [sym__special_char] = {
    .visible = false,
    .named = true,
  },
  [sym__unicode_char] = {
    .visible = false,
    .named = true,
  },
  [sym__octal_char] = {
    .visible = false,
    .named = true,
  },
  [sym__octal_num] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym__regex] = {
    .visible = false,
    .named = true,
  },
  [sym_quote] = {
    .visible = true,
    .named = true,
  },
  [sym__quote] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym__keyword] = {
    .visible = false,
    .named = true,
  },
  [sym__unqualified_keyword] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym__symbol] = {
    .visible = false,
    .named = true,
  },
  [sym_threading_macro] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym__qualified_symbol] = {
    .visible = false,
    .named = true,
  },
  [sym_interop] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__list] = {
    .visible = false,
    .named = true,
  },
  [sym_vector] = {
    .visible = true,
    .named = true,
  },
  [sym__vector] = {
    .visible = false,
    .named = true,
  },
  [sym_hash_map] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_map] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_map] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_map_kv_pair] = {
    .visible = false,
    .named = true,
  },
  [sym__hash_map_key] = {
    .visible = false,
    .named = true,
  },
  [sym__hash_map_value] = {
    .visible = false,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym__set] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_semicolon] = {
    .visible = true,
    .named = true,
  },
  [sym_shebang_line] = {
    .visible = true,
    .named = true,
  },
  [sym_ignore_form] = {
    .visible = true,
    .named = true,
  },
  [sym_comment_macro] = {
    .visible = true,
    .named = true,
  },
  [sym__functions] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym__after_the_fn_name] = {
    .visible = false,
    .named = true,
  },
  [sym_function_name] = {
    .visible = true,
    .named = true,
  },
  [sym__single_arity_fn] = {
    .visible = false,
    .named = true,
  },
  [sym__multi_arity_fn] = {
    .visible = false,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_params] = {
    .visible = true,
    .named = true,
  },
  [sym_shorthand_function] = {
    .visible = true,
    .named = true,
  },
  [sym_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_docstring] = {
    .visible = true,
    .named = true,
  },
  [sym_attr_map] = {
    .visible = true,
    .named = true,
  },
  [sym_metadata] = {
    .visible = true,
    .named = true,
  },
  [sym__metadata_map] = {
    .visible = false,
    .named = true,
  },
  [sym_metadata_shorthand] = {
    .visible = true,
    .named = true,
  },
  [sym_syntax_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_var_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_unquote] = {
    .visible = true,
    .named = true,
  },
  [sym_unquote_splice] = {
    .visible = true,
    .named = true,
  },
  [sym_deref] = {
    .visible = true,
    .named = true,
  },
  [sym_tagged_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_reader_conditional] = {
    .visible = true,
    .named = true,
  },
  [sym__reader_conditional_symbol] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__regex_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__hash_map_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multi_arity_fn_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_metadata_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_reader_conditional_repeat1] = {
    .visible = false,
    .named = false,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(17);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(19);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '+')
        ADVANCE(26);
      if (lookahead == ',')
        SKIP(0);
      if (lookahead == '-')
        ADVANCE(28);
      if (lookahead == '.')
        ADVANCE(34);
      if (lookahead == '/')
        ADVANCE(45);
      if (lookahead == ':')
        ADVANCE(46);
      if (lookahead == ';')
        ADVANCE(48);
      if (lookahead == '@')
        ADVANCE(49);
      if (lookahead == 'I')
        ADVANCE(50);
      if (lookahead == 'N')
        ADVANCE(53);
      if (lookahead == '[')
        ADVANCE(56);
      if (lookahead == '\\')
        ADVANCE(57);
      if (lookahead == ']')
        ADVANCE(58);
      if (lookahead == '^')
        ADVANCE(59);
      if (lookahead == '`')
        ADVANCE(62);
      if (lookahead == 'n')
        ADVANCE(63);
      if (lookahead == 'o')
        ADVANCE(72);
      if (lookahead == 'r')
        ADVANCE(73);
      if (lookahead == 's')
        ADVANCE(79);
      if (lookahead == 't')
        ADVANCE(90);
      if (lookahead == 'u')
        ADVANCE(96);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '}')
        ADVANCE(98);
      if (lookahead == '~')
        ADVANCE(99);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(101);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(0);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(101);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(105);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!')
        ADVANCE(4);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '#')
        ADVANCE(6);
      if (lookahead == '\'')
        ADVANCE(7);
      if (lookahead == '(')
        ADVANCE(8);
      if (lookahead == ':')
        ADVANCE(9);
      if (lookahead == '?')
        ADVANCE(13);
      if (lookahead == '_')
        ADVANCE(15);
      if (lookahead == '{')
        ADVANCE(16);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_POUND_BANG);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(anon_sym_POUND_DQUOTE);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(anon_sym_POUND_POUND);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_POUND_SQUOTE);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_POUND_LPAREN);
      END_STATE();
    case 9:
      if (lookahead == ':')
        ADVANCE(10);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(12);
      END_STATE();
    case 10:
      if (lookahead == '{')
        ADVANCE(11);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_POUND_COLON_COLON_LBRACE);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(12);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_POUND_QMARK);
      if (lookahead == '@')
        ADVANCE(14);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_POUND_QMARK_AT);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_POUND_);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACE);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(sym_shorthand_function_arg);
      if (lookahead == '&' ||
          ('1' <= lookahead && lookahead <= '9'))
        ADVANCE(17);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == 'q')
        ADVANCE(20);
      END_STATE();
    case 20:
      if (lookahead == 'u')
        ADVANCE(21);
      END_STATE();
    case 21:
      if (lookahead == 'o')
        ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == 't')
        ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == 'e')
        ADVANCE(24);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_LPARENquote);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(27);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(sym__normal_long);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(27);
      END_STATE();
    case 28:
      if (lookahead == '>')
        ADVANCE(29);
      if (lookahead == 'I')
        ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(27);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '>')
        ADVANCE(30);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_DASH_GT_GT);
      END_STATE();
    case 31:
      if (lookahead == 'n')
        ADVANCE(32);
      END_STATE();
    case 32:
      if (lookahead == 'f')
        ADVANCE(33);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(sym_negative_infinity);
      END_STATE();
    case 34:
      if (lookahead == '-')
        ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(37);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(44);
      END_STATE();
    case 35:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(36);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(sym_field_access);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(36);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == '_')
        ADVANCE(38);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(39);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '_')
        ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(37);
      END_STATE();
    case 39:
      if (lookahead == '+')
        ADVANCE(40);
      if (lookahead == '-')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == '_')
        ADVANCE(42);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f')
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 42:
      if (lookahead == '_')
        ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_number_double);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_member_access);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(44);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':')
        ADVANCE(47);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 50:
      if (lookahead == 'n')
        ADVANCE(51);
      END_STATE();
    case 51:
      if (lookahead == 'f')
        ADVANCE(52);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym_infinity);
      END_STATE();
    case 53:
      if (lookahead == 'a')
        ADVANCE(54);
      END_STATE();
    case 54:
      if (lookahead == 'N')
        ADVANCE(55);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(sym_not_a_number);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '\"')
        ADVANCE(60);
      if (lookahead == ':')
        ADVANCE(61);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_CARET_DQUOTE);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_CARET_COLON);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 63:
      if (lookahead == 'e')
        ADVANCE(64);
      if (lookahead == 'i')
        ADVANCE(70);
      END_STATE();
    case 64:
      if (lookahead == 'w')
        ADVANCE(65);
      END_STATE();
    case 65:
      if (lookahead == 'l')
        ADVANCE(66);
      END_STATE();
    case 66:
      if (lookahead == 'i')
        ADVANCE(67);
      END_STATE();
    case 67:
      if (lookahead == 'n')
        ADVANCE(68);
      END_STATE();
    case 68:
      if (lookahead == 'e')
        ADVANCE(69);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_newline);
      END_STATE();
    case 70:
      if (lookahead == 'l')
        ADVANCE(71);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_o);
      END_STATE();
    case 73:
      if (lookahead == 'e')
        ADVANCE(74);
      END_STATE();
    case 74:
      if (lookahead == 't')
        ADVANCE(75);
      END_STATE();
    case 75:
      if (lookahead == 'u')
        ADVANCE(76);
      END_STATE();
    case 76:
      if (lookahead == 'r')
        ADVANCE(77);
      END_STATE();
    case 77:
      if (lookahead == 'n')
        ADVANCE(78);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 79:
      if (lookahead == 'o')
        ADVANCE(80);
      if (lookahead == 'p')
        ADVANCE(86);
      END_STATE();
    case 80:
      if (lookahead == 'm')
        ADVANCE(81);
      END_STATE();
    case 81:
      if (lookahead == 'e')
        ADVANCE(82);
      END_STATE();
    case 82:
      if (lookahead == '-')
        ADVANCE(83);
      END_STATE();
    case 83:
      if (lookahead == '>')
        ADVANCE(84);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_some_DASH_GT);
      if (lookahead == '>')
        ADVANCE(85);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_some_DASH_GT_GT);
      END_STATE();
    case 86:
      if (lookahead == 'a')
        ADVANCE(87);
      END_STATE();
    case 87:
      if (lookahead == 'c')
        ADVANCE(88);
      END_STATE();
    case 88:
      if (lookahead == 'e')
        ADVANCE(89);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_space);
      END_STATE();
    case 90:
      if (lookahead == 'a')
        ADVANCE(91);
      if (lookahead == 'r')
        ADVANCE(93);
      END_STATE();
    case 91:
      if (lookahead == 'b')
        ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_tab);
      END_STATE();
    case 93:
      if (lookahead == 'u')
        ADVANCE(94);
      END_STATE();
    case 94:
      if (lookahead == 'e')
        ADVANCE(95);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_u);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '@')
        ADVANCE(100);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_TILDE_AT);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '.')
        ADVANCE(102);
      if (lookahead == '_')
        ADVANCE(103);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(39);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(39);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(37);
      END_STATE();
    case 103:
      if (lookahead == '_')
        ADVANCE(103);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(104);
      END_STATE();
    case 104:
      if (lookahead == '.')
        ADVANCE(102);
      if (lookahead == '_')
        ADVANCE(103);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(39);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym__hex_char);
      END_STATE();
    case 106:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(17);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(107);
      if (lookahead == ',')
        SKIP(106);
      if (lookahead == '-')
        ADVANCE(114);
      if (lookahead == '.')
        ADVANCE(34);
      if (lookahead == '0')
        ADVANCE(128);
      if (lookahead == ':')
        ADVANCE(46);
      if (lookahead == ';')
        ADVANCE(48);
      if (lookahead == '@')
        ADVANCE(49);
      if (lookahead == '[')
        ADVANCE(56);
      if (lookahead == '\\')
        ADVANCE(57);
      if (lookahead == '^')
        ADVANCE(59);
      if (lookahead == '`')
        ADVANCE(62);
      if (lookahead == 'a')
        ADVANCE(140);
      if (lookahead == 'c')
        ADVANCE(147);
      if (lookahead == 'f')
        ADVANCE(154);
      if (lookahead == 'n')
        ADVANCE(159);
      if (lookahead == 's')
        ADVANCE(162);
      if (lookahead == 't')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '~')
        ADVANCE(99);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(113);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(106);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(109);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_gensym);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '/')
        ADVANCE(110);
      if (lookahead == 'N')
        ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(109);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 110:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(111);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_number_ratio);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_number_bigint);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '0')
        ADVANCE(115);
      if (lookahead == '>')
        ADVANCE(29);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(127);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(116);
      if (lookahead == '/')
        ADVANCE(110);
      if (lookahead == 'N')
        ADVANCE(112);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(122);
      if (lookahead == 'X' ||
          lookahead == 'x')
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(126);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(117);
      END_STATE();
    case 117:
      if (lookahead == 'M')
        ADVANCE(118);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_number_bigdecimal);
      END_STATE();
    case 119:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(121);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(121);
      END_STATE();
    case 121:
      if (lookahead == 'M')
        ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          lookahead == '_')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(123);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym__number_arbitrary_radix);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          lookahead == '_')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym__number_hex);
      if (lookahead == '#')
        ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(116);
      if (lookahead == '/')
        ADVANCE(110);
      if (lookahead == 'N')
        ADVANCE(112);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(126);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(116);
      if (lookahead == '/')
        ADVANCE(110);
      if (lookahead == 'N')
        ADVANCE(112);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(127);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '.')
        ADVANCE(129);
      if (lookahead == '/')
        ADVANCE(110);
      if (lookahead == 'N')
        ADVANCE(134);
      if (lookahead == '_')
        ADVANCE(103);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(39);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(135);
      if (lookahead == 'X' ||
          lookahead == 'x')
        ADVANCE(137);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(139);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(39);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(130);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == 'M')
        ADVANCE(118);
      if (lookahead == '_')
        ADVANCE(38);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(131);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(130);
      END_STATE();
    case 131:
      if (lookahead == '+')
        ADVANCE(132);
      if (lookahead == '-')
        ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == 'M')
        ADVANCE(118);
      if (lookahead == '_')
        ADVANCE(42);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f')
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_number_bigint);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym__number_arbitrary_radix);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(136);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(138);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym__number_hex);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '.')
        ADVANCE(129);
      if (lookahead == '/')
        ADVANCE(110);
      if (lookahead == 'N')
        ADVANCE(134);
      if (lookahead == '_')
        ADVANCE(103);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(39);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(135);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 's')
        ADVANCE(143);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_new_class);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(142);
      END_STATE();
    case 142:
      if (lookahead == '.')
        ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '-')
        ADVANCE(144);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '>')
        ADVANCE(145);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_as_DASH_GT);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'o')
        ADVANCE(148);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'n')
        ADVANCE(149);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'd')
        ADVANCE(150);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '-')
        ADVANCE(151);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '>')
        ADVANCE(152);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_cond_DASH_GT);
      if (lookahead == '>')
        ADVANCE(153);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_cond_DASH_GT_GT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'a')
        ADVANCE(155);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'l')
        ADVANCE(156);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 's')
        ADVANCE(157);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(158);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'i')
        ADVANCE(160);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'l')
        ADVANCE(161);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_nil);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'o')
        ADVANCE(163);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'm')
        ADVANCE(164);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(165);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '-')
        ADVANCE(166);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '>')
        ADVANCE(84);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'r')
        ADVANCE(168);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'u')
        ADVANCE(169);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(170);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '.')
        ADVANCE(129);
      if (lookahead == '/')
        ADVANCE(110);
      if (lookahead == 'N')
        ADVANCE(134);
      if (lookahead == '_')
        ADVANCE(103);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(39);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(135);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(171);
      END_STATE();
    case 172:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(17);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(19);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '+')
        ADVANCE(107);
      if (lookahead == ',')
        SKIP(172);
      if (lookahead == '-')
        ADVANCE(114);
      if (lookahead == '.')
        ADVANCE(34);
      if (lookahead == '0')
        ADVANCE(128);
      if (lookahead == ':')
        ADVANCE(46);
      if (lookahead == ';')
        ADVANCE(48);
      if (lookahead == '@')
        ADVANCE(49);
      if (lookahead == '[')
        ADVANCE(56);
      if (lookahead == '\\')
        ADVANCE(57);
      if (lookahead == ']')
        ADVANCE(58);
      if (lookahead == '^')
        ADVANCE(59);
      if (lookahead == '`')
        ADVANCE(62);
      if (lookahead == 'a')
        ADVANCE(140);
      if (lookahead == 'c')
        ADVANCE(147);
      if (lookahead == 'f')
        ADVANCE(154);
      if (lookahead == 'n')
        ADVANCE(159);
      if (lookahead == 's')
        ADVANCE(162);
      if (lookahead == 't')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '}')
        ADVANCE(98);
      if (lookahead == '~')
        ADVANCE(99);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(113);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(172);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 173:
      if (lookahead == ',')
        SKIP(173);
      if (lookahead == '-')
        ADVANCE(174);
      if (lookahead == 'I')
        ADVANCE(50);
      if (lookahead == 'N')
        ADVANCE(53);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(173);
      END_STATE();
    case 174:
      if (lookahead == 'I')
        ADVANCE(31);
      END_STATE();
    case 175:
      if (lookahead == '\n')
        SKIP(175);
      if (lookahead == ',')
        ADVANCE(176);
      if (lookahead == 'b')
        ADVANCE(177);
      if (lookahead == 'f')
        ADVANCE(186);
      if (lookahead == 'n')
        ADVANCE(194);
      if (lookahead == 'o')
        ADVANCE(72);
      if (lookahead == 'r')
        ADVANCE(195);
      if (lookahead == 's')
        ADVANCE(196);
      if (lookahead == 't')
        ADVANCE(197);
      if (lookahead == 'u')
        ADVANCE(96);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(176);
      if (lookahead != 0)
        ADVANCE(176);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym__normal_char);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'a')
        ADVANCE(178);
      END_STATE();
    case 178:
      if (lookahead == 'c')
        ADVANCE(179);
      END_STATE();
    case 179:
      if (lookahead == 'k')
        ADVANCE(180);
      END_STATE();
    case 180:
      if (lookahead == 's')
        ADVANCE(181);
      END_STATE();
    case 181:
      if (lookahead == 'p')
        ADVANCE(182);
      END_STATE();
    case 182:
      if (lookahead == 'a')
        ADVANCE(183);
      END_STATE();
    case 183:
      if (lookahead == 'c')
        ADVANCE(184);
      END_STATE();
    case 184:
      if (lookahead == 'e')
        ADVANCE(185);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_backspace);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'o')
        ADVANCE(187);
      END_STATE();
    case 187:
      if (lookahead == 'r')
        ADVANCE(188);
      END_STATE();
    case 188:
      if (lookahead == 'm')
        ADVANCE(189);
      END_STATE();
    case 189:
      if (lookahead == 'f')
        ADVANCE(190);
      END_STATE();
    case 190:
      if (lookahead == 'e')
        ADVANCE(191);
      END_STATE();
    case 191:
      if (lookahead == 'e')
        ADVANCE(192);
      END_STATE();
    case 192:
      if (lookahead == 'd')
        ADVANCE(193);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_formfeed);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'e')
        ADVANCE(64);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'e')
        ADVANCE(74);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'p')
        ADVANCE(86);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'a')
        ADVANCE(91);
      END_STATE();
    case 198:
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == ',')
        ADVANCE(199);
      if (lookahead == '\\')
        ADVANCE(200);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(199);
      if (lookahead != 0)
        ADVANCE(199);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH);
      if (lookahead == '\"')
        ADVANCE(201);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_BSLASH_DQUOTE);
      END_STATE();
    case 202:
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == ',')
        ADVANCE(203);
      if (lookahead == '\\')
        ADVANCE(204);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(203);
      if (lookahead == '\n' ||
          lookahead == '\r')
        SKIP(202);
      if (lookahead != 0)
        ADVANCE(203);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK_CARET_DQUOTE_BSLASHn_BSLASHr_RBRACK_SLASH);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK_CARET_DQUOTE_BSLASHn_BSLASHr_RBRACK_SLASH);
      if (lookahead == '\"')
        ADVANCE(201);
      END_STATE();
    case 205:
      if (lookahead == ',')
        SKIP(205);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(205);
      if (lookahead == '!' ||
          ('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(206);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym__keyword_chars);
      if (lookahead == '!' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(206);
      END_STATE();
    case 207:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(17);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(19);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '+')
        ADVANCE(107);
      if (lookahead == ',')
        SKIP(207);
      if (lookahead == '-')
        ADVANCE(114);
      if (lookahead == '.')
        ADVANCE(34);
      if (lookahead == '/')
        ADVANCE(45);
      if (lookahead == '0')
        ADVANCE(128);
      if (lookahead == ':')
        ADVANCE(46);
      if (lookahead == ';')
        ADVANCE(48);
      if (lookahead == '@')
        ADVANCE(49);
      if (lookahead == '[')
        ADVANCE(56);
      if (lookahead == '\\')
        ADVANCE(57);
      if (lookahead == ']')
        ADVANCE(58);
      if (lookahead == '^')
        ADVANCE(59);
      if (lookahead == '`')
        ADVANCE(62);
      if (lookahead == 'a')
        ADVANCE(140);
      if (lookahead == 'c')
        ADVANCE(147);
      if (lookahead == 'f')
        ADVANCE(154);
      if (lookahead == 'n')
        ADVANCE(159);
      if (lookahead == 's')
        ADVANCE(162);
      if (lookahead == 't')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '}')
        ADVANCE(98);
      if (lookahead == '~')
        ADVANCE(99);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(113);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(207);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 208:
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(17);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(19);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '+')
        ADVANCE(107);
      if (lookahead == ',')
        SKIP(208);
      if (lookahead == '-')
        ADVANCE(114);
      if (lookahead == '.')
        ADVANCE(34);
      if (lookahead == '0')
        ADVANCE(128);
      if (lookahead == ':')
        ADVANCE(46);
      if (lookahead == ';')
        ADVANCE(48);
      if (lookahead == '@')
        ADVANCE(49);
      if (lookahead == '[')
        ADVANCE(56);
      if (lookahead == '\\')
        ADVANCE(57);
      if (lookahead == '^')
        ADVANCE(59);
      if (lookahead == '`')
        ADVANCE(62);
      if (lookahead == 'a')
        ADVANCE(140);
      if (lookahead == 'c')
        ADVANCE(209);
      if (lookahead == 'd')
        ADVANCE(216);
      if (lookahead == 'f')
        ADVANCE(221);
      if (lookahead == 'n')
        ADVANCE(159);
      if (lookahead == 's')
        ADVANCE(162);
      if (lookahead == 't')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '~')
        ADVANCE(99);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(113);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(208);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'o')
        ADVANCE(210);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'm')
        ADVANCE(211);
      if (lookahead == 'n')
        ADVANCE(149);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'm')
        ADVANCE(212);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(213);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'n')
        ADVANCE(214);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 't')
        ADVANCE(215);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_comment);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(217);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'f')
        ADVANCE(218);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'n')
        ADVANCE(219);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_defn);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '-')
        ADVANCE(220);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_defn_DASH);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(113);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == 'a')
        ADVANCE(155);
      if (lookahead == 'n')
        ADVANCE(222);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_fn);
      if (lookahead == '#')
        ADVANCE(108);
      if (lookahead == '.')
        ADVANCE(141);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 223:
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(17);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(107);
      if (lookahead == ',')
        SKIP(223);
      if (lookahead == '-')
        ADVANCE(114);
      if (lookahead == '.')
        ADVANCE(34);
      if (lookahead == '0')
        ADVANCE(128);
      if (lookahead == ':')
        ADVANCE(46);
      if (lookahead == ';')
        ADVANCE(48);
      if (lookahead == '@')
        ADVANCE(49);
      if (lookahead == '[')
        ADVANCE(56);
      if (lookahead == '\\')
        ADVANCE(57);
      if (lookahead == ']')
        ADVANCE(58);
      if (lookahead == '^')
        ADVANCE(59);
      if (lookahead == '`')
        ADVANCE(62);
      if (lookahead == 'a')
        ADVANCE(140);
      if (lookahead == 'c')
        ADVANCE(147);
      if (lookahead == 'f')
        ADVANCE(154);
      if (lookahead == 'n')
        ADVANCE(159);
      if (lookahead == 's')
        ADVANCE(162);
      if (lookahead == 't')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '~')
        ADVANCE(99);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(113);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(223);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 224:
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(17);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(107);
      if (lookahead == ',')
        SKIP(224);
      if (lookahead == '-')
        ADVANCE(114);
      if (lookahead == '.')
        ADVANCE(34);
      if (lookahead == '0')
        ADVANCE(128);
      if (lookahead == ':')
        ADVANCE(46);
      if (lookahead == ';')
        ADVANCE(48);
      if (lookahead == '@')
        ADVANCE(49);
      if (lookahead == '[')
        ADVANCE(56);
      if (lookahead == '\\')
        ADVANCE(57);
      if (lookahead == '^')
        ADVANCE(59);
      if (lookahead == '`')
        ADVANCE(62);
      if (lookahead == 'a')
        ADVANCE(140);
      if (lookahead == 'c')
        ADVANCE(147);
      if (lookahead == 'f')
        ADVANCE(154);
      if (lookahead == 'n')
        ADVANCE(159);
      if (lookahead == 's')
        ADVANCE(162);
      if (lookahead == 't')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '}')
        ADVANCE(98);
      if (lookahead == '~')
        ADVANCE(99);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(113);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(224);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_SLASH_DOT_STAR_SLASH);
      if (lookahead == '\n')
        SKIP(225);
      if (lookahead == ',')
        ADVANCE(226);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(226);
      if (lookahead != 0)
        ADVANCE(227);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(aux_sym_SLASH_DOT_STAR_SLASH);
      if (lookahead == ',')
        ADVANCE(226);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(226);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n')
        ADVANCE(227);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(aux_sym_SLASH_DOT_STAR_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(227);
      END_STATE();
    case 228:
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(17);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(19);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == '+')
        ADVANCE(107);
      if (lookahead == ',')
        SKIP(228);
      if (lookahead == '-')
        ADVANCE(114);
      if (lookahead == '.')
        ADVANCE(34);
      if (lookahead == '0')
        ADVANCE(128);
      if (lookahead == ':')
        ADVANCE(46);
      if (lookahead == ';')
        ADVANCE(48);
      if (lookahead == '@')
        ADVANCE(49);
      if (lookahead == '[')
        ADVANCE(56);
      if (lookahead == '\\')
        ADVANCE(57);
      if (lookahead == '^')
        ADVANCE(59);
      if (lookahead == '`')
        ADVANCE(62);
      if (lookahead == 'a')
        ADVANCE(140);
      if (lookahead == 'c')
        ADVANCE(147);
      if (lookahead == 'f')
        ADVANCE(154);
      if (lookahead == 'n')
        ADVANCE(159);
      if (lookahead == 's')
        ADVANCE(162);
      if (lookahead == 't')
        ADVANCE(167);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '~')
        ADVANCE(99);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(113);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(228);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 229:
      if (lookahead == '\"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(230);
      if (lookahead == '(')
        ADVANCE(231);
      if (lookahead == ')')
        ADVANCE(25);
      if (lookahead == ',')
        SKIP(229);
      if (lookahead == '-')
        ADVANCE(232);
      if (lookahead == '/')
        ADVANCE(45);
      if (lookahead == '[')
        ADVANCE(56);
      if (lookahead == '^')
        ADVANCE(59);
      if (lookahead == 'a')
        ADVANCE(234);
      if (lookahead == 'c')
        ADVANCE(237);
      if (lookahead == 's')
        ADVANCE(242);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(229);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 230:
      if (lookahead == ':')
        ADVANCE(9);
      if (lookahead == '{')
        ADVANCE(16);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '>')
        ADVANCE(29);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 's')
        ADVANCE(235);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '-')
        ADVANCE(236);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '>')
        ADVANCE(145);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'o')
        ADVANCE(238);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'n')
        ADVANCE(239);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'd')
        ADVANCE(240);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '-')
        ADVANCE(241);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '>')
        ADVANCE(152);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'o')
        ADVANCE(243);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'm')
        ADVANCE(244);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'e')
        ADVANCE(245);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '-')
        ADVANCE(246);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '>')
        ADVANCE(84);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(233);
      END_STATE();
    case 247:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == ',')
        SKIP(247);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(247);
      END_STATE();
    case 248:
      if (lookahead == ',')
        SKIP(248);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(248);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(105);
      END_STATE();
    case 249:
      if (lookahead == ',')
        SKIP(249);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(249);
      if (('0' <= lookahead && lookahead <= '3'))
        ADVANCE(250);
      if (('4' <= lookahead && lookahead <= '7'))
        ADVANCE(253);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK0_DASH7_RBRACK_SLASH);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(251);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(252);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK0_DASH3_RBRACK_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK0_DASH7_RBRACK_SLASH);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(254);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 106},
  [2] = {.lex_state = 172},
  [3] = {.lex_state = 172},
  [4] = {.lex_state = 173},
  [5] = {.lex_state = 175},
  [6] = {.lex_state = 198},
  [7] = {.lex_state = 202},
  [8] = {.lex_state = 106},
  [9] = {.lex_state = 106},
  [10] = {.lex_state = 205},
  [11] = {.lex_state = 205},
  [12] = {.lex_state = 172},
  [13] = {.lex_state = 207},
  [14] = {.lex_state = 172},
  [15] = {.lex_state = 208},
  [16] = {.lex_state = 223},
  [17] = {.lex_state = 224},
  [18] = {.lex_state = 224},
  [19] = {.lex_state = 106},
  [20] = {.lex_state = 224},
  [21] = {.lex_state = 225},
  [22] = {.lex_state = 225},
  [23] = {.lex_state = 106},
  [24] = {.lex_state = 228},
  [25] = {.lex_state = 229},
  [26] = {.lex_state = 205},
  [27] = {.lex_state = 198},
  [28] = {.lex_state = 106},
  [29] = {.lex_state = 229},
  [30] = {.lex_state = 106},
  [31] = {.lex_state = 106},
  [32] = {.lex_state = 229},
  [33] = {.lex_state = 229},
  [34] = {.lex_state = 247},
  [35] = {.lex_state = 172},
  [36] = {.lex_state = 172},
  [37] = {.lex_state = 172},
  [38] = {.lex_state = 172},
  [39] = {.lex_state = 172},
  [40] = {.lex_state = 172},
  [41] = {.lex_state = 172},
  [42] = {.lex_state = 172},
  [43] = {.lex_state = 172},
  [44] = {.lex_state = 172},
  [45] = {.lex_state = 172},
  [46] = {.lex_state = 172},
  [47] = {.lex_state = 172},
  [48] = {.lex_state = 229},
  [49] = {.lex_state = 229},
  [50] = {.lex_state = 229},
  [51] = {.lex_state = 106},
  [52] = {.lex_state = 229},
  [53] = {.lex_state = 172},
  [54] = {.lex_state = 172},
  [55] = {.lex_state = 248},
  [56] = {.lex_state = 249},
  [57] = {.lex_state = 172},
  [58] = {.lex_state = 198},
  [59] = {.lex_state = 172},
  [60] = {.lex_state = 202},
  [61] = {.lex_state = 172},
  [62] = {.lex_state = 106},
  [63] = {.lex_state = 106},
  [64] = {.lex_state = 106},
  [65] = {.lex_state = 106},
  [66] = {.lex_state = 106},
  [67] = {.lex_state = 208},
  [68] = {.lex_state = 172},
  [69] = {.lex_state = 207},
  [70] = {.lex_state = 229},
  [71] = {.lex_state = 106},
  [72] = {.lex_state = 172},
  [73] = {.lex_state = 106},
  [74] = {.lex_state = 228},
  [75] = {.lex_state = 229},
  [76] = {.lex_state = 229},
  [77] = {.lex_state = 106},
  [78] = {.lex_state = 106},
  [79] = {.lex_state = 106},
  [80] = {.lex_state = 228},
  [81] = {.lex_state = 106},
  [82] = {.lex_state = 172},
  [83] = {.lex_state = 106},
  [84] = {.lex_state = 106},
  [85] = {.lex_state = 106},
  [86] = {.lex_state = 106},
  [87] = {.lex_state = 223},
  [88] = {.lex_state = 106},
  [89] = {.lex_state = 172},
  [90] = {.lex_state = 106},
  [91] = {.lex_state = 106},
  [92] = {.lex_state = 106},
  [93] = {.lex_state = 106},
  [94] = {.lex_state = 106},
  [95] = {.lex_state = 224},
  [96] = {.lex_state = 172},
  [97] = {.lex_state = 224},
  [98] = {.lex_state = 224},
  [99] = {.lex_state = 106},
  [100] = {.lex_state = 172},
  [101] = {.lex_state = 106},
  [102] = {.lex_state = 106},
  [103] = {.lex_state = 106},
  [104] = {.lex_state = 106},
  [105] = {.lex_state = 224},
  [106] = {.lex_state = 172},
  [107] = {.lex_state = 172},
  [108] = {.lex_state = 172},
  [109] = {.lex_state = 172},
  [110] = {.lex_state = 228},
  [111] = {.lex_state = 229},
  [112] = {.lex_state = 224},
  [113] = {.lex_state = 224},
  [114] = {.lex_state = 106},
  [115] = {.lex_state = 229},
  [116] = {.lex_state = 229},
  [117] = {.lex_state = 198},
  [118] = {.lex_state = 172},
  [119] = {.lex_state = 172},
  [120] = {.lex_state = 172},
  [121] = {.lex_state = 172},
  [122] = {.lex_state = 228},
  [123] = {.lex_state = 172},
  [124] = {.lex_state = 207},
  [125] = {.lex_state = 172},
  [126] = {.lex_state = 172},
  [127] = {.lex_state = 208},
  [128] = {.lex_state = 106},
  [129] = {.lex_state = 229},
  [130] = {.lex_state = 229},
  [131] = {.lex_state = 248},
  [132] = {.lex_state = 172},
  [133] = {.lex_state = 172},
  [134] = {.lex_state = 198},
  [135] = {.lex_state = 172},
  [136] = {.lex_state = 202},
  [137] = {.lex_state = 172},
  [138] = {.lex_state = 205},
  [139] = {.lex_state = 172},
  [140] = {.lex_state = 172},
  [141] = {.lex_state = 228},
  [142] = {.lex_state = 229},
  [143] = {.lex_state = 229},
  [144] = {.lex_state = 106},
  [145] = {.lex_state = 229},
  [146] = {.lex_state = 229},
  [147] = {.lex_state = 229},
  [148] = {.lex_state = 228},
  [149] = {.lex_state = 208},
  [150] = {.lex_state = 229},
  [151] = {.lex_state = 228},
  [152] = {.lex_state = 229},
  [153] = {.lex_state = 229},
  [154] = {.lex_state = 229},
  [155] = {.lex_state = 229},
  [156] = {.lex_state = 172},
  [157] = {.lex_state = 228},
  [158] = {.lex_state = 172},
  [159] = {.lex_state = 223},
  [160] = {.lex_state = 224},
  [161] = {.lex_state = 172},
  [162] = {.lex_state = 224},
  [163] = {.lex_state = 172},
  [164] = {.lex_state = 224},
  [165] = {.lex_state = 172},
  [166] = {.lex_state = 224},
  [167] = {.lex_state = 172},
  [168] = {.lex_state = 229},
  [169] = {.lex_state = 224},
  [170] = {.lex_state = 229},
  [171] = {.lex_state = 224},
  [172] = {.lex_state = 224},
  [173] = {.lex_state = 229},
  [174] = {.lex_state = 172},
  [175] = {.lex_state = 106},
  [176] = {.lex_state = 208},
  [177] = {.lex_state = 248},
  [178] = {.lex_state = 172},
  [179] = {.lex_state = 172},
  [180] = {.lex_state = 229},
  [181] = {.lex_state = 208},
  [182] = {.lex_state = 172},
  [183] = {.lex_state = 208},
  [184] = {.lex_state = 208},
  [185] = {.lex_state = 228},
  [186] = {.lex_state = 229},
  [187] = {.lex_state = 198},
  [188] = {.lex_state = 229},
  [189] = {.lex_state = 229},
  [190] = {.lex_state = 229},
  [191] = {.lex_state = 208},
  [192] = {.lex_state = 229},
  [193] = {.lex_state = 229},
  [194] = {.lex_state = 229},
  [195] = {.lex_state = 229},
  [196] = {.lex_state = 172},
  [197] = {.lex_state = 229},
  [198] = {.lex_state = 229},
  [199] = {.lex_state = 224},
  [200] = {.lex_state = 106},
  [201] = {.lex_state = 106},
  [202] = {.lex_state = 106},
  [203] = {.lex_state = 106},
  [204] = {.lex_state = 106},
  [205] = {.lex_state = 208},
  [206] = {.lex_state = 172},
  [207] = {.lex_state = 208},
  [208] = {.lex_state = 248},
  [209] = {.lex_state = 229},
  [210] = {.lex_state = 229},
  [211] = {.lex_state = 172},
  [212] = {.lex_state = 229},
  [213] = {.lex_state = 198},
  [214] = {.lex_state = 172},
  [215] = {.lex_state = 208},
  [216] = {.lex_state = 229},
  [217] = {.lex_state = 229},
  [218] = {.lex_state = 229},
  [219] = {.lex_state = 172},
  [220] = {.lex_state = 229},
  [221] = {.lex_state = 172},
  [222] = {.lex_state = 208},
  [223] = {.lex_state = 229},
  [224] = {.lex_state = 172},
  [225] = {.lex_state = 208},
  [226] = {.lex_state = 172},
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym__normal_long] = ACTIONS(1),
    [sym_number_double] = ACTIONS(1),
    [anon_sym_POUND_POUND] = ACTIONS(1),
    [sym_infinity] = ACTIONS(1),
    [sym_negative_infinity] = ACTIONS(1),
    [sym_not_a_number] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_newline] = ACTIONS(1),
    [anon_sym_space] = ACTIONS(1),
    [anon_sym_tab] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_u] = ACTIONS(1),
    [sym__hex_char] = ACTIONS(3),
    [anon_sym_o] = ACTIONS(1),
    [aux_sym_SLASH_LBRACK0_DASH7_RBRACK_SLASH] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_LPARENquote] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_DASH_GT_GT] = ACTIONS(1),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1),
    [sym_member_access] = ACTIONS(1),
    [sym_field_access] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(1),
    [anon_sym_POUND_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_POUND_BANG] = ACTIONS(1),
    [anon_sym_POUND_] = ACTIONS(1),
    [anon_sym_POUND_LPAREN] = ACTIONS(1),
    [sym_shorthand_function_arg] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(3),
    [anon_sym_CARET_COLON] = ACTIONS(1),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(3),
    [anon_sym_TILDE_AT] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(3),
    [anon_sym_POUND_QMARK] = ACTIONS(3),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(34),
    [sym__anything] = STATE(51),
    [sym__literals] = STATE(51),
    [sym__collection_literals] = STATE(51),
    [sym_boolean] = STATE(51),
    [sym_number] = STATE(51),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(51),
    [sym_character] = STATE(51),
    [sym__character] = STATE(36),
    [sym_string] = STATE(51),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(51),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(51),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(51),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(51),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(51),
    [sym_list] = STATE(51),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(51),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(51),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(51),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(51),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(51),
    [sym_anonymous_function] = STATE(51),
    [sym_shorthand_function] = STATE(51),
    [sym_defn] = STATE(51),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(51),
    [sym_var_quote] = STATE(51),
    [sym_unquote] = STATE(51),
    [sym_unquote_splice] = STATE(51),
    [sym_deref] = STATE(51),
    [sym_tagged_literal] = STATE(51),
    [sym_reader_conditional] = STATE(51),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_metadata_repeat1] = STATE(52),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_nil] = ACTIONS(7),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(57),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(61),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_TILDE_AT] = ACTIONS(75),
    [sym_gensym] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [2] = {
    [ts_builtin_sym_end] = ACTIONS(85),
    [sym_nil] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym__normal_long] = ACTIONS(87),
    [sym__number_hex] = ACTIONS(87),
    [sym__number_arbitrary_radix] = ACTIONS(87),
    [sym__number_octal] = ACTIONS(87),
    [sym_number_double] = ACTIONS(85),
    [sym_number_bigint] = ACTIONS(87),
    [sym_number_bigdecimal] = ACTIONS(85),
    [sym_number_ratio] = ACTIONS(85),
    [anon_sym_POUND_POUND] = ACTIONS(85),
    [anon_sym_BSLASH] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_POUND_DQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_LPARENquote] = ACTIONS(85),
    [anon_sym_RPAREN] = ACTIONS(85),
    [anon_sym_COLON] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(85),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_DASH_GT_GT] = ACTIONS(85),
    [anon_sym_as_DASH_GT] = ACTIONS(85),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(85),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(85),
    [sym__symbol_chars] = ACTIONS(87),
    [sym_member_access] = ACTIONS(85),
    [sym_field_access] = ACTIONS(85),
    [sym_new_class] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(85),
    [anon_sym_RBRACK] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(85),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(85),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(85),
    [anon_sym_POUND_LBRACE] = ACTIONS(85),
    [anon_sym_SEMI] = ACTIONS(85),
    [anon_sym_POUND_BANG] = ACTIONS(85),
    [anon_sym_POUND_] = ACTIONS(85),
    [anon_sym_POUND_LPAREN] = ACTIONS(85),
    [sym_shorthand_function_arg] = ACTIONS(85),
    [anon_sym_CARET] = ACTIONS(87),
    [anon_sym_CARET_COLON] = ACTIONS(85),
    [anon_sym_CARET_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [anon_sym_POUND_SQUOTE] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_TILDE_AT] = ACTIONS(85),
    [sym_gensym] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_POUND] = ACTIONS(87),
    [anon_sym_POUND_QMARK] = ACTIONS(87),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(85),
  },
  [3] = {
    [ts_builtin_sym_end] = ACTIONS(89),
    [sym_nil] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym__normal_long] = ACTIONS(91),
    [sym__number_hex] = ACTIONS(91),
    [sym__number_arbitrary_radix] = ACTIONS(91),
    [sym__number_octal] = ACTIONS(91),
    [sym_number_double] = ACTIONS(89),
    [sym_number_bigint] = ACTIONS(91),
    [sym_number_bigdecimal] = ACTIONS(89),
    [sym_number_ratio] = ACTIONS(89),
    [anon_sym_POUND_POUND] = ACTIONS(89),
    [anon_sym_BSLASH] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(89),
    [anon_sym_POUND_DQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_LPARENquote] = ACTIONS(89),
    [anon_sym_RPAREN] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DASH_GT] = ACTIONS(91),
    [anon_sym_DASH_GT_GT] = ACTIONS(89),
    [anon_sym_as_DASH_GT] = ACTIONS(89),
    [anon_sym_some_DASH_GT] = ACTIONS(91),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(89),
    [anon_sym_cond_DASH_GT] = ACTIONS(91),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(89),
    [sym__symbol_chars] = ACTIONS(91),
    [sym_member_access] = ACTIONS(89),
    [sym_field_access] = ACTIONS(89),
    [sym_new_class] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_RBRACK] = ACTIONS(89),
    [anon_sym_LBRACE] = ACTIONS(89),
    [anon_sym_RBRACE] = ACTIONS(89),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(89),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(89),
    [anon_sym_POUND_LBRACE] = ACTIONS(89),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_POUND_BANG] = ACTIONS(89),
    [anon_sym_POUND_] = ACTIONS(89),
    [anon_sym_POUND_LPAREN] = ACTIONS(89),
    [sym_shorthand_function_arg] = ACTIONS(89),
    [anon_sym_CARET] = ACTIONS(91),
    [anon_sym_CARET_COLON] = ACTIONS(89),
    [anon_sym_CARET_DQUOTE] = ACTIONS(89),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [anon_sym_POUND_SQUOTE] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_TILDE_AT] = ACTIONS(89),
    [sym_gensym] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_POUND] = ACTIONS(91),
    [anon_sym_POUND_QMARK] = ACTIONS(91),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(89),
  },
  [4] = {
    [sym_infinity] = ACTIONS(93),
    [sym_negative_infinity] = ACTIONS(93),
    [sym_not_a_number] = ACTIONS(93),
  },
  [5] = {
    [sym__special_char] = STATE(54),
    [sym__unicode_char] = STATE(54),
    [sym__octal_char] = STATE(54),
    [sym__normal_char] = ACTIONS(95),
    [anon_sym_newline] = ACTIONS(95),
    [anon_sym_space] = ACTIONS(95),
    [anon_sym_tab] = ACTIONS(95),
    [anon_sym_formfeed] = ACTIONS(95),
    [anon_sym_backspace] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_u] = ACTIONS(97),
    [anon_sym_o] = ACTIONS(99),
  },
  [6] = {
    [aux_sym__string_repeat1] = STATE(58),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(103),
    [aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH] = ACTIONS(103),
  },
  [7] = {
    [aux_sym__regex_repeat1] = STATE(60),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(107),
    [aux_sym_SLASH_LBRACK_CARET_DQUOTE_BSLASHn_BSLASHr_RBRACK_SLASH] = ACTIONS(107),
  },
  [8] = {
    [sym__anything] = STATE(61),
    [sym__literals] = STATE(61),
    [sym__collection_literals] = STATE(61),
    [sym_boolean] = STATE(61),
    [sym_number] = STATE(61),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(61),
    [sym_character] = STATE(61),
    [sym__character] = STATE(36),
    [sym_string] = STATE(61),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(61),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(61),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(61),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(61),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(61),
    [sym_list] = STATE(61),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(61),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(61),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(61),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(61),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(61),
    [sym_anonymous_function] = STATE(61),
    [sym_shorthand_function] = STATE(61),
    [sym_defn] = STATE(61),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(61),
    [sym_var_quote] = STATE(61),
    [sym_unquote] = STATE(61),
    [sym_unquote_splice] = STATE(61),
    [sym_deref] = STATE(61),
    [sym_tagged_literal] = STATE(61),
    [sym_reader_conditional] = STATE(61),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(109),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(57),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_TILDE_AT] = ACTIONS(75),
    [sym_gensym] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [9] = {
    [sym__anything] = STATE(67),
    [sym__literals] = STATE(67),
    [sym__collection_literals] = STATE(67),
    [sym_boolean] = STATE(67),
    [sym_number] = STATE(67),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(67),
    [sym_character] = STATE(67),
    [sym__character] = STATE(36),
    [sym_string] = STATE(67),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(67),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(67),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(67),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(67),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(67),
    [sym_list] = STATE(67),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(67),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(67),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(67),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(67),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(67),
    [sym_anonymous_function] = STATE(67),
    [sym_shorthand_function] = STATE(67),
    [sym_defn] = STATE(67),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(67),
    [sym_var_quote] = STATE(67),
    [sym_unquote] = STATE(67),
    [sym_unquote_splice] = STATE(67),
    [sym_deref] = STATE(67),
    [sym_tagged_literal] = STATE(67),
    [sym_reader_conditional] = STATE(67),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(113),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(117),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(119),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(121),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_TILDE_AT] = ACTIONS(125),
    [sym_gensym] = ACTIONS(119),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [10] = {
    [sym__keyword_chars] = ACTIONS(127),
  },
  [11] = {
    [sym__keyword_chars] = ACTIONS(129),
  },
  [12] = {
    [ts_builtin_sym_end] = ACTIONS(131),
    [sym_nil] = ACTIONS(133),
    [sym_true] = ACTIONS(133),
    [sym_false] = ACTIONS(133),
    [sym__normal_long] = ACTIONS(133),
    [sym__number_hex] = ACTIONS(133),
    [sym__number_arbitrary_radix] = ACTIONS(133),
    [sym__number_octal] = ACTIONS(133),
    [sym_number_double] = ACTIONS(131),
    [sym_number_bigint] = ACTIONS(133),
    [sym_number_bigdecimal] = ACTIONS(131),
    [sym_number_ratio] = ACTIONS(131),
    [anon_sym_POUND_POUND] = ACTIONS(131),
    [anon_sym_BSLASH] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_POUND_DQUOTE] = ACTIONS(131),
    [anon_sym_SQUOTE] = ACTIONS(131),
    [anon_sym_LPARENquote] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(133),
    [anon_sym_DASH_GT_GT] = ACTIONS(131),
    [anon_sym_as_DASH_GT] = ACTIONS(131),
    [anon_sym_some_DASH_GT] = ACTIONS(133),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(131),
    [anon_sym_cond_DASH_GT] = ACTIONS(133),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(131),
    [sym__symbol_chars] = ACTIONS(133),
    [sym_member_access] = ACTIONS(131),
    [sym_field_access] = ACTIONS(131),
    [sym_new_class] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(131),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(131),
    [anon_sym_POUND_LBRACE] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_POUND_BANG] = ACTIONS(131),
    [anon_sym_POUND_] = ACTIONS(131),
    [anon_sym_POUND_LPAREN] = ACTIONS(131),
    [sym_shorthand_function_arg] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_CARET_COLON] = ACTIONS(131),
    [anon_sym_CARET_DQUOTE] = ACTIONS(131),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [anon_sym_POUND_SQUOTE] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_TILDE_AT] = ACTIONS(131),
    [sym_gensym] = ACTIONS(131),
    [anon_sym_AT] = ACTIONS(131),
    [anon_sym_POUND] = ACTIONS(133),
    [anon_sym_POUND_QMARK] = ACTIONS(133),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(131),
  },
  [13] = {
    [ts_builtin_sym_end] = ACTIONS(135),
    [sym_nil] = ACTIONS(137),
    [sym_true] = ACTIONS(137),
    [sym_false] = ACTIONS(137),
    [sym__normal_long] = ACTIONS(137),
    [sym__number_hex] = ACTIONS(137),
    [sym__number_arbitrary_radix] = ACTIONS(137),
    [sym__number_octal] = ACTIONS(137),
    [sym_number_double] = ACTIONS(135),
    [sym_number_bigint] = ACTIONS(137),
    [sym_number_bigdecimal] = ACTIONS(135),
    [sym_number_ratio] = ACTIONS(135),
    [anon_sym_POUND_POUND] = ACTIONS(135),
    [anon_sym_BSLASH] = ACTIONS(135),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_POUND_DQUOTE] = ACTIONS(135),
    [anon_sym_SQUOTE] = ACTIONS(135),
    [anon_sym_LPARENquote] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(137),
    [anon_sym_COLON_COLON] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_DASH_GT] = ACTIONS(137),
    [anon_sym_DASH_GT_GT] = ACTIONS(135),
    [anon_sym_as_DASH_GT] = ACTIONS(135),
    [anon_sym_some_DASH_GT] = ACTIONS(137),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(135),
    [anon_sym_cond_DASH_GT] = ACTIONS(137),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(135),
    [sym__symbol_chars] = ACTIONS(137),
    [sym_member_access] = ACTIONS(135),
    [sym_field_access] = ACTIONS(135),
    [sym_new_class] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(135),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(135),
    [anon_sym_POUND_LBRACE] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_POUND_BANG] = ACTIONS(135),
    [anon_sym_POUND_] = ACTIONS(135),
    [anon_sym_POUND_LPAREN] = ACTIONS(135),
    [sym_shorthand_function_arg] = ACTIONS(135),
    [anon_sym_CARET] = ACTIONS(137),
    [anon_sym_CARET_COLON] = ACTIONS(135),
    [anon_sym_CARET_DQUOTE] = ACTIONS(135),
    [anon_sym_BQUOTE] = ACTIONS(135),
    [anon_sym_POUND_SQUOTE] = ACTIONS(135),
    [anon_sym_TILDE] = ACTIONS(137),
    [anon_sym_TILDE_AT] = ACTIONS(135),
    [sym_gensym] = ACTIONS(135),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_POUND] = ACTIONS(137),
    [anon_sym_POUND_QMARK] = ACTIONS(137),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(135),
  },
  [14] = {
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_nil] = ACTIONS(143),
    [sym_true] = ACTIONS(143),
    [sym_false] = ACTIONS(143),
    [sym__normal_long] = ACTIONS(143),
    [sym__number_hex] = ACTIONS(143),
    [sym__number_arbitrary_radix] = ACTIONS(143),
    [sym__number_octal] = ACTIONS(143),
    [sym_number_double] = ACTIONS(141),
    [sym_number_bigint] = ACTIONS(143),
    [sym_number_bigdecimal] = ACTIONS(141),
    [sym_number_ratio] = ACTIONS(141),
    [anon_sym_POUND_POUND] = ACTIONS(141),
    [anon_sym_BSLASH] = ACTIONS(141),
    [anon_sym_DQUOTE] = ACTIONS(141),
    [anon_sym_POUND_DQUOTE] = ACTIONS(141),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [anon_sym_LPARENquote] = ACTIONS(141),
    [anon_sym_RPAREN] = ACTIONS(141),
    [anon_sym_COLON] = ACTIONS(143),
    [anon_sym_COLON_COLON] = ACTIONS(141),
    [anon_sym_DASH_GT] = ACTIONS(143),
    [anon_sym_DASH_GT_GT] = ACTIONS(141),
    [anon_sym_as_DASH_GT] = ACTIONS(141),
    [anon_sym_some_DASH_GT] = ACTIONS(143),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(141),
    [anon_sym_cond_DASH_GT] = ACTIONS(143),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(141),
    [sym__symbol_chars] = ACTIONS(143),
    [sym_member_access] = ACTIONS(141),
    [sym_field_access] = ACTIONS(141),
    [sym_new_class] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_RBRACK] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_RBRACE] = ACTIONS(141),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(141),
    [anon_sym_POUND_LBRACE] = ACTIONS(141),
    [anon_sym_SEMI] = ACTIONS(141),
    [anon_sym_POUND_BANG] = ACTIONS(141),
    [anon_sym_POUND_] = ACTIONS(141),
    [anon_sym_POUND_LPAREN] = ACTIONS(141),
    [sym_shorthand_function_arg] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(143),
    [anon_sym_CARET_COLON] = ACTIONS(141),
    [anon_sym_CARET_DQUOTE] = ACTIONS(141),
    [anon_sym_BQUOTE] = ACTIONS(141),
    [anon_sym_POUND_SQUOTE] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(143),
    [anon_sym_TILDE_AT] = ACTIONS(141),
    [sym_gensym] = ACTIONS(141),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_POUND] = ACTIONS(143),
    [anon_sym_POUND_QMARK] = ACTIONS(143),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(141),
  },
  [15] = {
    [sym__anything] = STATE(80),
    [sym__literals] = STATE(80),
    [sym__collection_literals] = STATE(80),
    [sym_boolean] = STATE(80),
    [sym_number] = STATE(80),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(80),
    [sym_character] = STATE(80),
    [sym__character] = STATE(36),
    [sym_string] = STATE(80),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(80),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(80),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(80),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(80),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(80),
    [sym_list] = STATE(80),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(80),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(80),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(80),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(80),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(80),
    [sym_anonymous_function] = STATE(80),
    [sym_shorthand_function] = STATE(80),
    [sym_defn] = STATE(80),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(80),
    [sym_var_quote] = STATE(80),
    [sym_unquote] = STATE(80),
    [sym_unquote_splice] = STATE(80),
    [sym_deref] = STATE(80),
    [sym_tagged_literal] = STATE(80),
    [sym_reader_conditional] = STATE(80),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(80),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(145),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_comment] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(155),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(157),
    [anon_sym_defn] = ACTIONS(159),
    [anon_sym_defn_DASH] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(157),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [16] = {
    [sym__anything] = STATE(87),
    [sym__literals] = STATE(87),
    [sym__collection_literals] = STATE(87),
    [sym_boolean] = STATE(87),
    [sym_number] = STATE(87),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(87),
    [sym_character] = STATE(87),
    [sym__character] = STATE(36),
    [sym_string] = STATE(87),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(87),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(87),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(87),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(87),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(87),
    [sym_list] = STATE(87),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(87),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(87),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(87),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(87),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(87),
    [sym_anonymous_function] = STATE(87),
    [sym_shorthand_function] = STATE(87),
    [sym_defn] = STATE(87),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(87),
    [sym_var_quote] = STATE(87),
    [sym_unquote] = STATE(87),
    [sym_unquote_splice] = STATE(87),
    [sym_deref] = STATE(87),
    [sym_tagged_literal] = STATE(87),
    [sym_reader_conditional] = STATE(87),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(87),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(167),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(173),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(177),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(179),
    [anon_sym_TILDE_AT] = ACTIONS(181),
    [sym_gensym] = ACTIONS(175),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [17] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(95),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(95),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [18] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(97),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(97),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(199),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [19] = {
    [anon_sym_LBRACE] = ACTIONS(201),
  },
  [20] = {
    [sym__anything] = STATE(105),
    [sym__literals] = STATE(105),
    [sym__collection_literals] = STATE(105),
    [sym_boolean] = STATE(105),
    [sym_number] = STATE(105),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(105),
    [sym_character] = STATE(105),
    [sym__character] = STATE(36),
    [sym_string] = STATE(105),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(105),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(105),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(105),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(105),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(105),
    [sym_list] = STATE(105),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(105),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(105),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(105),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(105),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(105),
    [sym_anonymous_function] = STATE(105),
    [sym_shorthand_function] = STATE(105),
    [sym_defn] = STATE(105),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(105),
    [sym_var_quote] = STATE(105),
    [sym_unquote] = STATE(105),
    [sym_unquote_splice] = STATE(105),
    [sym_deref] = STATE(105),
    [sym_tagged_literal] = STATE(105),
    [sym_reader_conditional] = STATE(105),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(105),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(203),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(207),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(209),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(213),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_TILDE_AT] = ACTIONS(217),
    [sym_gensym] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [21] = {
    [aux_sym_SLASH_DOT_STAR_SLASH] = ACTIONS(219),
  },
  [22] = {
    [aux_sym_SLASH_DOT_STAR_SLASH] = ACTIONS(221),
  },
  [23] = {
    [sym__anything] = STATE(108),
    [sym__literals] = STATE(108),
    [sym__collection_literals] = STATE(108),
    [sym_boolean] = STATE(108),
    [sym_number] = STATE(108),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(108),
    [sym_character] = STATE(108),
    [sym__character] = STATE(36),
    [sym_string] = STATE(108),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(108),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(108),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(108),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(108),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(108),
    [sym_list] = STATE(108),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(108),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(108),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(108),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(108),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(108),
    [sym_anonymous_function] = STATE(108),
    [sym_shorthand_function] = STATE(108),
    [sym_defn] = STATE(108),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(108),
    [sym_var_quote] = STATE(108),
    [sym_unquote] = STATE(108),
    [sym_unquote_splice] = STATE(108),
    [sym_deref] = STATE(108),
    [sym_tagged_literal] = STATE(108),
    [sym_reader_conditional] = STATE(108),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(57),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_TILDE_AT] = ACTIONS(75),
    [sym_gensym] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [24] = {
    [sym__anything] = STATE(110),
    [sym__literals] = STATE(110),
    [sym__collection_literals] = STATE(110),
    [sym_boolean] = STATE(110),
    [sym_number] = STATE(110),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(110),
    [sym_character] = STATE(110),
    [sym__character] = STATE(36),
    [sym_string] = STATE(110),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(110),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(110),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(110),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(110),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(110),
    [sym_list] = STATE(110),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(110),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(110),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(110),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(110),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(110),
    [sym_anonymous_function] = STATE(110),
    [sym_shorthand_function] = STATE(110),
    [sym_defn] = STATE(110),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(110),
    [sym_var_quote] = STATE(110),
    [sym_unquote] = STATE(110),
    [sym_unquote_splice] = STATE(110),
    [sym_deref] = STATE(110),
    [sym_tagged_literal] = STATE(110),
    [sym_reader_conditional] = STATE(110),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(110),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(227),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(231),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [25] = {
    [sym_hash_map] = STATE(115),
    [sym__hash_map] = STATE(116),
    [sym_namespace_map] = STATE(116),
    [sym__symbol_chars] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(237),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(239),
  },
  [26] = {
    [sym__keyword_chars] = ACTIONS(233),
  },
  [27] = {
    [aux_sym__string_repeat1] = STATE(117),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(243),
    [aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH] = ACTIONS(243),
  },
  [28] = {
    [sym__anything] = STATE(118),
    [sym__literals] = STATE(118),
    [sym__collection_literals] = STATE(118),
    [sym_boolean] = STATE(118),
    [sym_number] = STATE(118),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(118),
    [sym_character] = STATE(118),
    [sym__character] = STATE(36),
    [sym_string] = STATE(118),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(118),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(118),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(118),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(118),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(118),
    [sym_list] = STATE(118),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(118),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(118),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(118),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(118),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(118),
    [sym_anonymous_function] = STATE(118),
    [sym_shorthand_function] = STATE(118),
    [sym_defn] = STATE(118),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(118),
    [sym_var_quote] = STATE(118),
    [sym_unquote] = STATE(118),
    [sym_unquote_splice] = STATE(118),
    [sym_deref] = STATE(118),
    [sym_tagged_literal] = STATE(118),
    [sym_reader_conditional] = STATE(118),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(245),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(57),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_TILDE_AT] = ACTIONS(75),
    [sym_gensym] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [29] = {
    [sym_symbol] = STATE(119),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
  },
  [30] = {
    [sym__anything] = STATE(120),
    [sym__literals] = STATE(120),
    [sym__collection_literals] = STATE(120),
    [sym_boolean] = STATE(120),
    [sym_number] = STATE(120),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(120),
    [sym_character] = STATE(120),
    [sym__character] = STATE(36),
    [sym_string] = STATE(120),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(120),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(120),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(120),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(120),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(120),
    [sym_list] = STATE(120),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(120),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(120),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(120),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(120),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(120),
    [sym_anonymous_function] = STATE(120),
    [sym_shorthand_function] = STATE(120),
    [sym_defn] = STATE(120),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(120),
    [sym_var_quote] = STATE(120),
    [sym_unquote] = STATE(120),
    [sym_unquote_splice] = STATE(120),
    [sym_deref] = STATE(120),
    [sym_tagged_literal] = STATE(120),
    [sym_reader_conditional] = STATE(120),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(249),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(57),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(251),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_TILDE_AT] = ACTIONS(75),
    [sym_gensym] = ACTIONS(251),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [31] = {
    [sym__anything] = STATE(121),
    [sym__literals] = STATE(121),
    [sym__collection_literals] = STATE(121),
    [sym_boolean] = STATE(121),
    [sym_number] = STATE(121),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(121),
    [sym_character] = STATE(121),
    [sym__character] = STATE(36),
    [sym_string] = STATE(121),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(121),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(121),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(121),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(121),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(121),
    [sym_list] = STATE(121),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(121),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(121),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(121),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(121),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(121),
    [sym_anonymous_function] = STATE(121),
    [sym_shorthand_function] = STATE(121),
    [sym_defn] = STATE(121),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(121),
    [sym_var_quote] = STATE(121),
    [sym_unquote] = STATE(121),
    [sym_unquote_splice] = STATE(121),
    [sym_deref] = STATE(121),
    [sym_tagged_literal] = STATE(121),
    [sym_reader_conditional] = STATE(121),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(57),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_TILDE_AT] = ACTIONS(75),
    [sym_gensym] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [32] = {
    [sym_symbol] = STATE(123),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_list] = STATE(123),
    [sym__list] = STATE(43),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(257),
  },
  [33] = {
    [sym__qualified_symbol] = STATE(125),
    [sym__symbol_chars] = ACTIONS(259),
  },
  [34] = {
    [ts_builtin_sym_end] = ACTIONS(261),
  },
  [35] = {
    [ts_builtin_sym_end] = ACTIONS(263),
    [sym_nil] = ACTIONS(265),
    [sym_true] = ACTIONS(265),
    [sym_false] = ACTIONS(265),
    [sym__normal_long] = ACTIONS(265),
    [sym__number_hex] = ACTIONS(265),
    [sym__number_arbitrary_radix] = ACTIONS(265),
    [sym__number_octal] = ACTIONS(265),
    [sym_number_double] = ACTIONS(263),
    [sym_number_bigint] = ACTIONS(265),
    [sym_number_bigdecimal] = ACTIONS(263),
    [sym_number_ratio] = ACTIONS(263),
    [anon_sym_POUND_POUND] = ACTIONS(263),
    [anon_sym_BSLASH] = ACTIONS(263),
    [anon_sym_DQUOTE] = ACTIONS(263),
    [anon_sym_POUND_DQUOTE] = ACTIONS(263),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [anon_sym_LPARENquote] = ACTIONS(263),
    [anon_sym_RPAREN] = ACTIONS(263),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_COLON_COLON] = ACTIONS(263),
    [anon_sym_DASH_GT] = ACTIONS(265),
    [anon_sym_DASH_GT_GT] = ACTIONS(263),
    [anon_sym_as_DASH_GT] = ACTIONS(263),
    [anon_sym_some_DASH_GT] = ACTIONS(265),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(263),
    [anon_sym_cond_DASH_GT] = ACTIONS(265),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(263),
    [sym__symbol_chars] = ACTIONS(265),
    [sym_member_access] = ACTIONS(263),
    [sym_field_access] = ACTIONS(263),
    [sym_new_class] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(263),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(263),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(263),
    [anon_sym_POUND_LBRACE] = ACTIONS(263),
    [anon_sym_SEMI] = ACTIONS(263),
    [anon_sym_POUND_BANG] = ACTIONS(263),
    [anon_sym_POUND_] = ACTIONS(263),
    [anon_sym_POUND_LPAREN] = ACTIONS(263),
    [sym_shorthand_function_arg] = ACTIONS(263),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_CARET_COLON] = ACTIONS(263),
    [anon_sym_CARET_DQUOTE] = ACTIONS(263),
    [anon_sym_BQUOTE] = ACTIONS(263),
    [anon_sym_POUND_SQUOTE] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(265),
    [anon_sym_TILDE_AT] = ACTIONS(263),
    [sym_gensym] = ACTIONS(263),
    [anon_sym_AT] = ACTIONS(263),
    [anon_sym_POUND] = ACTIONS(265),
    [anon_sym_POUND_QMARK] = ACTIONS(265),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(263),
  },
  [36] = {
    [ts_builtin_sym_end] = ACTIONS(267),
    [sym_nil] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym__normal_long] = ACTIONS(269),
    [sym__number_hex] = ACTIONS(269),
    [sym__number_arbitrary_radix] = ACTIONS(269),
    [sym__number_octal] = ACTIONS(269),
    [sym_number_double] = ACTIONS(267),
    [sym_number_bigint] = ACTIONS(269),
    [sym_number_bigdecimal] = ACTIONS(267),
    [sym_number_ratio] = ACTIONS(267),
    [anon_sym_POUND_POUND] = ACTIONS(267),
    [anon_sym_BSLASH] = ACTIONS(267),
    [anon_sym_DQUOTE] = ACTIONS(267),
    [anon_sym_POUND_DQUOTE] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(267),
    [anon_sym_LPARENquote] = ACTIONS(267),
    [anon_sym_RPAREN] = ACTIONS(267),
    [anon_sym_COLON] = ACTIONS(269),
    [anon_sym_COLON_COLON] = ACTIONS(267),
    [anon_sym_DASH_GT] = ACTIONS(269),
    [anon_sym_DASH_GT_GT] = ACTIONS(267),
    [anon_sym_as_DASH_GT] = ACTIONS(267),
    [anon_sym_some_DASH_GT] = ACTIONS(269),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(267),
    [anon_sym_cond_DASH_GT] = ACTIONS(269),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(267),
    [sym__symbol_chars] = ACTIONS(269),
    [sym_member_access] = ACTIONS(267),
    [sym_field_access] = ACTIONS(267),
    [sym_new_class] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(267),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(267),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(267),
    [anon_sym_POUND_LBRACE] = ACTIONS(267),
    [anon_sym_SEMI] = ACTIONS(267),
    [anon_sym_POUND_BANG] = ACTIONS(267),
    [anon_sym_POUND_] = ACTIONS(267),
    [anon_sym_POUND_LPAREN] = ACTIONS(267),
    [sym_shorthand_function_arg] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(269),
    [anon_sym_CARET_COLON] = ACTIONS(267),
    [anon_sym_CARET_DQUOTE] = ACTIONS(267),
    [anon_sym_BQUOTE] = ACTIONS(267),
    [anon_sym_POUND_SQUOTE] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(269),
    [anon_sym_TILDE_AT] = ACTIONS(267),
    [sym_gensym] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_POUND] = ACTIONS(269),
    [anon_sym_POUND_QMARK] = ACTIONS(269),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(267),
  },
  [37] = {
    [ts_builtin_sym_end] = ACTIONS(271),
    [sym_nil] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym__normal_long] = ACTIONS(273),
    [sym__number_hex] = ACTIONS(273),
    [sym__number_arbitrary_radix] = ACTIONS(273),
    [sym__number_octal] = ACTIONS(273),
    [sym_number_double] = ACTIONS(271),
    [sym_number_bigint] = ACTIONS(273),
    [sym_number_bigdecimal] = ACTIONS(271),
    [sym_number_ratio] = ACTIONS(271),
    [anon_sym_POUND_POUND] = ACTIONS(271),
    [anon_sym_BSLASH] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(271),
    [anon_sym_POUND_DQUOTE] = ACTIONS(271),
    [anon_sym_SQUOTE] = ACTIONS(271),
    [anon_sym_LPARENquote] = ACTIONS(271),
    [anon_sym_RPAREN] = ACTIONS(271),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(271),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_DASH_GT_GT] = ACTIONS(271),
    [anon_sym_as_DASH_GT] = ACTIONS(271),
    [anon_sym_some_DASH_GT] = ACTIONS(273),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(271),
    [anon_sym_cond_DASH_GT] = ACTIONS(273),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(271),
    [sym__symbol_chars] = ACTIONS(273),
    [sym_member_access] = ACTIONS(271),
    [sym_field_access] = ACTIONS(271),
    [sym_new_class] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(271),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(271),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(271),
    [anon_sym_POUND_LBRACE] = ACTIONS(271),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_POUND_BANG] = ACTIONS(271),
    [anon_sym_POUND_] = ACTIONS(271),
    [anon_sym_POUND_LPAREN] = ACTIONS(271),
    [sym_shorthand_function_arg] = ACTIONS(271),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_CARET_COLON] = ACTIONS(271),
    [anon_sym_CARET_DQUOTE] = ACTIONS(271),
    [anon_sym_BQUOTE] = ACTIONS(271),
    [anon_sym_POUND_SQUOTE] = ACTIONS(271),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_TILDE_AT] = ACTIONS(271),
    [sym_gensym] = ACTIONS(271),
    [anon_sym_AT] = ACTIONS(271),
    [anon_sym_POUND] = ACTIONS(273),
    [anon_sym_POUND_QMARK] = ACTIONS(273),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(271),
  },
  [38] = {
    [ts_builtin_sym_end] = ACTIONS(275),
    [sym_nil] = ACTIONS(277),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym__normal_long] = ACTIONS(277),
    [sym__number_hex] = ACTIONS(277),
    [sym__number_arbitrary_radix] = ACTIONS(277),
    [sym__number_octal] = ACTIONS(277),
    [sym_number_double] = ACTIONS(275),
    [sym_number_bigint] = ACTIONS(277),
    [sym_number_bigdecimal] = ACTIONS(275),
    [sym_number_ratio] = ACTIONS(275),
    [anon_sym_POUND_POUND] = ACTIONS(275),
    [anon_sym_BSLASH] = ACTIONS(275),
    [anon_sym_DQUOTE] = ACTIONS(275),
    [anon_sym_POUND_DQUOTE] = ACTIONS(275),
    [anon_sym_SQUOTE] = ACTIONS(275),
    [anon_sym_LPARENquote] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(275),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_COLON_COLON] = ACTIONS(275),
    [anon_sym_DASH_GT] = ACTIONS(277),
    [anon_sym_DASH_GT_GT] = ACTIONS(275),
    [anon_sym_as_DASH_GT] = ACTIONS(275),
    [anon_sym_some_DASH_GT] = ACTIONS(277),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(275),
    [anon_sym_cond_DASH_GT] = ACTIONS(277),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(275),
    [sym__symbol_chars] = ACTIONS(277),
    [sym_member_access] = ACTIONS(275),
    [sym_field_access] = ACTIONS(275),
    [sym_new_class] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_LBRACK] = ACTIONS(275),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_LBRACE] = ACTIONS(275),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(275),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(275),
    [anon_sym_POUND_LBRACE] = ACTIONS(275),
    [anon_sym_SEMI] = ACTIONS(275),
    [anon_sym_POUND_BANG] = ACTIONS(275),
    [anon_sym_POUND_] = ACTIONS(275),
    [anon_sym_POUND_LPAREN] = ACTIONS(275),
    [sym_shorthand_function_arg] = ACTIONS(275),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_CARET_COLON] = ACTIONS(275),
    [anon_sym_CARET_DQUOTE] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(275),
    [anon_sym_POUND_SQUOTE] = ACTIONS(275),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_TILDE_AT] = ACTIONS(275),
    [sym_gensym] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(275),
    [anon_sym_POUND] = ACTIONS(277),
    [anon_sym_POUND_QMARK] = ACTIONS(277),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(275),
  },
  [39] = {
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym_nil] = ACTIONS(281),
    [sym_true] = ACTIONS(281),
    [sym_false] = ACTIONS(281),
    [sym__normal_long] = ACTIONS(281),
    [sym__number_hex] = ACTIONS(281),
    [sym__number_arbitrary_radix] = ACTIONS(281),
    [sym__number_octal] = ACTIONS(281),
    [sym_number_double] = ACTIONS(279),
    [sym_number_bigint] = ACTIONS(281),
    [sym_number_bigdecimal] = ACTIONS(279),
    [sym_number_ratio] = ACTIONS(279),
    [anon_sym_POUND_POUND] = ACTIONS(279),
    [anon_sym_BSLASH] = ACTIONS(279),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_POUND_DQUOTE] = ACTIONS(279),
    [anon_sym_SQUOTE] = ACTIONS(279),
    [anon_sym_LPARENquote] = ACTIONS(279),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(281),
    [anon_sym_COLON_COLON] = ACTIONS(279),
    [anon_sym_DASH_GT] = ACTIONS(281),
    [anon_sym_DASH_GT_GT] = ACTIONS(279),
    [anon_sym_as_DASH_GT] = ACTIONS(279),
    [anon_sym_some_DASH_GT] = ACTIONS(281),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(279),
    [anon_sym_cond_DASH_GT] = ACTIONS(281),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(279),
    [sym__symbol_chars] = ACTIONS(281),
    [sym_member_access] = ACTIONS(279),
    [sym_field_access] = ACTIONS(279),
    [sym_new_class] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_LBRACK] = ACTIONS(279),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(279),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(279),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(279),
    [anon_sym_POUND_LBRACE] = ACTIONS(279),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_POUND_BANG] = ACTIONS(279),
    [anon_sym_POUND_] = ACTIONS(279),
    [anon_sym_POUND_LPAREN] = ACTIONS(279),
    [sym_shorthand_function_arg] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(281),
    [anon_sym_CARET_COLON] = ACTIONS(279),
    [anon_sym_CARET_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(279),
    [anon_sym_POUND_SQUOTE] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(281),
    [anon_sym_TILDE_AT] = ACTIONS(279),
    [sym_gensym] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_POUND] = ACTIONS(281),
    [anon_sym_POUND_QMARK] = ACTIONS(281),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(279),
  },
  [40] = {
    [ts_builtin_sym_end] = ACTIONS(283),
    [sym_nil] = ACTIONS(285),
    [sym_true] = ACTIONS(285),
    [sym_false] = ACTIONS(285),
    [sym__normal_long] = ACTIONS(285),
    [sym__number_hex] = ACTIONS(285),
    [sym__number_arbitrary_radix] = ACTIONS(285),
    [sym__number_octal] = ACTIONS(285),
    [sym_number_double] = ACTIONS(283),
    [sym_number_bigint] = ACTIONS(285),
    [sym_number_bigdecimal] = ACTIONS(283),
    [sym_number_ratio] = ACTIONS(283),
    [anon_sym_POUND_POUND] = ACTIONS(283),
    [anon_sym_BSLASH] = ACTIONS(283),
    [anon_sym_DQUOTE] = ACTIONS(283),
    [anon_sym_POUND_DQUOTE] = ACTIONS(283),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_LPARENquote] = ACTIONS(283),
    [anon_sym_RPAREN] = ACTIONS(283),
    [anon_sym_COLON] = ACTIONS(285),
    [anon_sym_COLON_COLON] = ACTIONS(283),
    [anon_sym_DASH_GT] = ACTIONS(285),
    [anon_sym_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_as_DASH_GT] = ACTIONS(283),
    [anon_sym_some_DASH_GT] = ACTIONS(285),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(283),
    [anon_sym_cond_DASH_GT] = ACTIONS(285),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(283),
    [sym__symbol_chars] = ACTIONS(285),
    [sym_member_access] = ACTIONS(283),
    [sym_field_access] = ACTIONS(283),
    [sym_new_class] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(283),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(283),
    [anon_sym_POUND_LBRACE] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_POUND_BANG] = ACTIONS(283),
    [anon_sym_POUND_] = ACTIONS(283),
    [anon_sym_POUND_LPAREN] = ACTIONS(283),
    [sym_shorthand_function_arg] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_CARET_COLON] = ACTIONS(283),
    [anon_sym_CARET_DQUOTE] = ACTIONS(283),
    [anon_sym_BQUOTE] = ACTIONS(283),
    [anon_sym_POUND_SQUOTE] = ACTIONS(283),
    [anon_sym_TILDE] = ACTIONS(285),
    [anon_sym_TILDE_AT] = ACTIONS(283),
    [sym_gensym] = ACTIONS(283),
    [anon_sym_AT] = ACTIONS(283),
    [anon_sym_POUND] = ACTIONS(285),
    [anon_sym_POUND_QMARK] = ACTIONS(285),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(283),
  },
  [41] = {
    [ts_builtin_sym_end] = ACTIONS(287),
    [sym_nil] = ACTIONS(289),
    [sym_true] = ACTIONS(289),
    [sym_false] = ACTIONS(289),
    [sym__normal_long] = ACTIONS(289),
    [sym__number_hex] = ACTIONS(289),
    [sym__number_arbitrary_radix] = ACTIONS(289),
    [sym__number_octal] = ACTIONS(289),
    [sym_number_double] = ACTIONS(287),
    [sym_number_bigint] = ACTIONS(289),
    [sym_number_bigdecimal] = ACTIONS(287),
    [sym_number_ratio] = ACTIONS(287),
    [anon_sym_POUND_POUND] = ACTIONS(287),
    [anon_sym_BSLASH] = ACTIONS(287),
    [anon_sym_DQUOTE] = ACTIONS(287),
    [anon_sym_POUND_DQUOTE] = ACTIONS(287),
    [anon_sym_SQUOTE] = ACTIONS(287),
    [anon_sym_LPARENquote] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(289),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_DASH_GT_GT] = ACTIONS(287),
    [anon_sym_as_DASH_GT] = ACTIONS(287),
    [anon_sym_some_DASH_GT] = ACTIONS(289),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(287),
    [anon_sym_cond_DASH_GT] = ACTIONS(289),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(287),
    [sym__symbol_chars] = ACTIONS(289),
    [sym_member_access] = ACTIONS(287),
    [sym_field_access] = ACTIONS(287),
    [sym_new_class] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(287),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(287),
    [anon_sym_POUND_LBRACE] = ACTIONS(287),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_POUND_BANG] = ACTIONS(287),
    [anon_sym_POUND_] = ACTIONS(287),
    [anon_sym_POUND_LPAREN] = ACTIONS(287),
    [sym_shorthand_function_arg] = ACTIONS(287),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_CARET_COLON] = ACTIONS(287),
    [anon_sym_CARET_DQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_POUND_SQUOTE] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_TILDE_AT] = ACTIONS(287),
    [sym_gensym] = ACTIONS(287),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_POUND_QMARK] = ACTIONS(289),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(287),
  },
  [42] = {
    [ts_builtin_sym_end] = ACTIONS(291),
    [sym_nil] = ACTIONS(293),
    [sym_true] = ACTIONS(293),
    [sym_false] = ACTIONS(293),
    [sym__normal_long] = ACTIONS(293),
    [sym__number_hex] = ACTIONS(293),
    [sym__number_arbitrary_radix] = ACTIONS(293),
    [sym__number_octal] = ACTIONS(293),
    [sym_number_double] = ACTIONS(291),
    [sym_number_bigint] = ACTIONS(293),
    [sym_number_bigdecimal] = ACTIONS(291),
    [sym_number_ratio] = ACTIONS(291),
    [anon_sym_POUND_POUND] = ACTIONS(291),
    [anon_sym_BSLASH] = ACTIONS(291),
    [anon_sym_DQUOTE] = ACTIONS(291),
    [anon_sym_POUND_DQUOTE] = ACTIONS(291),
    [anon_sym_SQUOTE] = ACTIONS(291),
    [anon_sym_LPARENquote] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(291),
    [anon_sym_COLON] = ACTIONS(293),
    [anon_sym_COLON_COLON] = ACTIONS(291),
    [anon_sym_DASH_GT] = ACTIONS(293),
    [anon_sym_DASH_GT_GT] = ACTIONS(291),
    [anon_sym_as_DASH_GT] = ACTIONS(291),
    [anon_sym_some_DASH_GT] = ACTIONS(293),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(291),
    [anon_sym_cond_DASH_GT] = ACTIONS(293),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(291),
    [sym__symbol_chars] = ACTIONS(293),
    [sym_member_access] = ACTIONS(291),
    [sym_field_access] = ACTIONS(291),
    [sym_new_class] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_RBRACE] = ACTIONS(291),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(291),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(291),
    [anon_sym_POUND_LBRACE] = ACTIONS(291),
    [anon_sym_SEMI] = ACTIONS(291),
    [anon_sym_POUND_BANG] = ACTIONS(291),
    [anon_sym_POUND_] = ACTIONS(291),
    [anon_sym_POUND_LPAREN] = ACTIONS(291),
    [sym_shorthand_function_arg] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_CARET_COLON] = ACTIONS(291),
    [anon_sym_CARET_DQUOTE] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(291),
    [anon_sym_POUND_SQUOTE] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_TILDE_AT] = ACTIONS(291),
    [sym_gensym] = ACTIONS(291),
    [anon_sym_AT] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(293),
    [anon_sym_POUND_QMARK] = ACTIONS(293),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(291),
  },
  [43] = {
    [ts_builtin_sym_end] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym__normal_long] = ACTIONS(297),
    [sym__number_hex] = ACTIONS(297),
    [sym__number_arbitrary_radix] = ACTIONS(297),
    [sym__number_octal] = ACTIONS(297),
    [sym_number_double] = ACTIONS(295),
    [sym_number_bigint] = ACTIONS(297),
    [sym_number_bigdecimal] = ACTIONS(295),
    [sym_number_ratio] = ACTIONS(295),
    [anon_sym_POUND_POUND] = ACTIONS(295),
    [anon_sym_BSLASH] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_POUND_DQUOTE] = ACTIONS(295),
    [anon_sym_SQUOTE] = ACTIONS(295),
    [anon_sym_LPARENquote] = ACTIONS(295),
    [anon_sym_RPAREN] = ACTIONS(295),
    [anon_sym_COLON] = ACTIONS(297),
    [anon_sym_COLON_COLON] = ACTIONS(295),
    [anon_sym_DASH_GT] = ACTIONS(297),
    [anon_sym_DASH_GT_GT] = ACTIONS(295),
    [anon_sym_as_DASH_GT] = ACTIONS(295),
    [anon_sym_some_DASH_GT] = ACTIONS(297),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(295),
    [anon_sym_cond_DASH_GT] = ACTIONS(297),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(295),
    [sym__symbol_chars] = ACTIONS(297),
    [sym_member_access] = ACTIONS(295),
    [sym_field_access] = ACTIONS(295),
    [sym_new_class] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(295),
    [anon_sym_RBRACK] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_RBRACE] = ACTIONS(295),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(295),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(295),
    [anon_sym_POUND_LBRACE] = ACTIONS(295),
    [anon_sym_SEMI] = ACTIONS(295),
    [anon_sym_POUND_BANG] = ACTIONS(295),
    [anon_sym_POUND_] = ACTIONS(295),
    [anon_sym_POUND_LPAREN] = ACTIONS(295),
    [sym_shorthand_function_arg] = ACTIONS(295),
    [anon_sym_CARET] = ACTIONS(297),
    [anon_sym_CARET_COLON] = ACTIONS(295),
    [anon_sym_CARET_DQUOTE] = ACTIONS(295),
    [anon_sym_BQUOTE] = ACTIONS(295),
    [anon_sym_POUND_SQUOTE] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(297),
    [anon_sym_TILDE_AT] = ACTIONS(295),
    [sym_gensym] = ACTIONS(295),
    [anon_sym_AT] = ACTIONS(295),
    [anon_sym_POUND] = ACTIONS(297),
    [anon_sym_POUND_QMARK] = ACTIONS(297),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(295),
  },
  [44] = {
    [ts_builtin_sym_end] = ACTIONS(299),
    [sym_nil] = ACTIONS(301),
    [sym_true] = ACTIONS(301),
    [sym_false] = ACTIONS(301),
    [sym__normal_long] = ACTIONS(301),
    [sym__number_hex] = ACTIONS(301),
    [sym__number_arbitrary_radix] = ACTIONS(301),
    [sym__number_octal] = ACTIONS(301),
    [sym_number_double] = ACTIONS(299),
    [sym_number_bigint] = ACTIONS(301),
    [sym_number_bigdecimal] = ACTIONS(299),
    [sym_number_ratio] = ACTIONS(299),
    [anon_sym_POUND_POUND] = ACTIONS(299),
    [anon_sym_BSLASH] = ACTIONS(299),
    [anon_sym_DQUOTE] = ACTIONS(299),
    [anon_sym_POUND_DQUOTE] = ACTIONS(299),
    [anon_sym_SQUOTE] = ACTIONS(299),
    [anon_sym_LPARENquote] = ACTIONS(299),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_COLON] = ACTIONS(301),
    [anon_sym_COLON_COLON] = ACTIONS(299),
    [anon_sym_DASH_GT] = ACTIONS(301),
    [anon_sym_DASH_GT_GT] = ACTIONS(299),
    [anon_sym_as_DASH_GT] = ACTIONS(299),
    [anon_sym_some_DASH_GT] = ACTIONS(301),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(299),
    [anon_sym_cond_DASH_GT] = ACTIONS(301),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(299),
    [sym__symbol_chars] = ACTIONS(301),
    [sym_member_access] = ACTIONS(299),
    [sym_field_access] = ACTIONS(299),
    [sym_new_class] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(299),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(299),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(299),
    [anon_sym_POUND_LBRACE] = ACTIONS(299),
    [anon_sym_SEMI] = ACTIONS(299),
    [anon_sym_POUND_BANG] = ACTIONS(299),
    [anon_sym_POUND_] = ACTIONS(299),
    [anon_sym_POUND_LPAREN] = ACTIONS(299),
    [sym_shorthand_function_arg] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_CARET_COLON] = ACTIONS(299),
    [anon_sym_CARET_DQUOTE] = ACTIONS(299),
    [anon_sym_BQUOTE] = ACTIONS(299),
    [anon_sym_POUND_SQUOTE] = ACTIONS(299),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_TILDE_AT] = ACTIONS(299),
    [sym_gensym] = ACTIONS(299),
    [anon_sym_AT] = ACTIONS(299),
    [anon_sym_POUND] = ACTIONS(301),
    [anon_sym_POUND_QMARK] = ACTIONS(301),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(299),
  },
  [45] = {
    [ts_builtin_sym_end] = ACTIONS(303),
    [sym_nil] = ACTIONS(305),
    [sym_true] = ACTIONS(305),
    [sym_false] = ACTIONS(305),
    [sym__normal_long] = ACTIONS(305),
    [sym__number_hex] = ACTIONS(305),
    [sym__number_arbitrary_radix] = ACTIONS(305),
    [sym__number_octal] = ACTIONS(305),
    [sym_number_double] = ACTIONS(303),
    [sym_number_bigint] = ACTIONS(305),
    [sym_number_bigdecimal] = ACTIONS(303),
    [sym_number_ratio] = ACTIONS(303),
    [anon_sym_POUND_POUND] = ACTIONS(303),
    [anon_sym_BSLASH] = ACTIONS(303),
    [anon_sym_DQUOTE] = ACTIONS(303),
    [anon_sym_POUND_DQUOTE] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LPARENquote] = ACTIONS(303),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_DASH_GT] = ACTIONS(305),
    [anon_sym_DASH_GT_GT] = ACTIONS(303),
    [anon_sym_as_DASH_GT] = ACTIONS(303),
    [anon_sym_some_DASH_GT] = ACTIONS(305),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(303),
    [anon_sym_cond_DASH_GT] = ACTIONS(305),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(303),
    [sym__symbol_chars] = ACTIONS(305),
    [sym_member_access] = ACTIONS(303),
    [sym_field_access] = ACTIONS(303),
    [sym_new_class] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(303),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(303),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(303),
    [anon_sym_POUND_LBRACE] = ACTIONS(303),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_POUND_BANG] = ACTIONS(303),
    [anon_sym_POUND_] = ACTIONS(303),
    [anon_sym_POUND_LPAREN] = ACTIONS(303),
    [sym_shorthand_function_arg] = ACTIONS(303),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_CARET_COLON] = ACTIONS(303),
    [anon_sym_CARET_DQUOTE] = ACTIONS(303),
    [anon_sym_BQUOTE] = ACTIONS(303),
    [anon_sym_POUND_SQUOTE] = ACTIONS(303),
    [anon_sym_TILDE] = ACTIONS(305),
    [anon_sym_TILDE_AT] = ACTIONS(303),
    [sym_gensym] = ACTIONS(303),
    [anon_sym_AT] = ACTIONS(303),
    [anon_sym_POUND] = ACTIONS(305),
    [anon_sym_POUND_QMARK] = ACTIONS(305),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(303),
  },
  [46] = {
    [ts_builtin_sym_end] = ACTIONS(307),
    [sym_nil] = ACTIONS(309),
    [sym_true] = ACTIONS(309),
    [sym_false] = ACTIONS(309),
    [sym__normal_long] = ACTIONS(309),
    [sym__number_hex] = ACTIONS(309),
    [sym__number_arbitrary_radix] = ACTIONS(309),
    [sym__number_octal] = ACTIONS(309),
    [sym_number_double] = ACTIONS(307),
    [sym_number_bigint] = ACTIONS(309),
    [sym_number_bigdecimal] = ACTIONS(307),
    [sym_number_ratio] = ACTIONS(307),
    [anon_sym_POUND_POUND] = ACTIONS(307),
    [anon_sym_BSLASH] = ACTIONS(307),
    [anon_sym_DQUOTE] = ACTIONS(307),
    [anon_sym_POUND_DQUOTE] = ACTIONS(307),
    [anon_sym_SQUOTE] = ACTIONS(307),
    [anon_sym_LPARENquote] = ACTIONS(307),
    [anon_sym_RPAREN] = ACTIONS(307),
    [anon_sym_COLON] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(307),
    [anon_sym_DASH_GT] = ACTIONS(309),
    [anon_sym_DASH_GT_GT] = ACTIONS(307),
    [anon_sym_as_DASH_GT] = ACTIONS(307),
    [anon_sym_some_DASH_GT] = ACTIONS(309),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(307),
    [anon_sym_cond_DASH_GT] = ACTIONS(309),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(307),
    [sym__symbol_chars] = ACTIONS(309),
    [sym_member_access] = ACTIONS(307),
    [sym_field_access] = ACTIONS(307),
    [sym_new_class] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(307),
    [anon_sym_RBRACK] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(307),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(307),
    [anon_sym_POUND_LBRACE] = ACTIONS(307),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_POUND_BANG] = ACTIONS(307),
    [anon_sym_POUND_] = ACTIONS(307),
    [anon_sym_POUND_LPAREN] = ACTIONS(307),
    [sym_shorthand_function_arg] = ACTIONS(307),
    [anon_sym_CARET] = ACTIONS(309),
    [anon_sym_CARET_COLON] = ACTIONS(307),
    [anon_sym_CARET_DQUOTE] = ACTIONS(307),
    [anon_sym_BQUOTE] = ACTIONS(307),
    [anon_sym_POUND_SQUOTE] = ACTIONS(307),
    [anon_sym_TILDE] = ACTIONS(309),
    [anon_sym_TILDE_AT] = ACTIONS(307),
    [sym_gensym] = ACTIONS(307),
    [anon_sym_AT] = ACTIONS(307),
    [anon_sym_POUND] = ACTIONS(309),
    [anon_sym_POUND_QMARK] = ACTIONS(309),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(307),
  },
  [47] = {
    [ts_builtin_sym_end] = ACTIONS(311),
    [sym_nil] = ACTIONS(313),
    [sym_true] = ACTIONS(313),
    [sym_false] = ACTIONS(313),
    [sym__normal_long] = ACTIONS(313),
    [sym__number_hex] = ACTIONS(313),
    [sym__number_arbitrary_radix] = ACTIONS(313),
    [sym__number_octal] = ACTIONS(313),
    [sym_number_double] = ACTIONS(311),
    [sym_number_bigint] = ACTIONS(313),
    [sym_number_bigdecimal] = ACTIONS(311),
    [sym_number_ratio] = ACTIONS(311),
    [anon_sym_POUND_POUND] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(311),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_POUND_DQUOTE] = ACTIONS(311),
    [anon_sym_SQUOTE] = ACTIONS(311),
    [anon_sym_LPARENquote] = ACTIONS(311),
    [anon_sym_RPAREN] = ACTIONS(311),
    [anon_sym_COLON] = ACTIONS(313),
    [anon_sym_COLON_COLON] = ACTIONS(311),
    [anon_sym_DASH_GT] = ACTIONS(313),
    [anon_sym_DASH_GT_GT] = ACTIONS(311),
    [anon_sym_as_DASH_GT] = ACTIONS(311),
    [anon_sym_some_DASH_GT] = ACTIONS(313),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(311),
    [anon_sym_cond_DASH_GT] = ACTIONS(313),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(311),
    [sym__symbol_chars] = ACTIONS(313),
    [sym_member_access] = ACTIONS(311),
    [sym_field_access] = ACTIONS(311),
    [sym_new_class] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_RBRACK] = ACTIONS(311),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(311),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(311),
    [anon_sym_POUND_LBRACE] = ACTIONS(311),
    [anon_sym_SEMI] = ACTIONS(311),
    [anon_sym_POUND_BANG] = ACTIONS(311),
    [anon_sym_POUND_] = ACTIONS(311),
    [anon_sym_POUND_LPAREN] = ACTIONS(311),
    [sym_shorthand_function_arg] = ACTIONS(311),
    [anon_sym_CARET] = ACTIONS(313),
    [anon_sym_CARET_COLON] = ACTIONS(311),
    [anon_sym_CARET_DQUOTE] = ACTIONS(311),
    [anon_sym_BQUOTE] = ACTIONS(311),
    [anon_sym_POUND_SQUOTE] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(313),
    [anon_sym_TILDE_AT] = ACTIONS(311),
    [sym_gensym] = ACTIONS(311),
    [anon_sym_AT] = ACTIONS(311),
    [anon_sym_POUND] = ACTIONS(313),
    [anon_sym_POUND_QMARK] = ACTIONS(313),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(311),
  },
  [48] = {
    [sym_list] = STATE(126),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(126),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(126),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(126),
    [sym__set] = STATE(46),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
  },
  [49] = {
    [anon_sym_DASH_GT] = ACTIONS(315),
    [anon_sym_DASH_GT_GT] = ACTIONS(317),
    [anon_sym_as_DASH_GT] = ACTIONS(317),
    [anon_sym_some_DASH_GT] = ACTIONS(315),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(317),
    [anon_sym_cond_DASH_GT] = ACTIONS(315),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(317),
    [sym__symbol_chars] = ACTIONS(315),
    [anon_sym_LPAREN] = ACTIONS(317),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(317),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(317),
    [anon_sym_POUND_LBRACE] = ACTIONS(317),
  },
  [50] = {
    [anon_sym_LPAREN] = ACTIONS(319),
  },
  [51] = {
    [sym__anything] = STATE(128),
    [sym__literals] = STATE(128),
    [sym__collection_literals] = STATE(128),
    [sym_boolean] = STATE(128),
    [sym_number] = STATE(128),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(128),
    [sym_character] = STATE(128),
    [sym__character] = STATE(36),
    [sym_string] = STATE(128),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(128),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(128),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(128),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(128),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(128),
    [sym_list] = STATE(128),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(128),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(128),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(128),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(128),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(128),
    [sym_anonymous_function] = STATE(128),
    [sym_shorthand_function] = STATE(128),
    [sym_defn] = STATE(128),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(128),
    [sym_var_quote] = STATE(128),
    [sym_unquote] = STATE(128),
    [sym_unquote_splice] = STATE(128),
    [sym_deref] = STATE(128),
    [sym_tagged_literal] = STATE(128),
    [sym_reader_conditional] = STATE(128),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(128),
    [aux_sym_metadata_repeat1] = STATE(52),
    [ts_builtin_sym_end] = ACTIONS(321),
    [sym_nil] = ACTIONS(323),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(57),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_TILDE_AT] = ACTIONS(75),
    [sym_gensym] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [52] = {
    [sym_metadata_shorthand] = STATE(130),
    [aux_sym_metadata_repeat1] = STATE(130),
    [anon_sym_LPAREN] = ACTIONS(317),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(317),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(317),
    [anon_sym_POUND_LBRACE] = ACTIONS(317),
    [anon_sym_CARET] = ACTIONS(327),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(329),
    [sym_nil] = ACTIONS(331),
    [sym_true] = ACTIONS(331),
    [sym_false] = ACTIONS(331),
    [sym__normal_long] = ACTIONS(331),
    [sym__number_hex] = ACTIONS(331),
    [sym__number_arbitrary_radix] = ACTIONS(331),
    [sym__number_octal] = ACTIONS(331),
    [sym_number_double] = ACTIONS(329),
    [sym_number_bigint] = ACTIONS(331),
    [sym_number_bigdecimal] = ACTIONS(329),
    [sym_number_ratio] = ACTIONS(329),
    [anon_sym_POUND_POUND] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(329),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_POUND_DQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(329),
    [anon_sym_LPARENquote] = ACTIONS(329),
    [anon_sym_RPAREN] = ACTIONS(329),
    [anon_sym_COLON] = ACTIONS(331),
    [anon_sym_COLON_COLON] = ACTIONS(329),
    [anon_sym_DASH_GT] = ACTIONS(331),
    [anon_sym_DASH_GT_GT] = ACTIONS(329),
    [anon_sym_as_DASH_GT] = ACTIONS(329),
    [anon_sym_some_DASH_GT] = ACTIONS(331),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(329),
    [anon_sym_cond_DASH_GT] = ACTIONS(331),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(329),
    [sym__symbol_chars] = ACTIONS(331),
    [sym_member_access] = ACTIONS(329),
    [sym_field_access] = ACTIONS(329),
    [sym_new_class] = ACTIONS(329),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(329),
    [anon_sym_RBRACK] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(329),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(329),
    [anon_sym_POUND_LBRACE] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_POUND_BANG] = ACTIONS(329),
    [anon_sym_POUND_] = ACTIONS(329),
    [anon_sym_POUND_LPAREN] = ACTIONS(329),
    [sym_shorthand_function_arg] = ACTIONS(329),
    [anon_sym_CARET] = ACTIONS(331),
    [anon_sym_CARET_COLON] = ACTIONS(329),
    [anon_sym_CARET_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_POUND_SQUOTE] = ACTIONS(329),
    [anon_sym_TILDE] = ACTIONS(331),
    [anon_sym_TILDE_AT] = ACTIONS(329),
    [sym_gensym] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(329),
    [anon_sym_POUND] = ACTIONS(331),
    [anon_sym_POUND_QMARK] = ACTIONS(331),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(329),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(333),
    [sym_nil] = ACTIONS(335),
    [sym_true] = ACTIONS(335),
    [sym_false] = ACTIONS(335),
    [sym__normal_long] = ACTIONS(335),
    [sym__number_hex] = ACTIONS(335),
    [sym__number_arbitrary_radix] = ACTIONS(335),
    [sym__number_octal] = ACTIONS(335),
    [sym_number_double] = ACTIONS(333),
    [sym_number_bigint] = ACTIONS(335),
    [sym_number_bigdecimal] = ACTIONS(333),
    [sym_number_ratio] = ACTIONS(333),
    [anon_sym_POUND_POUND] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(333),
    [anon_sym_DQUOTE] = ACTIONS(333),
    [anon_sym_POUND_DQUOTE] = ACTIONS(333),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_LPARENquote] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(333),
    [anon_sym_COLON] = ACTIONS(335),
    [anon_sym_COLON_COLON] = ACTIONS(333),
    [anon_sym_DASH_GT] = ACTIONS(335),
    [anon_sym_DASH_GT_GT] = ACTIONS(333),
    [anon_sym_as_DASH_GT] = ACTIONS(333),
    [anon_sym_some_DASH_GT] = ACTIONS(335),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(333),
    [anon_sym_cond_DASH_GT] = ACTIONS(335),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(333),
    [sym__symbol_chars] = ACTIONS(335),
    [sym_member_access] = ACTIONS(333),
    [sym_field_access] = ACTIONS(333),
    [sym_new_class] = ACTIONS(333),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(333),
    [anon_sym_RBRACK] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(333),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(333),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(333),
    [anon_sym_POUND_LBRACE] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(333),
    [anon_sym_POUND_BANG] = ACTIONS(333),
    [anon_sym_POUND_] = ACTIONS(333),
    [anon_sym_POUND_LPAREN] = ACTIONS(333),
    [sym_shorthand_function_arg] = ACTIONS(333),
    [anon_sym_CARET] = ACTIONS(335),
    [anon_sym_CARET_COLON] = ACTIONS(333),
    [anon_sym_CARET_DQUOTE] = ACTIONS(333),
    [anon_sym_BQUOTE] = ACTIONS(333),
    [anon_sym_POUND_SQUOTE] = ACTIONS(333),
    [anon_sym_TILDE] = ACTIONS(335),
    [anon_sym_TILDE_AT] = ACTIONS(333),
    [sym_gensym] = ACTIONS(333),
    [anon_sym_AT] = ACTIONS(333),
    [anon_sym_POUND] = ACTIONS(335),
    [anon_sym_POUND_QMARK] = ACTIONS(335),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(333),
  },
  [55] = {
    [sym__hex_char] = ACTIONS(337),
  },
  [56] = {
    [sym__octal_num] = STATE(132),
    [aux_sym_SLASH_LBRACK0_DASH3_RBRACK_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH] = ACTIONS(339),
    [aux_sym_SLASH_LBRACK0_DASH7_RBRACK_LBRACK0_DASH7_RBRACK_SLASH] = ACTIONS(341),
    [aux_sym_SLASH_LBRACK0_DASH7_RBRACK_SLASH] = ACTIONS(341),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_nil] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym__normal_long] = ACTIONS(345),
    [sym__number_hex] = ACTIONS(345),
    [sym__number_arbitrary_radix] = ACTIONS(345),
    [sym__number_octal] = ACTIONS(345),
    [sym_number_double] = ACTIONS(343),
    [sym_number_bigint] = ACTIONS(345),
    [sym_number_bigdecimal] = ACTIONS(343),
    [sym_number_ratio] = ACTIONS(343),
    [anon_sym_POUND_POUND] = ACTIONS(343),
    [anon_sym_BSLASH] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [anon_sym_POUND_DQUOTE] = ACTIONS(343),
    [anon_sym_SQUOTE] = ACTIONS(343),
    [anon_sym_LPARENquote] = ACTIONS(343),
    [anon_sym_RPAREN] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_COLON_COLON] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_as_DASH_GT] = ACTIONS(343),
    [anon_sym_some_DASH_GT] = ACTIONS(345),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(343),
    [anon_sym_cond_DASH_GT] = ACTIONS(345),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(343),
    [sym__symbol_chars] = ACTIONS(345),
    [sym_member_access] = ACTIONS(343),
    [sym_field_access] = ACTIONS(343),
    [sym_new_class] = ACTIONS(343),
    [anon_sym_LPAREN] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_RBRACK] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(343),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(343),
    [anon_sym_POUND_LBRACE] = ACTIONS(343),
    [anon_sym_SEMI] = ACTIONS(343),
    [anon_sym_POUND_BANG] = ACTIONS(343),
    [anon_sym_POUND_] = ACTIONS(343),
    [anon_sym_POUND_LPAREN] = ACTIONS(343),
    [sym_shorthand_function_arg] = ACTIONS(343),
    [anon_sym_CARET] = ACTIONS(345),
    [anon_sym_CARET_COLON] = ACTIONS(343),
    [anon_sym_CARET_DQUOTE] = ACTIONS(343),
    [anon_sym_BQUOTE] = ACTIONS(343),
    [anon_sym_POUND_SQUOTE] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(345),
    [anon_sym_TILDE_AT] = ACTIONS(343),
    [sym_gensym] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(343),
    [anon_sym_POUND] = ACTIONS(345),
    [anon_sym_POUND_QMARK] = ACTIONS(345),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(343),
  },
  [58] = {
    [aux_sym__string_repeat1] = STATE(134),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(349),
    [aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH] = ACTIONS(349),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(351),
    [sym_nil] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym__normal_long] = ACTIONS(353),
    [sym__number_hex] = ACTIONS(353),
    [sym__number_arbitrary_radix] = ACTIONS(353),
    [sym__number_octal] = ACTIONS(353),
    [sym_number_double] = ACTIONS(351),
    [sym_number_bigint] = ACTIONS(353),
    [sym_number_bigdecimal] = ACTIONS(351),
    [sym_number_ratio] = ACTIONS(351),
    [anon_sym_POUND_POUND] = ACTIONS(351),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [anon_sym_POUND_DQUOTE] = ACTIONS(351),
    [anon_sym_SQUOTE] = ACTIONS(351),
    [anon_sym_LPARENquote] = ACTIONS(351),
    [anon_sym_RPAREN] = ACTIONS(351),
    [anon_sym_COLON] = ACTIONS(353),
    [anon_sym_COLON_COLON] = ACTIONS(351),
    [anon_sym_DASH_GT] = ACTIONS(353),
    [anon_sym_DASH_GT_GT] = ACTIONS(351),
    [anon_sym_as_DASH_GT] = ACTIONS(351),
    [anon_sym_some_DASH_GT] = ACTIONS(353),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(351),
    [anon_sym_cond_DASH_GT] = ACTIONS(353),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(351),
    [sym__symbol_chars] = ACTIONS(353),
    [sym_member_access] = ACTIONS(351),
    [sym_field_access] = ACTIONS(351),
    [sym_new_class] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(353),
    [anon_sym_LBRACK] = ACTIONS(351),
    [anon_sym_RBRACK] = ACTIONS(351),
    [anon_sym_LBRACE] = ACTIONS(351),
    [anon_sym_RBRACE] = ACTIONS(351),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(351),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(351),
    [anon_sym_POUND_LBRACE] = ACTIONS(351),
    [anon_sym_SEMI] = ACTIONS(351),
    [anon_sym_POUND_BANG] = ACTIONS(351),
    [anon_sym_POUND_] = ACTIONS(351),
    [anon_sym_POUND_LPAREN] = ACTIONS(351),
    [sym_shorthand_function_arg] = ACTIONS(351),
    [anon_sym_CARET] = ACTIONS(353),
    [anon_sym_CARET_COLON] = ACTIONS(351),
    [anon_sym_CARET_DQUOTE] = ACTIONS(351),
    [anon_sym_BQUOTE] = ACTIONS(351),
    [anon_sym_POUND_SQUOTE] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(353),
    [anon_sym_TILDE_AT] = ACTIONS(351),
    [sym_gensym] = ACTIONS(351),
    [anon_sym_AT] = ACTIONS(351),
    [anon_sym_POUND] = ACTIONS(353),
    [anon_sym_POUND_QMARK] = ACTIONS(353),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(351),
  },
  [60] = {
    [aux_sym__regex_repeat1] = STATE(136),
    [anon_sym_DQUOTE] = ACTIONS(355),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(357),
    [aux_sym_SLASH_LBRACK_CARET_DQUOTE_BSLASHn_BSLASHr_RBRACK_SLASH] = ACTIONS(357),
  },
  [61] = {
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym_nil] = ACTIONS(361),
    [sym_true] = ACTIONS(361),
    [sym_false] = ACTIONS(361),
    [sym__normal_long] = ACTIONS(361),
    [sym__number_hex] = ACTIONS(361),
    [sym__number_arbitrary_radix] = ACTIONS(361),
    [sym__number_octal] = ACTIONS(361),
    [sym_number_double] = ACTIONS(359),
    [sym_number_bigint] = ACTIONS(361),
    [sym_number_bigdecimal] = ACTIONS(359),
    [sym_number_ratio] = ACTIONS(359),
    [anon_sym_POUND_POUND] = ACTIONS(359),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [anon_sym_POUND_DQUOTE] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_LPARENquote] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COLON] = ACTIONS(361),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_as_DASH_GT] = ACTIONS(359),
    [anon_sym_some_DASH_GT] = ACTIONS(361),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(359),
    [anon_sym_cond_DASH_GT] = ACTIONS(361),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(359),
    [sym__symbol_chars] = ACTIONS(361),
    [sym_member_access] = ACTIONS(359),
    [sym_field_access] = ACTIONS(359),
    [sym_new_class] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(359),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(359),
    [anon_sym_POUND_LBRACE] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_POUND_BANG] = ACTIONS(359),
    [anon_sym_POUND_] = ACTIONS(359),
    [anon_sym_POUND_LPAREN] = ACTIONS(359),
    [sym_shorthand_function_arg] = ACTIONS(359),
    [anon_sym_CARET] = ACTIONS(361),
    [anon_sym_CARET_COLON] = ACTIONS(359),
    [anon_sym_CARET_DQUOTE] = ACTIONS(359),
    [anon_sym_BQUOTE] = ACTIONS(359),
    [anon_sym_POUND_SQUOTE] = ACTIONS(359),
    [anon_sym_TILDE] = ACTIONS(361),
    [anon_sym_TILDE_AT] = ACTIONS(359),
    [sym_gensym] = ACTIONS(359),
    [anon_sym_AT] = ACTIONS(359),
    [anon_sym_POUND] = ACTIONS(361),
    [anon_sym_POUND_QMARK] = ACTIONS(361),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(359),
  },
  [62] = {
    [sym__anything] = STATE(61),
    [sym__literals] = STATE(61),
    [sym__collection_literals] = STATE(61),
    [sym_boolean] = STATE(61),
    [sym_number] = STATE(61),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(61),
    [sym_character] = STATE(61),
    [sym__character] = STATE(36),
    [sym_string] = STATE(61),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(61),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(61),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(61),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(61),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(61),
    [sym_list] = STATE(61),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(61),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(61),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(61),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(61),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(61),
    [sym_anonymous_function] = STATE(61),
    [sym_shorthand_function] = STATE(61),
    [sym_defn] = STATE(61),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(61),
    [sym_var_quote] = STATE(61),
    [sym_unquote] = STATE(61),
    [sym_unquote_splice] = STATE(61),
    [sym_deref] = STATE(61),
    [sym_tagged_literal] = STATE(61),
    [sym_reader_conditional] = STATE(61),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(109),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(117),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(121),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_TILDE_AT] = ACTIONS(125),
    [sym_gensym] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [63] = {
    [sym__anything] = STATE(108),
    [sym__literals] = STATE(108),
    [sym__collection_literals] = STATE(108),
    [sym_boolean] = STATE(108),
    [sym_number] = STATE(108),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(108),
    [sym_character] = STATE(108),
    [sym__character] = STATE(36),
    [sym_string] = STATE(108),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(108),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(108),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(108),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(108),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(108),
    [sym_list] = STATE(108),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(108),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(108),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(108),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(108),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(108),
    [sym_anonymous_function] = STATE(108),
    [sym_shorthand_function] = STATE(108),
    [sym_defn] = STATE(108),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(108),
    [sym_var_quote] = STATE(108),
    [sym_unquote] = STATE(108),
    [sym_unquote_splice] = STATE(108),
    [sym_deref] = STATE(108),
    [sym_tagged_literal] = STATE(108),
    [sym_reader_conditional] = STATE(108),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(117),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(121),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_TILDE_AT] = ACTIONS(125),
    [sym_gensym] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [64] = {
    [sym__anything] = STATE(118),
    [sym__literals] = STATE(118),
    [sym__collection_literals] = STATE(118),
    [sym_boolean] = STATE(118),
    [sym_number] = STATE(118),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(118),
    [sym_character] = STATE(118),
    [sym__character] = STATE(36),
    [sym_string] = STATE(118),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(118),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(118),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(118),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(118),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(118),
    [sym_list] = STATE(118),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(118),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(118),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(118),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(118),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(118),
    [sym_anonymous_function] = STATE(118),
    [sym_shorthand_function] = STATE(118),
    [sym_defn] = STATE(118),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(118),
    [sym_var_quote] = STATE(118),
    [sym_unquote] = STATE(118),
    [sym_unquote_splice] = STATE(118),
    [sym_deref] = STATE(118),
    [sym_tagged_literal] = STATE(118),
    [sym_reader_conditional] = STATE(118),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(245),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(117),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(121),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_TILDE_AT] = ACTIONS(125),
    [sym_gensym] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [65] = {
    [sym__anything] = STATE(120),
    [sym__literals] = STATE(120),
    [sym__collection_literals] = STATE(120),
    [sym_boolean] = STATE(120),
    [sym_number] = STATE(120),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(120),
    [sym_character] = STATE(120),
    [sym__character] = STATE(36),
    [sym_string] = STATE(120),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(120),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(120),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(120),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(120),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(120),
    [sym_list] = STATE(120),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(120),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(120),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(120),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(120),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(120),
    [sym_anonymous_function] = STATE(120),
    [sym_shorthand_function] = STATE(120),
    [sym_defn] = STATE(120),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(120),
    [sym_var_quote] = STATE(120),
    [sym_unquote] = STATE(120),
    [sym_unquote_splice] = STATE(120),
    [sym_deref] = STATE(120),
    [sym_tagged_literal] = STATE(120),
    [sym_reader_conditional] = STATE(120),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(249),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(117),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(251),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(121),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_TILDE_AT] = ACTIONS(125),
    [sym_gensym] = ACTIONS(251),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [66] = {
    [sym__anything] = STATE(121),
    [sym__literals] = STATE(121),
    [sym__collection_literals] = STATE(121),
    [sym_boolean] = STATE(121),
    [sym_number] = STATE(121),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(121),
    [sym_character] = STATE(121),
    [sym__character] = STATE(36),
    [sym_string] = STATE(121),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(121),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(121),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(121),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(121),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(121),
    [sym_list] = STATE(121),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(121),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(121),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(121),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(121),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(121),
    [sym_anonymous_function] = STATE(121),
    [sym_shorthand_function] = STATE(121),
    [sym_defn] = STATE(121),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(121),
    [sym_var_quote] = STATE(121),
    [sym_unquote] = STATE(121),
    [sym_unquote_splice] = STATE(121),
    [sym_deref] = STATE(121),
    [sym_tagged_literal] = STATE(121),
    [sym_reader_conditional] = STATE(121),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(117),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(121),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_TILDE_AT] = ACTIONS(125),
    [sym_gensym] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [67] = {
    [anon_sym_RPAREN] = ACTIONS(363),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(365),
    [sym_nil] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym__normal_long] = ACTIONS(367),
    [sym__number_hex] = ACTIONS(367),
    [sym__number_arbitrary_radix] = ACTIONS(367),
    [sym__number_octal] = ACTIONS(367),
    [sym_number_double] = ACTIONS(365),
    [sym_number_bigint] = ACTIONS(367),
    [sym_number_bigdecimal] = ACTIONS(365),
    [sym_number_ratio] = ACTIONS(365),
    [anon_sym_POUND_POUND] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(365),
    [anon_sym_POUND_DQUOTE] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_LPARENquote] = ACTIONS(365),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(367),
    [anon_sym_COLON_COLON] = ACTIONS(365),
    [anon_sym_DASH_GT] = ACTIONS(367),
    [anon_sym_DASH_GT_GT] = ACTIONS(365),
    [anon_sym_as_DASH_GT] = ACTIONS(365),
    [anon_sym_some_DASH_GT] = ACTIONS(367),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(365),
    [anon_sym_cond_DASH_GT] = ACTIONS(367),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(365),
    [sym__symbol_chars] = ACTIONS(367),
    [sym_member_access] = ACTIONS(365),
    [sym_field_access] = ACTIONS(365),
    [sym_new_class] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(365),
    [anon_sym_RBRACK] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(365),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(365),
    [anon_sym_POUND_LBRACE] = ACTIONS(365),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_POUND_BANG] = ACTIONS(365),
    [anon_sym_POUND_] = ACTIONS(365),
    [anon_sym_POUND_LPAREN] = ACTIONS(365),
    [sym_shorthand_function_arg] = ACTIONS(365),
    [anon_sym_CARET] = ACTIONS(367),
    [anon_sym_CARET_COLON] = ACTIONS(365),
    [anon_sym_CARET_DQUOTE] = ACTIONS(365),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_POUND_SQUOTE] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(367),
    [anon_sym_TILDE_AT] = ACTIONS(365),
    [sym_gensym] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(365),
    [anon_sym_POUND] = ACTIONS(367),
    [anon_sym_POUND_QMARK] = ACTIONS(367),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(365),
  },
  [69] = {
    [ts_builtin_sym_end] = ACTIONS(369),
    [sym_nil] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym__normal_long] = ACTIONS(371),
    [sym__number_hex] = ACTIONS(371),
    [sym__number_arbitrary_radix] = ACTIONS(371),
    [sym__number_octal] = ACTIONS(371),
    [sym_number_double] = ACTIONS(369),
    [sym_number_bigint] = ACTIONS(371),
    [sym_number_bigdecimal] = ACTIONS(369),
    [sym_number_ratio] = ACTIONS(369),
    [anon_sym_POUND_POUND] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_POUND_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(369),
    [anon_sym_LPARENquote] = ACTIONS(369),
    [anon_sym_RPAREN] = ACTIONS(369),
    [anon_sym_COLON] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(369),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_DASH_GT] = ACTIONS(371),
    [anon_sym_DASH_GT_GT] = ACTIONS(369),
    [anon_sym_as_DASH_GT] = ACTIONS(369),
    [anon_sym_some_DASH_GT] = ACTIONS(371),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(369),
    [anon_sym_cond_DASH_GT] = ACTIONS(371),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(369),
    [sym__symbol_chars] = ACTIONS(371),
    [sym_member_access] = ACTIONS(369),
    [sym_field_access] = ACTIONS(369),
    [sym_new_class] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_RBRACK] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(369),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(369),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(369),
    [anon_sym_POUND_LBRACE] = ACTIONS(369),
    [anon_sym_SEMI] = ACTIONS(369),
    [anon_sym_POUND_BANG] = ACTIONS(369),
    [anon_sym_POUND_] = ACTIONS(369),
    [anon_sym_POUND_LPAREN] = ACTIONS(369),
    [sym_shorthand_function_arg] = ACTIONS(369),
    [anon_sym_CARET] = ACTIONS(371),
    [anon_sym_CARET_COLON] = ACTIONS(369),
    [anon_sym_CARET_DQUOTE] = ACTIONS(369),
    [anon_sym_BQUOTE] = ACTIONS(369),
    [anon_sym_POUND_SQUOTE] = ACTIONS(369),
    [anon_sym_TILDE] = ACTIONS(371),
    [anon_sym_TILDE_AT] = ACTIONS(369),
    [sym_gensym] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(369),
    [anon_sym_POUND] = ACTIONS(371),
    [anon_sym_POUND_QMARK] = ACTIONS(371),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(369),
  },
  [70] = {
    [sym__symbol_chars] = ACTIONS(375),
  },
  [71] = {
    [sym__anything] = STATE(61),
    [sym__literals] = STATE(61),
    [sym__collection_literals] = STATE(61),
    [sym_boolean] = STATE(61),
    [sym_number] = STATE(61),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(61),
    [sym_character] = STATE(61),
    [sym__character] = STATE(36),
    [sym_string] = STATE(61),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(61),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(61),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(61),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(61),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(61),
    [sym_list] = STATE(61),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(61),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(61),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(61),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(61),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(61),
    [sym_anonymous_function] = STATE(61),
    [sym_shorthand_function] = STATE(61),
    [sym_defn] = STATE(61),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(61),
    [sym_var_quote] = STATE(61),
    [sym_unquote] = STATE(61),
    [sym_unquote_splice] = STATE(61),
    [sym_deref] = STATE(61),
    [sym_tagged_literal] = STATE(61),
    [sym_reader_conditional] = STATE(61),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(109),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(377),
    [sym_nil] = ACTIONS(379),
    [sym_true] = ACTIONS(379),
    [sym_false] = ACTIONS(379),
    [sym__normal_long] = ACTIONS(379),
    [sym__number_hex] = ACTIONS(379),
    [sym__number_arbitrary_radix] = ACTIONS(379),
    [sym__number_octal] = ACTIONS(379),
    [sym_number_double] = ACTIONS(377),
    [sym_number_bigint] = ACTIONS(379),
    [sym_number_bigdecimal] = ACTIONS(377),
    [sym_number_ratio] = ACTIONS(377),
    [anon_sym_POUND_POUND] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(377),
    [anon_sym_DQUOTE] = ACTIONS(377),
    [anon_sym_POUND_DQUOTE] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(377),
    [anon_sym_LPARENquote] = ACTIONS(377),
    [anon_sym_RPAREN] = ACTIONS(377),
    [anon_sym_COLON] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(377),
    [anon_sym_DASH_GT] = ACTIONS(379),
    [anon_sym_DASH_GT_GT] = ACTIONS(377),
    [anon_sym_as_DASH_GT] = ACTIONS(377),
    [anon_sym_some_DASH_GT] = ACTIONS(379),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(377),
    [anon_sym_cond_DASH_GT] = ACTIONS(379),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(377),
    [sym__symbol_chars] = ACTIONS(379),
    [sym_member_access] = ACTIONS(377),
    [sym_field_access] = ACTIONS(377),
    [sym_new_class] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(377),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(377),
    [anon_sym_POUND_LBRACE] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(377),
    [anon_sym_POUND_BANG] = ACTIONS(377),
    [anon_sym_POUND_] = ACTIONS(377),
    [anon_sym_POUND_LPAREN] = ACTIONS(377),
    [sym_shorthand_function_arg] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_CARET_COLON] = ACTIONS(377),
    [anon_sym_CARET_DQUOTE] = ACTIONS(377),
    [anon_sym_BQUOTE] = ACTIONS(377),
    [anon_sym_POUND_SQUOTE] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(379),
    [anon_sym_TILDE_AT] = ACTIONS(377),
    [sym_gensym] = ACTIONS(377),
    [anon_sym_AT] = ACTIONS(377),
    [anon_sym_POUND] = ACTIONS(379),
    [anon_sym_POUND_QMARK] = ACTIONS(379),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(377),
  },
  [73] = {
    [sym__anything] = STATE(108),
    [sym__literals] = STATE(108),
    [sym__collection_literals] = STATE(108),
    [sym_boolean] = STATE(108),
    [sym_number] = STATE(108),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(108),
    [sym_character] = STATE(108),
    [sym__character] = STATE(36),
    [sym_string] = STATE(108),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(108),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(108),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(108),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(108),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(108),
    [sym_list] = STATE(108),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(108),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(108),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(108),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(108),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(108),
    [sym_anonymous_function] = STATE(108),
    [sym_shorthand_function] = STATE(108),
    [sym_defn] = STATE(108),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(108),
    [sym_var_quote] = STATE(108),
    [sym_unquote] = STATE(108),
    [sym_unquote_splice] = STATE(108),
    [sym_deref] = STATE(108),
    [sym_tagged_literal] = STATE(108),
    [sym_reader_conditional] = STATE(108),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [74] = {
    [sym__anything] = STATE(141),
    [sym__literals] = STATE(141),
    [sym__collection_literals] = STATE(141),
    [sym_boolean] = STATE(141),
    [sym_number] = STATE(141),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(141),
    [sym_character] = STATE(141),
    [sym__character] = STATE(36),
    [sym_string] = STATE(141),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(141),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(141),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(141),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(141),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(141),
    [sym_list] = STATE(141),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(141),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(141),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(141),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(141),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(141),
    [sym_anonymous_function] = STATE(141),
    [sym_shorthand_function] = STATE(141),
    [sym_defn] = STATE(141),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(141),
    [sym_var_quote] = STATE(141),
    [sym_unquote] = STATE(141),
    [sym_unquote_splice] = STATE(141),
    [sym_deref] = STATE(141),
    [sym_tagged_literal] = STATE(141),
    [sym_reader_conditional] = STATE(141),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(141),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(381),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(385),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(385),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [75] = {
    [sym_symbol] = STATE(145),
    [sym__symbol] = STATE(146),
    [sym_threading_macro] = STATE(146),
    [sym_qualified_symbol] = STATE(146),
    [sym__qualified_symbol] = STATE(147),
    [sym_vector] = STATE(148),
    [sym__vector] = STATE(44),
    [sym__after_the_fn_name] = STATE(149),
    [sym_function_name] = STATE(150),
    [sym__single_arity_fn] = STATE(149),
    [sym__multi_arity_fn] = STATE(149),
    [sym_params] = STATE(151),
    [aux_sym__multi_arity_fn_repeat1] = STATE(152),
    [anon_sym_DASH_GT] = ACTIONS(387),
    [anon_sym_DASH_GT_GT] = ACTIONS(389),
    [anon_sym_as_DASH_GT] = ACTIONS(389),
    [anon_sym_some_DASH_GT] = ACTIONS(387),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(389),
    [anon_sym_cond_DASH_GT] = ACTIONS(387),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(389),
    [sym__symbol_chars] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_LBRACK] = ACTIONS(43),
  },
  [76] = {
    [sym_symbol] = STATE(145),
    [sym__symbol] = STATE(146),
    [sym_threading_macro] = STATE(146),
    [sym_qualified_symbol] = STATE(146),
    [sym__qualified_symbol] = STATE(147),
    [sym_function_name] = STATE(153),
    [sym_metadata] = STATE(154),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(155),
    [aux_sym_metadata_repeat1] = STATE(155),
    [anon_sym_DASH_GT] = ACTIONS(387),
    [anon_sym_DASH_GT_GT] = ACTIONS(389),
    [anon_sym_as_DASH_GT] = ACTIONS(389),
    [anon_sym_some_DASH_GT] = ACTIONS(387),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(389),
    [anon_sym_cond_DASH_GT] = ACTIONS(387),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(389),
    [sym__symbol_chars] = ACTIONS(391),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
  },
  [77] = {
    [sym__anything] = STATE(118),
    [sym__literals] = STATE(118),
    [sym__collection_literals] = STATE(118),
    [sym_boolean] = STATE(118),
    [sym_number] = STATE(118),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(118),
    [sym_character] = STATE(118),
    [sym__character] = STATE(36),
    [sym_string] = STATE(118),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(118),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(118),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(118),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(118),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(118),
    [sym_list] = STATE(118),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(118),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(118),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(118),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(118),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(118),
    [sym_anonymous_function] = STATE(118),
    [sym_shorthand_function] = STATE(118),
    [sym_defn] = STATE(118),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(118),
    [sym_var_quote] = STATE(118),
    [sym_unquote] = STATE(118),
    [sym_unquote_splice] = STATE(118),
    [sym_deref] = STATE(118),
    [sym_tagged_literal] = STATE(118),
    [sym_reader_conditional] = STATE(118),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(245),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [78] = {
    [sym__anything] = STATE(120),
    [sym__literals] = STATE(120),
    [sym__collection_literals] = STATE(120),
    [sym_boolean] = STATE(120),
    [sym_number] = STATE(120),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(120),
    [sym_character] = STATE(120),
    [sym__character] = STATE(36),
    [sym_string] = STATE(120),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(120),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(120),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(120),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(120),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(120),
    [sym_list] = STATE(120),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(120),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(120),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(120),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(120),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(120),
    [sym_anonymous_function] = STATE(120),
    [sym_shorthand_function] = STATE(120),
    [sym_defn] = STATE(120),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(120),
    [sym_var_quote] = STATE(120),
    [sym_unquote] = STATE(120),
    [sym_unquote_splice] = STATE(120),
    [sym_deref] = STATE(120),
    [sym_tagged_literal] = STATE(120),
    [sym_reader_conditional] = STATE(120),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(249),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(251),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(251),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [79] = {
    [sym__anything] = STATE(121),
    [sym__literals] = STATE(121),
    [sym__collection_literals] = STATE(121),
    [sym_boolean] = STATE(121),
    [sym_number] = STATE(121),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(121),
    [sym_character] = STATE(121),
    [sym__character] = STATE(36),
    [sym_string] = STATE(121),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(121),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(121),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(121),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(121),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(121),
    [sym_list] = STATE(121),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(121),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(121),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(121),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(121),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(121),
    [sym_anonymous_function] = STATE(121),
    [sym_shorthand_function] = STATE(121),
    [sym_defn] = STATE(121),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(121),
    [sym_var_quote] = STATE(121),
    [sym_unquote] = STATE(121),
    [sym_unquote_splice] = STATE(121),
    [sym_deref] = STATE(121),
    [sym_tagged_literal] = STATE(121),
    [sym_reader_conditional] = STATE(121),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [80] = {
    [sym__anything] = STATE(157),
    [sym__literals] = STATE(157),
    [sym__collection_literals] = STATE(157),
    [sym_boolean] = STATE(157),
    [sym_number] = STATE(157),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(157),
    [sym_character] = STATE(157),
    [sym__character] = STATE(36),
    [sym_string] = STATE(157),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(157),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(157),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(157),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(157),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(157),
    [sym_list] = STATE(157),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(157),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(157),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(157),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(157),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(157),
    [sym_anonymous_function] = STATE(157),
    [sym_shorthand_function] = STATE(157),
    [sym_defn] = STATE(157),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(157),
    [sym_var_quote] = STATE(157),
    [sym_unquote] = STATE(157),
    [sym_unquote_splice] = STATE(157),
    [sym_deref] = STATE(157),
    [sym_tagged_literal] = STATE(157),
    [sym_reader_conditional] = STATE(157),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(157),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(395),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(397),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(399),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [81] = {
    [sym__anything] = STATE(61),
    [sym__literals] = STATE(61),
    [sym__collection_literals] = STATE(61),
    [sym_boolean] = STATE(61),
    [sym_number] = STATE(61),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(61),
    [sym_character] = STATE(61),
    [sym__character] = STATE(36),
    [sym_string] = STATE(61),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(61),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(61),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(61),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(61),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(61),
    [sym_list] = STATE(61),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(61),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(61),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(61),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(61),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(61),
    [sym_anonymous_function] = STATE(61),
    [sym_shorthand_function] = STATE(61),
    [sym_defn] = STATE(61),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(61),
    [sym_var_quote] = STATE(61),
    [sym_unquote] = STATE(61),
    [sym_unquote_splice] = STATE(61),
    [sym_deref] = STATE(61),
    [sym_tagged_literal] = STATE(61),
    [sym_reader_conditional] = STATE(61),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(109),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(173),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(177),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(179),
    [anon_sym_TILDE_AT] = ACTIONS(181),
    [sym_gensym] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [82] = {
    [ts_builtin_sym_end] = ACTIONS(401),
    [sym_nil] = ACTIONS(403),
    [sym_true] = ACTIONS(403),
    [sym_false] = ACTIONS(403),
    [sym__normal_long] = ACTIONS(403),
    [sym__number_hex] = ACTIONS(403),
    [sym__number_arbitrary_radix] = ACTIONS(403),
    [sym__number_octal] = ACTIONS(403),
    [sym_number_double] = ACTIONS(401),
    [sym_number_bigint] = ACTIONS(403),
    [sym_number_bigdecimal] = ACTIONS(401),
    [sym_number_ratio] = ACTIONS(401),
    [anon_sym_POUND_POUND] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_POUND_DQUOTE] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_LPARENquote] = ACTIONS(401),
    [anon_sym_RPAREN] = ACTIONS(401),
    [anon_sym_COLON] = ACTIONS(403),
    [anon_sym_COLON_COLON] = ACTIONS(401),
    [anon_sym_DASH_GT] = ACTIONS(403),
    [anon_sym_DASH_GT_GT] = ACTIONS(401),
    [anon_sym_as_DASH_GT] = ACTIONS(401),
    [anon_sym_some_DASH_GT] = ACTIONS(403),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(401),
    [anon_sym_cond_DASH_GT] = ACTIONS(403),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(401),
    [sym__symbol_chars] = ACTIONS(403),
    [sym_member_access] = ACTIONS(401),
    [sym_field_access] = ACTIONS(401),
    [sym_new_class] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_RBRACK] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_RBRACE] = ACTIONS(401),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(401),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(401),
    [anon_sym_POUND_LBRACE] = ACTIONS(401),
    [anon_sym_SEMI] = ACTIONS(401),
    [anon_sym_POUND_BANG] = ACTIONS(401),
    [anon_sym_POUND_] = ACTIONS(401),
    [anon_sym_POUND_LPAREN] = ACTIONS(401),
    [sym_shorthand_function_arg] = ACTIONS(401),
    [anon_sym_CARET] = ACTIONS(403),
    [anon_sym_CARET_COLON] = ACTIONS(401),
    [anon_sym_CARET_DQUOTE] = ACTIONS(401),
    [anon_sym_BQUOTE] = ACTIONS(401),
    [anon_sym_POUND_SQUOTE] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_TILDE_AT] = ACTIONS(401),
    [sym_gensym] = ACTIONS(401),
    [anon_sym_AT] = ACTIONS(401),
    [anon_sym_POUND] = ACTIONS(403),
    [anon_sym_POUND_QMARK] = ACTIONS(403),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(401),
  },
  [83] = {
    [sym__anything] = STATE(108),
    [sym__literals] = STATE(108),
    [sym__collection_literals] = STATE(108),
    [sym_boolean] = STATE(108),
    [sym_number] = STATE(108),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(108),
    [sym_character] = STATE(108),
    [sym__character] = STATE(36),
    [sym_string] = STATE(108),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(108),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(108),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(108),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(108),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(108),
    [sym_list] = STATE(108),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(108),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(108),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(108),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(108),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(108),
    [sym_anonymous_function] = STATE(108),
    [sym_shorthand_function] = STATE(108),
    [sym_defn] = STATE(108),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(108),
    [sym_var_quote] = STATE(108),
    [sym_unquote] = STATE(108),
    [sym_unquote_splice] = STATE(108),
    [sym_deref] = STATE(108),
    [sym_tagged_literal] = STATE(108),
    [sym_reader_conditional] = STATE(108),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(173),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(177),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(179),
    [anon_sym_TILDE_AT] = ACTIONS(181),
    [sym_gensym] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [84] = {
    [sym__anything] = STATE(118),
    [sym__literals] = STATE(118),
    [sym__collection_literals] = STATE(118),
    [sym_boolean] = STATE(118),
    [sym_number] = STATE(118),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(118),
    [sym_character] = STATE(118),
    [sym__character] = STATE(36),
    [sym_string] = STATE(118),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(118),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(118),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(118),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(118),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(118),
    [sym_list] = STATE(118),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(118),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(118),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(118),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(118),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(118),
    [sym_anonymous_function] = STATE(118),
    [sym_shorthand_function] = STATE(118),
    [sym_defn] = STATE(118),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(118),
    [sym_var_quote] = STATE(118),
    [sym_unquote] = STATE(118),
    [sym_unquote_splice] = STATE(118),
    [sym_deref] = STATE(118),
    [sym_tagged_literal] = STATE(118),
    [sym_reader_conditional] = STATE(118),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(245),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(173),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(177),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(179),
    [anon_sym_TILDE_AT] = ACTIONS(181),
    [sym_gensym] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [85] = {
    [sym__anything] = STATE(120),
    [sym__literals] = STATE(120),
    [sym__collection_literals] = STATE(120),
    [sym_boolean] = STATE(120),
    [sym_number] = STATE(120),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(120),
    [sym_character] = STATE(120),
    [sym__character] = STATE(36),
    [sym_string] = STATE(120),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(120),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(120),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(120),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(120),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(120),
    [sym_list] = STATE(120),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(120),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(120),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(120),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(120),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(120),
    [sym_anonymous_function] = STATE(120),
    [sym_shorthand_function] = STATE(120),
    [sym_defn] = STATE(120),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(120),
    [sym_var_quote] = STATE(120),
    [sym_unquote] = STATE(120),
    [sym_unquote_splice] = STATE(120),
    [sym_deref] = STATE(120),
    [sym_tagged_literal] = STATE(120),
    [sym_reader_conditional] = STATE(120),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(249),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(173),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(251),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(177),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(179),
    [anon_sym_TILDE_AT] = ACTIONS(181),
    [sym_gensym] = ACTIONS(251),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [86] = {
    [sym__anything] = STATE(121),
    [sym__literals] = STATE(121),
    [sym__collection_literals] = STATE(121),
    [sym_boolean] = STATE(121),
    [sym_number] = STATE(121),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(121),
    [sym_character] = STATE(121),
    [sym__character] = STATE(36),
    [sym_string] = STATE(121),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(121),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(121),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(121),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(121),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(121),
    [sym_list] = STATE(121),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(121),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(121),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(121),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(121),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(121),
    [sym_anonymous_function] = STATE(121),
    [sym_shorthand_function] = STATE(121),
    [sym_defn] = STATE(121),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(121),
    [sym_var_quote] = STATE(121),
    [sym_unquote] = STATE(121),
    [sym_unquote_splice] = STATE(121),
    [sym_deref] = STATE(121),
    [sym_tagged_literal] = STATE(121),
    [sym_reader_conditional] = STATE(121),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(173),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(177),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(179),
    [anon_sym_TILDE_AT] = ACTIONS(181),
    [sym_gensym] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [87] = {
    [sym__anything] = STATE(159),
    [sym__literals] = STATE(159),
    [sym__collection_literals] = STATE(159),
    [sym_boolean] = STATE(159),
    [sym_number] = STATE(159),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(159),
    [sym_character] = STATE(159),
    [sym__character] = STATE(36),
    [sym_string] = STATE(159),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(159),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(159),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(159),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(159),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(159),
    [sym_list] = STATE(159),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(159),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(159),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(159),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(159),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(159),
    [sym_anonymous_function] = STATE(159),
    [sym_shorthand_function] = STATE(159),
    [sym_defn] = STATE(159),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(159),
    [sym_var_quote] = STATE(159),
    [sym_unquote] = STATE(159),
    [sym_unquote_splice] = STATE(159),
    [sym_deref] = STATE(159),
    [sym_tagged_literal] = STATE(159),
    [sym_reader_conditional] = STATE(159),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(159),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(405),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_RBRACK] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(173),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(409),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(177),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(179),
    [anon_sym_TILDE_AT] = ACTIONS(181),
    [sym_gensym] = ACTIONS(409),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [88] = {
    [sym__anything] = STATE(61),
    [sym__literals] = STATE(61),
    [sym__collection_literals] = STATE(61),
    [sym_boolean] = STATE(61),
    [sym_number] = STATE(61),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(61),
    [sym_character] = STATE(61),
    [sym__character] = STATE(36),
    [sym_string] = STATE(61),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(61),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(61),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(61),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(61),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(61),
    [sym_list] = STATE(61),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(61),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(61),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(61),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(61),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(61),
    [sym_anonymous_function] = STATE(61),
    [sym_shorthand_function] = STATE(61),
    [sym_defn] = STATE(61),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(61),
    [sym_var_quote] = STATE(61),
    [sym_unquote] = STATE(61),
    [sym_unquote_splice] = STATE(61),
    [sym_deref] = STATE(61),
    [sym_tagged_literal] = STATE(61),
    [sym_reader_conditional] = STATE(61),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(109),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [89] = {
    [ts_builtin_sym_end] = ACTIONS(411),
    [sym_nil] = ACTIONS(413),
    [sym_true] = ACTIONS(413),
    [sym_false] = ACTIONS(413),
    [sym__normal_long] = ACTIONS(413),
    [sym__number_hex] = ACTIONS(413),
    [sym__number_arbitrary_radix] = ACTIONS(413),
    [sym__number_octal] = ACTIONS(413),
    [sym_number_double] = ACTIONS(411),
    [sym_number_bigint] = ACTIONS(413),
    [sym_number_bigdecimal] = ACTIONS(411),
    [sym_number_ratio] = ACTIONS(411),
    [anon_sym_POUND_POUND] = ACTIONS(411),
    [anon_sym_BSLASH] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(411),
    [anon_sym_POUND_DQUOTE] = ACTIONS(411),
    [anon_sym_SQUOTE] = ACTIONS(411),
    [anon_sym_LPARENquote] = ACTIONS(411),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_COLON] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(411),
    [anon_sym_DASH_GT] = ACTIONS(413),
    [anon_sym_DASH_GT_GT] = ACTIONS(411),
    [anon_sym_as_DASH_GT] = ACTIONS(411),
    [anon_sym_some_DASH_GT] = ACTIONS(413),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(411),
    [anon_sym_cond_DASH_GT] = ACTIONS(413),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(411),
    [sym__symbol_chars] = ACTIONS(413),
    [sym_member_access] = ACTIONS(411),
    [sym_field_access] = ACTIONS(411),
    [sym_new_class] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(411),
    [anon_sym_RBRACK] = ACTIONS(411),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(411),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(411),
    [anon_sym_POUND_LBRACE] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_POUND_BANG] = ACTIONS(411),
    [anon_sym_POUND_] = ACTIONS(411),
    [anon_sym_POUND_LPAREN] = ACTIONS(411),
    [sym_shorthand_function_arg] = ACTIONS(411),
    [anon_sym_CARET] = ACTIONS(413),
    [anon_sym_CARET_COLON] = ACTIONS(411),
    [anon_sym_CARET_DQUOTE] = ACTIONS(411),
    [anon_sym_BQUOTE] = ACTIONS(411),
    [anon_sym_POUND_SQUOTE] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(413),
    [anon_sym_TILDE_AT] = ACTIONS(411),
    [sym_gensym] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(411),
    [anon_sym_POUND] = ACTIONS(413),
    [anon_sym_POUND_QMARK] = ACTIONS(413),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(411),
  },
  [90] = {
    [sym__anything] = STATE(108),
    [sym__literals] = STATE(108),
    [sym__collection_literals] = STATE(108),
    [sym_boolean] = STATE(108),
    [sym_number] = STATE(108),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(108),
    [sym_character] = STATE(108),
    [sym__character] = STATE(36),
    [sym_string] = STATE(108),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(108),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(108),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(108),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(108),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(108),
    [sym_list] = STATE(108),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(108),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(108),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(108),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(108),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(108),
    [sym_anonymous_function] = STATE(108),
    [sym_shorthand_function] = STATE(108),
    [sym_defn] = STATE(108),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(108),
    [sym_var_quote] = STATE(108),
    [sym_unquote] = STATE(108),
    [sym_unquote_splice] = STATE(108),
    [sym_deref] = STATE(108),
    [sym_tagged_literal] = STATE(108),
    [sym_reader_conditional] = STATE(108),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [91] = {
    [sym__anything] = STATE(118),
    [sym__literals] = STATE(118),
    [sym__collection_literals] = STATE(118),
    [sym_boolean] = STATE(118),
    [sym_number] = STATE(118),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(118),
    [sym_character] = STATE(118),
    [sym__character] = STATE(36),
    [sym_string] = STATE(118),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(118),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(118),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(118),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(118),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(118),
    [sym_list] = STATE(118),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(118),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(118),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(118),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(118),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(118),
    [sym_anonymous_function] = STATE(118),
    [sym_shorthand_function] = STATE(118),
    [sym_defn] = STATE(118),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(118),
    [sym_var_quote] = STATE(118),
    [sym_unquote] = STATE(118),
    [sym_unquote_splice] = STATE(118),
    [sym_deref] = STATE(118),
    [sym_tagged_literal] = STATE(118),
    [sym_reader_conditional] = STATE(118),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(245),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [92] = {
    [sym__anything] = STATE(120),
    [sym__literals] = STATE(120),
    [sym__collection_literals] = STATE(120),
    [sym_boolean] = STATE(120),
    [sym_number] = STATE(120),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(120),
    [sym_character] = STATE(120),
    [sym__character] = STATE(36),
    [sym_string] = STATE(120),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(120),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(120),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(120),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(120),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(120),
    [sym_list] = STATE(120),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(120),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(120),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(120),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(120),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(120),
    [sym_anonymous_function] = STATE(120),
    [sym_shorthand_function] = STATE(120),
    [sym_defn] = STATE(120),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(120),
    [sym_var_quote] = STATE(120),
    [sym_unquote] = STATE(120),
    [sym_unquote_splice] = STATE(120),
    [sym_deref] = STATE(120),
    [sym_tagged_literal] = STATE(120),
    [sym_reader_conditional] = STATE(120),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(249),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(251),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(251),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [93] = {
    [sym__anything] = STATE(121),
    [sym__literals] = STATE(121),
    [sym__collection_literals] = STATE(121),
    [sym_boolean] = STATE(121),
    [sym_number] = STATE(121),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(121),
    [sym_character] = STATE(121),
    [sym__character] = STATE(36),
    [sym_string] = STATE(121),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(121),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(121),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(121),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(121),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(121),
    [sym_list] = STATE(121),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(121),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(121),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(121),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(121),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(121),
    [sym_anonymous_function] = STATE(121),
    [sym_shorthand_function] = STATE(121),
    [sym_defn] = STATE(121),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(121),
    [sym_var_quote] = STATE(121),
    [sym_unquote] = STATE(121),
    [sym_unquote_splice] = STATE(121),
    [sym_deref] = STATE(121),
    [sym_tagged_literal] = STATE(121),
    [sym_reader_conditional] = STATE(121),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [94] = {
    [sym__anything] = STATE(160),
    [sym__literals] = STATE(160),
    [sym__collection_literals] = STATE(160),
    [sym_boolean] = STATE(160),
    [sym_number] = STATE(160),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(160),
    [sym_character] = STATE(160),
    [sym__character] = STATE(36),
    [sym_string] = STATE(160),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(160),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(160),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(160),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(160),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(160),
    [sym_list] = STATE(160),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(160),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(160),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_value] = STATE(160),
    [sym_set] = STATE(160),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(160),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(160),
    [sym_anonymous_function] = STATE(160),
    [sym_shorthand_function] = STATE(160),
    [sym_defn] = STATE(160),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(160),
    [sym_var_quote] = STATE(160),
    [sym_unquote] = STATE(160),
    [sym_unquote_splice] = STATE(160),
    [sym_deref] = STATE(160),
    [sym_tagged_literal] = STATE(160),
    [sym_reader_conditional] = STATE(160),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(415),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(209),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(213),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_TILDE_AT] = ACTIONS(217),
    [sym_gensym] = ACTIONS(417),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [95] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(162),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(162),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(419),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [96] = {
    [ts_builtin_sym_end] = ACTIONS(421),
    [sym_nil] = ACTIONS(423),
    [sym_true] = ACTIONS(423),
    [sym_false] = ACTIONS(423),
    [sym__normal_long] = ACTIONS(423),
    [sym__number_hex] = ACTIONS(423),
    [sym__number_arbitrary_radix] = ACTIONS(423),
    [sym__number_octal] = ACTIONS(423),
    [sym_number_double] = ACTIONS(421),
    [sym_number_bigint] = ACTIONS(423),
    [sym_number_bigdecimal] = ACTIONS(421),
    [sym_number_ratio] = ACTIONS(421),
    [anon_sym_POUND_POUND] = ACTIONS(421),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [anon_sym_POUND_DQUOTE] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_LPARENquote] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_COLON] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(421),
    [anon_sym_DASH_GT] = ACTIONS(423),
    [anon_sym_DASH_GT_GT] = ACTIONS(421),
    [anon_sym_as_DASH_GT] = ACTIONS(421),
    [anon_sym_some_DASH_GT] = ACTIONS(423),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(421),
    [anon_sym_cond_DASH_GT] = ACTIONS(423),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(421),
    [sym__symbol_chars] = ACTIONS(423),
    [sym_member_access] = ACTIONS(421),
    [sym_field_access] = ACTIONS(421),
    [sym_new_class] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(421),
    [anon_sym_RBRACK] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(421),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(421),
    [anon_sym_POUND_LBRACE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_POUND_BANG] = ACTIONS(421),
    [anon_sym_POUND_] = ACTIONS(421),
    [anon_sym_POUND_LPAREN] = ACTIONS(421),
    [sym_shorthand_function_arg] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_CARET_COLON] = ACTIONS(421),
    [anon_sym_CARET_DQUOTE] = ACTIONS(421),
    [anon_sym_BQUOTE] = ACTIONS(421),
    [anon_sym_POUND_SQUOTE] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(423),
    [anon_sym_TILDE_AT] = ACTIONS(421),
    [sym_gensym] = ACTIONS(421),
    [anon_sym_AT] = ACTIONS(421),
    [anon_sym_POUND] = ACTIONS(423),
    [anon_sym_POUND_QMARK] = ACTIONS(423),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(421),
  },
  [97] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(162),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(162),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [98] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(164),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(164),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [99] = {
    [sym__anything] = STATE(61),
    [sym__literals] = STATE(61),
    [sym__collection_literals] = STATE(61),
    [sym_boolean] = STATE(61),
    [sym_number] = STATE(61),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(61),
    [sym_character] = STATE(61),
    [sym__character] = STATE(36),
    [sym_string] = STATE(61),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(61),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(61),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(61),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(61),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(61),
    [sym_list] = STATE(61),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(61),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(61),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(61),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(61),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(61),
    [sym_anonymous_function] = STATE(61),
    [sym_shorthand_function] = STATE(61),
    [sym_defn] = STATE(61),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(61),
    [sym_var_quote] = STATE(61),
    [sym_unquote] = STATE(61),
    [sym_unquote_splice] = STATE(61),
    [sym_deref] = STATE(61),
    [sym_tagged_literal] = STATE(61),
    [sym_reader_conditional] = STATE(61),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(109),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(209),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(213),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_TILDE_AT] = ACTIONS(217),
    [sym_gensym] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [100] = {
    [ts_builtin_sym_end] = ACTIONS(427),
    [sym_nil] = ACTIONS(429),
    [sym_true] = ACTIONS(429),
    [sym_false] = ACTIONS(429),
    [sym__normal_long] = ACTIONS(429),
    [sym__number_hex] = ACTIONS(429),
    [sym__number_arbitrary_radix] = ACTIONS(429),
    [sym__number_octal] = ACTIONS(429),
    [sym_number_double] = ACTIONS(427),
    [sym_number_bigint] = ACTIONS(429),
    [sym_number_bigdecimal] = ACTIONS(427),
    [sym_number_ratio] = ACTIONS(427),
    [anon_sym_POUND_POUND] = ACTIONS(427),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(427),
    [anon_sym_POUND_DQUOTE] = ACTIONS(427),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_LPARENquote] = ACTIONS(427),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_COLON] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(427),
    [anon_sym_DASH_GT] = ACTIONS(429),
    [anon_sym_DASH_GT_GT] = ACTIONS(427),
    [anon_sym_as_DASH_GT] = ACTIONS(427),
    [anon_sym_some_DASH_GT] = ACTIONS(429),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(427),
    [anon_sym_cond_DASH_GT] = ACTIONS(429),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(427),
    [sym__symbol_chars] = ACTIONS(429),
    [sym_member_access] = ACTIONS(427),
    [sym_field_access] = ACTIONS(427),
    [sym_new_class] = ACTIONS(427),
    [anon_sym_LPAREN] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(427),
    [anon_sym_RBRACK] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_RBRACE] = ACTIONS(427),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(427),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(427),
    [anon_sym_POUND_LBRACE] = ACTIONS(427),
    [anon_sym_SEMI] = ACTIONS(427),
    [anon_sym_POUND_BANG] = ACTIONS(427),
    [anon_sym_POUND_] = ACTIONS(427),
    [anon_sym_POUND_LPAREN] = ACTIONS(427),
    [sym_shorthand_function_arg] = ACTIONS(427),
    [anon_sym_CARET] = ACTIONS(429),
    [anon_sym_CARET_COLON] = ACTIONS(427),
    [anon_sym_CARET_DQUOTE] = ACTIONS(427),
    [anon_sym_BQUOTE] = ACTIONS(427),
    [anon_sym_POUND_SQUOTE] = ACTIONS(427),
    [anon_sym_TILDE] = ACTIONS(429),
    [anon_sym_TILDE_AT] = ACTIONS(427),
    [sym_gensym] = ACTIONS(427),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_POUND] = ACTIONS(429),
    [anon_sym_POUND_QMARK] = ACTIONS(429),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(427),
  },
  [101] = {
    [sym__anything] = STATE(108),
    [sym__literals] = STATE(108),
    [sym__collection_literals] = STATE(108),
    [sym_boolean] = STATE(108),
    [sym_number] = STATE(108),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(108),
    [sym_character] = STATE(108),
    [sym__character] = STATE(36),
    [sym_string] = STATE(108),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(108),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(108),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(108),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(108),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(108),
    [sym_list] = STATE(108),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(108),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(108),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(108),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(108),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(108),
    [sym_anonymous_function] = STATE(108),
    [sym_shorthand_function] = STATE(108),
    [sym_defn] = STATE(108),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(108),
    [sym_var_quote] = STATE(108),
    [sym_unquote] = STATE(108),
    [sym_unquote_splice] = STATE(108),
    [sym_deref] = STATE(108),
    [sym_tagged_literal] = STATE(108),
    [sym_reader_conditional] = STATE(108),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(209),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(213),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_TILDE_AT] = ACTIONS(217),
    [sym_gensym] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [102] = {
    [sym__anything] = STATE(118),
    [sym__literals] = STATE(118),
    [sym__collection_literals] = STATE(118),
    [sym_boolean] = STATE(118),
    [sym_number] = STATE(118),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(118),
    [sym_character] = STATE(118),
    [sym__character] = STATE(36),
    [sym_string] = STATE(118),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(118),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(118),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(118),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(118),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(118),
    [sym_list] = STATE(118),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(118),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(118),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(118),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(118),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(118),
    [sym_anonymous_function] = STATE(118),
    [sym_shorthand_function] = STATE(118),
    [sym_defn] = STATE(118),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(118),
    [sym_var_quote] = STATE(118),
    [sym_unquote] = STATE(118),
    [sym_unquote_splice] = STATE(118),
    [sym_deref] = STATE(118),
    [sym_tagged_literal] = STATE(118),
    [sym_reader_conditional] = STATE(118),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(245),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(209),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(213),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_TILDE_AT] = ACTIONS(217),
    [sym_gensym] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [103] = {
    [sym__anything] = STATE(120),
    [sym__literals] = STATE(120),
    [sym__collection_literals] = STATE(120),
    [sym_boolean] = STATE(120),
    [sym_number] = STATE(120),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(120),
    [sym_character] = STATE(120),
    [sym__character] = STATE(36),
    [sym_string] = STATE(120),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(120),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(120),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(120),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(120),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(120),
    [sym_list] = STATE(120),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(120),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(120),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(120),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(120),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(120),
    [sym_anonymous_function] = STATE(120),
    [sym_shorthand_function] = STATE(120),
    [sym_defn] = STATE(120),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(120),
    [sym_var_quote] = STATE(120),
    [sym_unquote] = STATE(120),
    [sym_unquote_splice] = STATE(120),
    [sym_deref] = STATE(120),
    [sym_tagged_literal] = STATE(120),
    [sym_reader_conditional] = STATE(120),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(249),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(209),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(251),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(213),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_TILDE_AT] = ACTIONS(217),
    [sym_gensym] = ACTIONS(251),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [104] = {
    [sym__anything] = STATE(121),
    [sym__literals] = STATE(121),
    [sym__collection_literals] = STATE(121),
    [sym_boolean] = STATE(121),
    [sym_number] = STATE(121),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(121),
    [sym_character] = STATE(121),
    [sym__character] = STATE(36),
    [sym_string] = STATE(121),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(121),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(121),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(121),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(121),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(121),
    [sym_list] = STATE(121),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(121),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(121),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(121),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(121),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(121),
    [sym_anonymous_function] = STATE(121),
    [sym_shorthand_function] = STATE(121),
    [sym_defn] = STATE(121),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(121),
    [sym_var_quote] = STATE(121),
    [sym_unquote] = STATE(121),
    [sym_unquote_splice] = STATE(121),
    [sym_deref] = STATE(121),
    [sym_tagged_literal] = STATE(121),
    [sym_reader_conditional] = STATE(121),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(209),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(213),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_TILDE_AT] = ACTIONS(217),
    [sym_gensym] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [105] = {
    [sym__anything] = STATE(166),
    [sym__literals] = STATE(166),
    [sym__collection_literals] = STATE(166),
    [sym_boolean] = STATE(166),
    [sym_number] = STATE(166),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(166),
    [sym_character] = STATE(166),
    [sym__character] = STATE(36),
    [sym_string] = STATE(166),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(166),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(166),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(166),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(166),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(166),
    [sym_list] = STATE(166),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(166),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(166),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(166),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(166),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(166),
    [sym_anonymous_function] = STATE(166),
    [sym_shorthand_function] = STATE(166),
    [sym_defn] = STATE(166),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(166),
    [sym_var_quote] = STATE(166),
    [sym_unquote] = STATE(166),
    [sym_unquote_splice] = STATE(166),
    [sym_deref] = STATE(166),
    [sym_tagged_literal] = STATE(166),
    [sym_reader_conditional] = STATE(166),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(166),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(431),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(205),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(209),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(435),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(213),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_TILDE_AT] = ACTIONS(217),
    [sym_gensym] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [106] = {
    [ts_builtin_sym_end] = ACTIONS(437),
    [sym_nil] = ACTIONS(439),
    [sym_true] = ACTIONS(439),
    [sym_false] = ACTIONS(439),
    [sym__normal_long] = ACTIONS(439),
    [sym__number_hex] = ACTIONS(439),
    [sym__number_arbitrary_radix] = ACTIONS(439),
    [sym__number_octal] = ACTIONS(439),
    [sym_number_double] = ACTIONS(437),
    [sym_number_bigint] = ACTIONS(439),
    [sym_number_bigdecimal] = ACTIONS(437),
    [sym_number_ratio] = ACTIONS(437),
    [anon_sym_POUND_POUND] = ACTIONS(437),
    [anon_sym_BSLASH] = ACTIONS(437),
    [anon_sym_DQUOTE] = ACTIONS(437),
    [anon_sym_POUND_DQUOTE] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(437),
    [anon_sym_LPARENquote] = ACTIONS(437),
    [anon_sym_RPAREN] = ACTIONS(437),
    [anon_sym_COLON] = ACTIONS(439),
    [anon_sym_COLON_COLON] = ACTIONS(437),
    [anon_sym_DASH_GT] = ACTIONS(439),
    [anon_sym_DASH_GT_GT] = ACTIONS(437),
    [anon_sym_as_DASH_GT] = ACTIONS(437),
    [anon_sym_some_DASH_GT] = ACTIONS(439),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(437),
    [anon_sym_cond_DASH_GT] = ACTIONS(439),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(437),
    [sym__symbol_chars] = ACTIONS(439),
    [sym_member_access] = ACTIONS(437),
    [sym_field_access] = ACTIONS(437),
    [sym_new_class] = ACTIONS(437),
    [anon_sym_LPAREN] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(437),
    [anon_sym_RBRACK] = ACTIONS(437),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_RBRACE] = ACTIONS(437),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(437),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(437),
    [anon_sym_POUND_LBRACE] = ACTIONS(437),
    [anon_sym_SEMI] = ACTIONS(437),
    [anon_sym_POUND_BANG] = ACTIONS(437),
    [anon_sym_POUND_] = ACTIONS(437),
    [anon_sym_POUND_LPAREN] = ACTIONS(437),
    [sym_shorthand_function_arg] = ACTIONS(437),
    [anon_sym_CARET] = ACTIONS(439),
    [anon_sym_CARET_COLON] = ACTIONS(437),
    [anon_sym_CARET_DQUOTE] = ACTIONS(437),
    [anon_sym_BQUOTE] = ACTIONS(437),
    [anon_sym_POUND_SQUOTE] = ACTIONS(437),
    [anon_sym_TILDE] = ACTIONS(439),
    [anon_sym_TILDE_AT] = ACTIONS(437),
    [sym_gensym] = ACTIONS(437),
    [anon_sym_AT] = ACTIONS(437),
    [anon_sym_POUND] = ACTIONS(439),
    [anon_sym_POUND_QMARK] = ACTIONS(439),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(437),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(441),
    [sym_nil] = ACTIONS(443),
    [sym_true] = ACTIONS(443),
    [sym_false] = ACTIONS(443),
    [sym__normal_long] = ACTIONS(443),
    [sym__number_hex] = ACTIONS(443),
    [sym__number_arbitrary_radix] = ACTIONS(443),
    [sym__number_octal] = ACTIONS(443),
    [sym_number_double] = ACTIONS(441),
    [sym_number_bigint] = ACTIONS(443),
    [sym_number_bigdecimal] = ACTIONS(441),
    [sym_number_ratio] = ACTIONS(441),
    [anon_sym_POUND_POUND] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(441),
    [anon_sym_POUND_DQUOTE] = ACTIONS(441),
    [anon_sym_SQUOTE] = ACTIONS(441),
    [anon_sym_LPARENquote] = ACTIONS(441),
    [anon_sym_RPAREN] = ACTIONS(441),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(441),
    [anon_sym_DASH_GT] = ACTIONS(443),
    [anon_sym_DASH_GT_GT] = ACTIONS(441),
    [anon_sym_as_DASH_GT] = ACTIONS(441),
    [anon_sym_some_DASH_GT] = ACTIONS(443),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(441),
    [anon_sym_cond_DASH_GT] = ACTIONS(443),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(441),
    [sym__symbol_chars] = ACTIONS(443),
    [sym_member_access] = ACTIONS(441),
    [sym_field_access] = ACTIONS(441),
    [sym_new_class] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(441),
    [anon_sym_RBRACK] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(441),
    [anon_sym_RBRACE] = ACTIONS(441),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(441),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(441),
    [anon_sym_POUND_LBRACE] = ACTIONS(441),
    [anon_sym_SEMI] = ACTIONS(441),
    [anon_sym_POUND_BANG] = ACTIONS(441),
    [anon_sym_POUND_] = ACTIONS(441),
    [anon_sym_POUND_LPAREN] = ACTIONS(441),
    [sym_shorthand_function_arg] = ACTIONS(441),
    [anon_sym_CARET] = ACTIONS(443),
    [anon_sym_CARET_COLON] = ACTIONS(441),
    [anon_sym_CARET_DQUOTE] = ACTIONS(441),
    [anon_sym_BQUOTE] = ACTIONS(441),
    [anon_sym_POUND_SQUOTE] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_TILDE_AT] = ACTIONS(441),
    [sym_gensym] = ACTIONS(441),
    [anon_sym_AT] = ACTIONS(441),
    [anon_sym_POUND] = ACTIONS(443),
    [anon_sym_POUND_QMARK] = ACTIONS(443),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(441),
  },
  [108] = {
    [ts_builtin_sym_end] = ACTIONS(445),
    [sym_nil] = ACTIONS(447),
    [sym_true] = ACTIONS(447),
    [sym_false] = ACTIONS(447),
    [sym__normal_long] = ACTIONS(447),
    [sym__number_hex] = ACTIONS(447),
    [sym__number_arbitrary_radix] = ACTIONS(447),
    [sym__number_octal] = ACTIONS(447),
    [sym_number_double] = ACTIONS(445),
    [sym_number_bigint] = ACTIONS(447),
    [sym_number_bigdecimal] = ACTIONS(445),
    [sym_number_ratio] = ACTIONS(445),
    [anon_sym_POUND_POUND] = ACTIONS(445),
    [anon_sym_BSLASH] = ACTIONS(445),
    [anon_sym_DQUOTE] = ACTIONS(445),
    [anon_sym_POUND_DQUOTE] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(445),
    [anon_sym_LPARENquote] = ACTIONS(445),
    [anon_sym_RPAREN] = ACTIONS(445),
    [anon_sym_COLON] = ACTIONS(447),
    [anon_sym_COLON_COLON] = ACTIONS(445),
    [anon_sym_DASH_GT] = ACTIONS(447),
    [anon_sym_DASH_GT_GT] = ACTIONS(445),
    [anon_sym_as_DASH_GT] = ACTIONS(445),
    [anon_sym_some_DASH_GT] = ACTIONS(447),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(445),
    [anon_sym_cond_DASH_GT] = ACTIONS(447),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(445),
    [sym__symbol_chars] = ACTIONS(447),
    [sym_member_access] = ACTIONS(445),
    [sym_field_access] = ACTIONS(445),
    [sym_new_class] = ACTIONS(445),
    [anon_sym_LPAREN] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(445),
    [anon_sym_RBRACK] = ACTIONS(445),
    [anon_sym_LBRACE] = ACTIONS(445),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(445),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(445),
    [anon_sym_POUND_LBRACE] = ACTIONS(445),
    [anon_sym_SEMI] = ACTIONS(445),
    [anon_sym_POUND_BANG] = ACTIONS(445),
    [anon_sym_POUND_] = ACTIONS(445),
    [anon_sym_POUND_LPAREN] = ACTIONS(445),
    [sym_shorthand_function_arg] = ACTIONS(445),
    [anon_sym_CARET] = ACTIONS(447),
    [anon_sym_CARET_COLON] = ACTIONS(445),
    [anon_sym_CARET_DQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(445),
    [anon_sym_POUND_SQUOTE] = ACTIONS(445),
    [anon_sym_TILDE] = ACTIONS(447),
    [anon_sym_TILDE_AT] = ACTIONS(445),
    [sym_gensym] = ACTIONS(445),
    [anon_sym_AT] = ACTIONS(445),
    [anon_sym_POUND] = ACTIONS(447),
    [anon_sym_POUND_QMARK] = ACTIONS(447),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(445),
  },
  [109] = {
    [ts_builtin_sym_end] = ACTIONS(449),
    [sym_nil] = ACTIONS(451),
    [sym_true] = ACTIONS(451),
    [sym_false] = ACTIONS(451),
    [sym__normal_long] = ACTIONS(451),
    [sym__number_hex] = ACTIONS(451),
    [sym__number_arbitrary_radix] = ACTIONS(451),
    [sym__number_octal] = ACTIONS(451),
    [sym_number_double] = ACTIONS(449),
    [sym_number_bigint] = ACTIONS(451),
    [sym_number_bigdecimal] = ACTIONS(449),
    [sym_number_ratio] = ACTIONS(449),
    [anon_sym_POUND_POUND] = ACTIONS(449),
    [anon_sym_BSLASH] = ACTIONS(449),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [anon_sym_POUND_DQUOTE] = ACTIONS(449),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_LPARENquote] = ACTIONS(449),
    [anon_sym_RPAREN] = ACTIONS(449),
    [anon_sym_COLON] = ACTIONS(451),
    [anon_sym_COLON_COLON] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(451),
    [anon_sym_DASH_GT_GT] = ACTIONS(449),
    [anon_sym_as_DASH_GT] = ACTIONS(449),
    [anon_sym_some_DASH_GT] = ACTIONS(451),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(449),
    [anon_sym_cond_DASH_GT] = ACTIONS(451),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(449),
    [sym__symbol_chars] = ACTIONS(451),
    [sym_member_access] = ACTIONS(449),
    [sym_field_access] = ACTIONS(449),
    [sym_new_class] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(449),
    [anon_sym_RBRACE] = ACTIONS(449),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(449),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(449),
    [anon_sym_POUND_LBRACE] = ACTIONS(449),
    [anon_sym_SEMI] = ACTIONS(449),
    [anon_sym_POUND_BANG] = ACTIONS(449),
    [anon_sym_POUND_] = ACTIONS(449),
    [anon_sym_POUND_LPAREN] = ACTIONS(449),
    [sym_shorthand_function_arg] = ACTIONS(449),
    [anon_sym_CARET] = ACTIONS(451),
    [anon_sym_CARET_COLON] = ACTIONS(449),
    [anon_sym_CARET_DQUOTE] = ACTIONS(449),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_POUND_SQUOTE] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_TILDE_AT] = ACTIONS(449),
    [sym_gensym] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(449),
    [anon_sym_POUND] = ACTIONS(451),
    [anon_sym_POUND_QMARK] = ACTIONS(451),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(449),
  },
  [110] = {
    [sym__anything] = STATE(157),
    [sym__literals] = STATE(157),
    [sym__collection_literals] = STATE(157),
    [sym_boolean] = STATE(157),
    [sym_number] = STATE(157),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(157),
    [sym_character] = STATE(157),
    [sym__character] = STATE(36),
    [sym_string] = STATE(157),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(157),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(157),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(157),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(157),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(157),
    [sym_list] = STATE(157),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(157),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(157),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(157),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(157),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(157),
    [sym_anonymous_function] = STATE(157),
    [sym_shorthand_function] = STATE(157),
    [sym_defn] = STATE(157),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(157),
    [sym_var_quote] = STATE(157),
    [sym_unquote] = STATE(157),
    [sym_unquote_splice] = STATE(157),
    [sym_deref] = STATE(157),
    [sym_tagged_literal] = STATE(157),
    [sym_reader_conditional] = STATE(157),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(157),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(395),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(453),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(399),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [111] = {
    [anon_sym_DASH_GT] = ACTIONS(455),
    [anon_sym_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_as_DASH_GT] = ACTIONS(457),
    [anon_sym_some_DASH_GT] = ACTIONS(455),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(457),
    [anon_sym_cond_DASH_GT] = ACTIONS(455),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(457),
    [sym__symbol_chars] = ACTIONS(455),
    [anon_sym_LPAREN] = ACTIONS(457),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(457),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(457),
    [anon_sym_POUND_LBRACE] = ACTIONS(457),
    [anon_sym_CARET] = ACTIONS(455),
    [anon_sym_CARET_COLON] = ACTIONS(457),
    [anon_sym_CARET_DQUOTE] = ACTIONS(457),
  },
  [112] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(169),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(169),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(459),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [113] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(171),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(171),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(461),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [114] = {
    [anon_sym_LBRACE] = ACTIONS(463),
  },
  [115] = {
    [anon_sym_DASH_GT] = ACTIONS(465),
    [anon_sym_DASH_GT_GT] = ACTIONS(467),
    [anon_sym_as_DASH_GT] = ACTIONS(467),
    [anon_sym_some_DASH_GT] = ACTIONS(465),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(467),
    [anon_sym_cond_DASH_GT] = ACTIONS(465),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(467),
    [sym__symbol_chars] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACK] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(467),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(467),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(467),
    [anon_sym_POUND_LBRACE] = ACTIONS(467),
  },
  [116] = {
    [anon_sym_DASH_GT] = ACTIONS(305),
    [anon_sym_DASH_GT_GT] = ACTIONS(303),
    [anon_sym_as_DASH_GT] = ACTIONS(303),
    [anon_sym_some_DASH_GT] = ACTIONS(305),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(303),
    [anon_sym_cond_DASH_GT] = ACTIONS(305),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(303),
    [sym__symbol_chars] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(303),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(303),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(303),
    [anon_sym_POUND_LBRACE] = ACTIONS(303),
  },
  [117] = {
    [aux_sym__string_repeat1] = STATE(134),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(349),
    [aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH] = ACTIONS(349),
  },
  [118] = {
    [ts_builtin_sym_end] = ACTIONS(471),
    [sym_nil] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym__normal_long] = ACTIONS(473),
    [sym__number_hex] = ACTIONS(473),
    [sym__number_arbitrary_radix] = ACTIONS(473),
    [sym__number_octal] = ACTIONS(473),
    [sym_number_double] = ACTIONS(471),
    [sym_number_bigint] = ACTIONS(473),
    [sym_number_bigdecimal] = ACTIONS(471),
    [sym_number_ratio] = ACTIONS(471),
    [anon_sym_POUND_POUND] = ACTIONS(471),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_DQUOTE] = ACTIONS(471),
    [anon_sym_POUND_DQUOTE] = ACTIONS(471),
    [anon_sym_SQUOTE] = ACTIONS(471),
    [anon_sym_LPARENquote] = ACTIONS(471),
    [anon_sym_RPAREN] = ACTIONS(471),
    [anon_sym_COLON] = ACTIONS(473),
    [anon_sym_COLON_COLON] = ACTIONS(471),
    [anon_sym_DASH_GT] = ACTIONS(473),
    [anon_sym_DASH_GT_GT] = ACTIONS(471),
    [anon_sym_as_DASH_GT] = ACTIONS(471),
    [anon_sym_some_DASH_GT] = ACTIONS(473),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(471),
    [anon_sym_cond_DASH_GT] = ACTIONS(473),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(471),
    [sym__symbol_chars] = ACTIONS(473),
    [sym_member_access] = ACTIONS(471),
    [sym_field_access] = ACTIONS(471),
    [sym_new_class] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_RBRACK] = ACTIONS(471),
    [anon_sym_LBRACE] = ACTIONS(471),
    [anon_sym_RBRACE] = ACTIONS(471),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(471),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(471),
    [anon_sym_POUND_LBRACE] = ACTIONS(471),
    [anon_sym_SEMI] = ACTIONS(471),
    [anon_sym_POUND_BANG] = ACTIONS(471),
    [anon_sym_POUND_] = ACTIONS(471),
    [anon_sym_POUND_LPAREN] = ACTIONS(471),
    [sym_shorthand_function_arg] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(473),
    [anon_sym_CARET_COLON] = ACTIONS(471),
    [anon_sym_CARET_DQUOTE] = ACTIONS(471),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [anon_sym_POUND_SQUOTE] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_TILDE_AT] = ACTIONS(471),
    [sym_gensym] = ACTIONS(471),
    [anon_sym_AT] = ACTIONS(471),
    [anon_sym_POUND] = ACTIONS(473),
    [anon_sym_POUND_QMARK] = ACTIONS(473),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(471),
  },
  [119] = {
    [ts_builtin_sym_end] = ACTIONS(475),
    [sym_nil] = ACTIONS(477),
    [sym_true] = ACTIONS(477),
    [sym_false] = ACTIONS(477),
    [sym__normal_long] = ACTIONS(477),
    [sym__number_hex] = ACTIONS(477),
    [sym__number_arbitrary_radix] = ACTIONS(477),
    [sym__number_octal] = ACTIONS(477),
    [sym_number_double] = ACTIONS(475),
    [sym_number_bigint] = ACTIONS(477),
    [sym_number_bigdecimal] = ACTIONS(475),
    [sym_number_ratio] = ACTIONS(475),
    [anon_sym_POUND_POUND] = ACTIONS(475),
    [anon_sym_BSLASH] = ACTIONS(475),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [anon_sym_POUND_DQUOTE] = ACTIONS(475),
    [anon_sym_SQUOTE] = ACTIONS(475),
    [anon_sym_LPARENquote] = ACTIONS(475),
    [anon_sym_RPAREN] = ACTIONS(475),
    [anon_sym_COLON] = ACTIONS(477),
    [anon_sym_COLON_COLON] = ACTIONS(475),
    [anon_sym_DASH_GT] = ACTIONS(477),
    [anon_sym_DASH_GT_GT] = ACTIONS(475),
    [anon_sym_as_DASH_GT] = ACTIONS(475),
    [anon_sym_some_DASH_GT] = ACTIONS(477),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(475),
    [anon_sym_cond_DASH_GT] = ACTIONS(477),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(475),
    [sym__symbol_chars] = ACTIONS(477),
    [sym_member_access] = ACTIONS(475),
    [sym_field_access] = ACTIONS(475),
    [sym_new_class] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_RBRACK] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_RBRACE] = ACTIONS(475),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(475),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(475),
    [anon_sym_POUND_LBRACE] = ACTIONS(475),
    [anon_sym_SEMI] = ACTIONS(475),
    [anon_sym_POUND_BANG] = ACTIONS(475),
    [anon_sym_POUND_] = ACTIONS(475),
    [anon_sym_POUND_LPAREN] = ACTIONS(475),
    [sym_shorthand_function_arg] = ACTIONS(475),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_CARET_COLON] = ACTIONS(475),
    [anon_sym_CARET_DQUOTE] = ACTIONS(475),
    [anon_sym_BQUOTE] = ACTIONS(475),
    [anon_sym_POUND_SQUOTE] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(477),
    [anon_sym_TILDE_AT] = ACTIONS(475),
    [sym_gensym] = ACTIONS(475),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_POUND] = ACTIONS(477),
    [anon_sym_POUND_QMARK] = ACTIONS(477),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(475),
  },
  [120] = {
    [ts_builtin_sym_end] = ACTIONS(479),
    [sym_nil] = ACTIONS(481),
    [sym_true] = ACTIONS(481),
    [sym_false] = ACTIONS(481),
    [sym__normal_long] = ACTIONS(481),
    [sym__number_hex] = ACTIONS(481),
    [sym__number_arbitrary_radix] = ACTIONS(481),
    [sym__number_octal] = ACTIONS(481),
    [sym_number_double] = ACTIONS(479),
    [sym_number_bigint] = ACTIONS(481),
    [sym_number_bigdecimal] = ACTIONS(479),
    [sym_number_ratio] = ACTIONS(479),
    [anon_sym_POUND_POUND] = ACTIONS(479),
    [anon_sym_BSLASH] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_POUND_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(479),
    [anon_sym_LPARENquote] = ACTIONS(479),
    [anon_sym_RPAREN] = ACTIONS(479),
    [anon_sym_COLON] = ACTIONS(481),
    [anon_sym_COLON_COLON] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_DASH_GT_GT] = ACTIONS(479),
    [anon_sym_as_DASH_GT] = ACTIONS(479),
    [anon_sym_some_DASH_GT] = ACTIONS(481),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(479),
    [anon_sym_cond_DASH_GT] = ACTIONS(481),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(479),
    [sym__symbol_chars] = ACTIONS(481),
    [sym_member_access] = ACTIONS(479),
    [sym_field_access] = ACTIONS(479),
    [sym_new_class] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_RBRACK] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_RBRACE] = ACTIONS(479),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(479),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(479),
    [anon_sym_POUND_LBRACE] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_POUND_BANG] = ACTIONS(479),
    [anon_sym_POUND_] = ACTIONS(479),
    [anon_sym_POUND_LPAREN] = ACTIONS(479),
    [sym_shorthand_function_arg] = ACTIONS(479),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_CARET_COLON] = ACTIONS(479),
    [anon_sym_CARET_DQUOTE] = ACTIONS(479),
    [anon_sym_BQUOTE] = ACTIONS(479),
    [anon_sym_POUND_SQUOTE] = ACTIONS(479),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_TILDE_AT] = ACTIONS(479),
    [sym_gensym] = ACTIONS(479),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_POUND] = ACTIONS(481),
    [anon_sym_POUND_QMARK] = ACTIONS(481),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(479),
  },
  [121] = {
    [ts_builtin_sym_end] = ACTIONS(483),
    [sym_nil] = ACTIONS(485),
    [sym_true] = ACTIONS(485),
    [sym_false] = ACTIONS(485),
    [sym__normal_long] = ACTIONS(485),
    [sym__number_hex] = ACTIONS(485),
    [sym__number_arbitrary_radix] = ACTIONS(485),
    [sym__number_octal] = ACTIONS(485),
    [sym_number_double] = ACTIONS(483),
    [sym_number_bigint] = ACTIONS(485),
    [sym_number_bigdecimal] = ACTIONS(483),
    [sym_number_ratio] = ACTIONS(483),
    [anon_sym_POUND_POUND] = ACTIONS(483),
    [anon_sym_BSLASH] = ACTIONS(483),
    [anon_sym_DQUOTE] = ACTIONS(483),
    [anon_sym_POUND_DQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(483),
    [anon_sym_LPARENquote] = ACTIONS(483),
    [anon_sym_RPAREN] = ACTIONS(483),
    [anon_sym_COLON] = ACTIONS(485),
    [anon_sym_COLON_COLON] = ACTIONS(483),
    [anon_sym_DASH_GT] = ACTIONS(485),
    [anon_sym_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_as_DASH_GT] = ACTIONS(483),
    [anon_sym_some_DASH_GT] = ACTIONS(485),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(483),
    [anon_sym_cond_DASH_GT] = ACTIONS(485),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(483),
    [sym__symbol_chars] = ACTIONS(485),
    [sym_member_access] = ACTIONS(483),
    [sym_field_access] = ACTIONS(483),
    [sym_new_class] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(485),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_RBRACK] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(483),
    [anon_sym_RBRACE] = ACTIONS(483),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(483),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(483),
    [anon_sym_POUND_LBRACE] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(483),
    [anon_sym_POUND_BANG] = ACTIONS(483),
    [anon_sym_POUND_] = ACTIONS(483),
    [anon_sym_POUND_LPAREN] = ACTIONS(483),
    [sym_shorthand_function_arg] = ACTIONS(483),
    [anon_sym_CARET] = ACTIONS(485),
    [anon_sym_CARET_COLON] = ACTIONS(483),
    [anon_sym_CARET_DQUOTE] = ACTIONS(483),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_POUND_SQUOTE] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(485),
    [anon_sym_TILDE_AT] = ACTIONS(483),
    [sym_gensym] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(483),
    [anon_sym_POUND] = ACTIONS(485),
    [anon_sym_POUND_QMARK] = ACTIONS(485),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(483),
  },
  [122] = {
    [sym__anything] = STATE(80),
    [sym__literals] = STATE(80),
    [sym__collection_literals] = STATE(80),
    [sym_boolean] = STATE(80),
    [sym_number] = STATE(80),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(80),
    [sym_character] = STATE(80),
    [sym__character] = STATE(36),
    [sym_string] = STATE(80),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(80),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(80),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(80),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(80),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(80),
    [sym_list] = STATE(80),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(80),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(80),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(80),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(80),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(80),
    [sym_anonymous_function] = STATE(80),
    [sym_shorthand_function] = STATE(80),
    [sym_defn] = STATE(80),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(80),
    [sym_var_quote] = STATE(80),
    [sym_unquote] = STATE(80),
    [sym_unquote_splice] = STATE(80),
    [sym_deref] = STATE(80),
    [sym_tagged_literal] = STATE(80),
    [sym_reader_conditional] = STATE(80),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(80),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(145),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(157),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(157),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [123] = {
    [ts_builtin_sym_end] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym__normal_long] = ACTIONS(489),
    [sym__number_hex] = ACTIONS(489),
    [sym__number_arbitrary_radix] = ACTIONS(489),
    [sym__number_octal] = ACTIONS(489),
    [sym_number_double] = ACTIONS(487),
    [sym_number_bigint] = ACTIONS(489),
    [sym_number_bigdecimal] = ACTIONS(487),
    [sym_number_ratio] = ACTIONS(487),
    [anon_sym_POUND_POUND] = ACTIONS(487),
    [anon_sym_BSLASH] = ACTIONS(487),
    [anon_sym_DQUOTE] = ACTIONS(487),
    [anon_sym_POUND_DQUOTE] = ACTIONS(487),
    [anon_sym_SQUOTE] = ACTIONS(487),
    [anon_sym_LPARENquote] = ACTIONS(487),
    [anon_sym_RPAREN] = ACTIONS(487),
    [anon_sym_COLON] = ACTIONS(489),
    [anon_sym_COLON_COLON] = ACTIONS(487),
    [anon_sym_DASH_GT] = ACTIONS(489),
    [anon_sym_DASH_GT_GT] = ACTIONS(487),
    [anon_sym_as_DASH_GT] = ACTIONS(487),
    [anon_sym_some_DASH_GT] = ACTIONS(489),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(487),
    [anon_sym_cond_DASH_GT] = ACTIONS(489),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(487),
    [sym__symbol_chars] = ACTIONS(489),
    [sym_member_access] = ACTIONS(487),
    [sym_field_access] = ACTIONS(487),
    [sym_new_class] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(487),
    [anon_sym_RBRACK] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_RBRACE] = ACTIONS(487),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(487),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(487),
    [anon_sym_POUND_LBRACE] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(487),
    [anon_sym_POUND_BANG] = ACTIONS(487),
    [anon_sym_POUND_] = ACTIONS(487),
    [anon_sym_POUND_LPAREN] = ACTIONS(487),
    [sym_shorthand_function_arg] = ACTIONS(487),
    [anon_sym_CARET] = ACTIONS(489),
    [anon_sym_CARET_COLON] = ACTIONS(487),
    [anon_sym_CARET_DQUOTE] = ACTIONS(487),
    [anon_sym_BQUOTE] = ACTIONS(487),
    [anon_sym_POUND_SQUOTE] = ACTIONS(487),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_TILDE_AT] = ACTIONS(487),
    [sym_gensym] = ACTIONS(487),
    [anon_sym_AT] = ACTIONS(487),
    [anon_sym_POUND] = ACTIONS(489),
    [anon_sym_POUND_QMARK] = ACTIONS(489),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(487),
  },
  [124] = {
    [ts_builtin_sym_end] = ACTIONS(491),
    [sym_nil] = ACTIONS(493),
    [sym_true] = ACTIONS(493),
    [sym_false] = ACTIONS(493),
    [sym__normal_long] = ACTIONS(493),
    [sym__number_hex] = ACTIONS(493),
    [sym__number_arbitrary_radix] = ACTIONS(493),
    [sym__number_octal] = ACTIONS(493),
    [sym_number_double] = ACTIONS(491),
    [sym_number_bigint] = ACTIONS(493),
    [sym_number_bigdecimal] = ACTIONS(491),
    [sym_number_ratio] = ACTIONS(491),
    [anon_sym_POUND_POUND] = ACTIONS(491),
    [anon_sym_BSLASH] = ACTIONS(491),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [anon_sym_POUND_DQUOTE] = ACTIONS(491),
    [anon_sym_SQUOTE] = ACTIONS(491),
    [anon_sym_LPARENquote] = ACTIONS(491),
    [anon_sym_RPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_COLON_COLON] = ACTIONS(491),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_DASH_GT] = ACTIONS(493),
    [anon_sym_DASH_GT_GT] = ACTIONS(491),
    [anon_sym_as_DASH_GT] = ACTIONS(491),
    [anon_sym_some_DASH_GT] = ACTIONS(493),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(491),
    [anon_sym_cond_DASH_GT] = ACTIONS(493),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(491),
    [sym__symbol_chars] = ACTIONS(493),
    [sym_member_access] = ACTIONS(491),
    [sym_field_access] = ACTIONS(491),
    [sym_new_class] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(491),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(491),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(491),
    [anon_sym_POUND_LBRACE] = ACTIONS(491),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_POUND_BANG] = ACTIONS(491),
    [anon_sym_POUND_] = ACTIONS(491),
    [anon_sym_POUND_LPAREN] = ACTIONS(491),
    [sym_shorthand_function_arg] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(493),
    [anon_sym_CARET_COLON] = ACTIONS(491),
    [anon_sym_CARET_DQUOTE] = ACTIONS(491),
    [anon_sym_BQUOTE] = ACTIONS(491),
    [anon_sym_POUND_SQUOTE] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(493),
    [anon_sym_TILDE_AT] = ACTIONS(491),
    [sym_gensym] = ACTIONS(491),
    [anon_sym_AT] = ACTIONS(491),
    [anon_sym_POUND] = ACTIONS(493),
    [anon_sym_POUND_QMARK] = ACTIONS(493),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(491),
  },
  [125] = {
    [ts_builtin_sym_end] = ACTIONS(491),
    [sym_nil] = ACTIONS(493),
    [sym_true] = ACTIONS(493),
    [sym_false] = ACTIONS(493),
    [sym__normal_long] = ACTIONS(493),
    [sym__number_hex] = ACTIONS(493),
    [sym__number_arbitrary_radix] = ACTIONS(493),
    [sym__number_octal] = ACTIONS(493),
    [sym_number_double] = ACTIONS(491),
    [sym_number_bigint] = ACTIONS(493),
    [sym_number_bigdecimal] = ACTIONS(491),
    [sym_number_ratio] = ACTIONS(491),
    [anon_sym_POUND_POUND] = ACTIONS(491),
    [anon_sym_BSLASH] = ACTIONS(491),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [anon_sym_POUND_DQUOTE] = ACTIONS(491),
    [anon_sym_SQUOTE] = ACTIONS(491),
    [anon_sym_LPARENquote] = ACTIONS(491),
    [anon_sym_RPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_COLON_COLON] = ACTIONS(491),
    [anon_sym_DASH_GT] = ACTIONS(493),
    [anon_sym_DASH_GT_GT] = ACTIONS(491),
    [anon_sym_as_DASH_GT] = ACTIONS(491),
    [anon_sym_some_DASH_GT] = ACTIONS(493),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(491),
    [anon_sym_cond_DASH_GT] = ACTIONS(493),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(491),
    [sym__symbol_chars] = ACTIONS(493),
    [sym_member_access] = ACTIONS(491),
    [sym_field_access] = ACTIONS(491),
    [sym_new_class] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(491),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(491),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(491),
    [anon_sym_POUND_LBRACE] = ACTIONS(491),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_POUND_BANG] = ACTIONS(491),
    [anon_sym_POUND_] = ACTIONS(491),
    [anon_sym_POUND_LPAREN] = ACTIONS(491),
    [sym_shorthand_function_arg] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(493),
    [anon_sym_CARET_COLON] = ACTIONS(491),
    [anon_sym_CARET_DQUOTE] = ACTIONS(491),
    [anon_sym_BQUOTE] = ACTIONS(491),
    [anon_sym_POUND_SQUOTE] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(493),
    [anon_sym_TILDE_AT] = ACTIONS(491),
    [sym_gensym] = ACTIONS(491),
    [anon_sym_AT] = ACTIONS(491),
    [anon_sym_POUND] = ACTIONS(493),
    [anon_sym_POUND_QMARK] = ACTIONS(493),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(491),
  },
  [126] = {
    [ts_builtin_sym_end] = ACTIONS(495),
    [sym_nil] = ACTIONS(497),
    [sym_true] = ACTIONS(497),
    [sym_false] = ACTIONS(497),
    [sym__normal_long] = ACTIONS(497),
    [sym__number_hex] = ACTIONS(497),
    [sym__number_arbitrary_radix] = ACTIONS(497),
    [sym__number_octal] = ACTIONS(497),
    [sym_number_double] = ACTIONS(495),
    [sym_number_bigint] = ACTIONS(497),
    [sym_number_bigdecimal] = ACTIONS(495),
    [sym_number_ratio] = ACTIONS(495),
    [anon_sym_POUND_POUND] = ACTIONS(495),
    [anon_sym_BSLASH] = ACTIONS(495),
    [anon_sym_DQUOTE] = ACTIONS(495),
    [anon_sym_POUND_DQUOTE] = ACTIONS(495),
    [anon_sym_SQUOTE] = ACTIONS(495),
    [anon_sym_LPARENquote] = ACTIONS(495),
    [anon_sym_RPAREN] = ACTIONS(495),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_COLON_COLON] = ACTIONS(495),
    [anon_sym_DASH_GT] = ACTIONS(497),
    [anon_sym_DASH_GT_GT] = ACTIONS(495),
    [anon_sym_as_DASH_GT] = ACTIONS(495),
    [anon_sym_some_DASH_GT] = ACTIONS(497),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(495),
    [anon_sym_cond_DASH_GT] = ACTIONS(497),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(495),
    [sym__symbol_chars] = ACTIONS(497),
    [sym_member_access] = ACTIONS(495),
    [sym_field_access] = ACTIONS(495),
    [sym_new_class] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(495),
    [anon_sym_RBRACK] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(495),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(495),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(495),
    [anon_sym_POUND_LBRACE] = ACTIONS(495),
    [anon_sym_SEMI] = ACTIONS(495),
    [anon_sym_POUND_BANG] = ACTIONS(495),
    [anon_sym_POUND_] = ACTIONS(495),
    [anon_sym_POUND_LPAREN] = ACTIONS(495),
    [sym_shorthand_function_arg] = ACTIONS(495),
    [anon_sym_CARET] = ACTIONS(497),
    [anon_sym_CARET_COLON] = ACTIONS(495),
    [anon_sym_CARET_DQUOTE] = ACTIONS(495),
    [anon_sym_BQUOTE] = ACTIONS(495),
    [anon_sym_POUND_SQUOTE] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [anon_sym_TILDE_AT] = ACTIONS(495),
    [sym_gensym] = ACTIONS(495),
    [anon_sym_AT] = ACTIONS(495),
    [anon_sym_POUND] = ACTIONS(497),
    [anon_sym_POUND_QMARK] = ACTIONS(497),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(495),
  },
  [127] = {
    [sym_keyword] = STATE(175),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [aux_sym_reader_conditional_repeat1] = STATE(176),
    [anon_sym_RPAREN] = ACTIONS(499),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
  },
  [128] = {
    [sym__anything] = STATE(128),
    [sym__literals] = STATE(128),
    [sym__collection_literals] = STATE(128),
    [sym_boolean] = STATE(128),
    [sym_number] = STATE(128),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(128),
    [sym_character] = STATE(128),
    [sym__character] = STATE(36),
    [sym_string] = STATE(128),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(128),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(128),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(128),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(128),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(128),
    [sym_list] = STATE(128),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(128),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(128),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(128),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(128),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(128),
    [sym_anonymous_function] = STATE(128),
    [sym_shorthand_function] = STATE(128),
    [sym_defn] = STATE(128),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(128),
    [sym_var_quote] = STATE(128),
    [sym_unquote] = STATE(128),
    [sym_unquote_splice] = STATE(128),
    [sym_deref] = STATE(128),
    [sym_tagged_literal] = STATE(128),
    [sym_reader_conditional] = STATE(128),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(128),
    [aux_sym_metadata_repeat1] = STATE(52),
    [ts_builtin_sym_end] = ACTIONS(501),
    [sym_nil] = ACTIONS(503),
    [sym_true] = ACTIONS(506),
    [sym_false] = ACTIONS(506),
    [sym__normal_long] = ACTIONS(509),
    [sym__number_hex] = ACTIONS(509),
    [sym__number_arbitrary_radix] = ACTIONS(509),
    [sym__number_octal] = ACTIONS(509),
    [sym_number_double] = ACTIONS(512),
    [sym_number_bigint] = ACTIONS(515),
    [sym_number_bigdecimal] = ACTIONS(512),
    [sym_number_ratio] = ACTIONS(512),
    [anon_sym_POUND_POUND] = ACTIONS(518),
    [anon_sym_BSLASH] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [anon_sym_POUND_DQUOTE] = ACTIONS(527),
    [anon_sym_SQUOTE] = ACTIONS(530),
    [anon_sym_LPARENquote] = ACTIONS(533),
    [anon_sym_COLON] = ACTIONS(536),
    [anon_sym_COLON_COLON] = ACTIONS(539),
    [anon_sym_DASH_GT] = ACTIONS(542),
    [anon_sym_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_as_DASH_GT] = ACTIONS(545),
    [anon_sym_some_DASH_GT] = ACTIONS(542),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_cond_DASH_GT] = ACTIONS(542),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(545),
    [sym__symbol_chars] = ACTIONS(548),
    [sym_member_access] = ACTIONS(551),
    [sym_field_access] = ACTIONS(551),
    [sym_new_class] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(560),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(563),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(566),
    [anon_sym_POUND_LBRACE] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(572),
    [anon_sym_POUND_BANG] = ACTIONS(575),
    [anon_sym_POUND_] = ACTIONS(578),
    [anon_sym_POUND_LPAREN] = ACTIONS(581),
    [sym_shorthand_function_arg] = ACTIONS(584),
    [anon_sym_CARET] = ACTIONS(587),
    [anon_sym_CARET_COLON] = ACTIONS(590),
    [anon_sym_CARET_DQUOTE] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(596),
    [anon_sym_POUND_SQUOTE] = ACTIONS(599),
    [anon_sym_TILDE] = ACTIONS(602),
    [anon_sym_TILDE_AT] = ACTIONS(605),
    [sym_gensym] = ACTIONS(584),
    [anon_sym_AT] = ACTIONS(608),
    [anon_sym_POUND] = ACTIONS(611),
    [anon_sym_POUND_QMARK] = ACTIONS(614),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(617),
  },
  [129] = {
    [sym__symbol_chars] = ACTIONS(233),
  },
  [130] = {
    [sym_metadata_shorthand] = STATE(130),
    [aux_sym_metadata_repeat1] = STATE(130),
    [anon_sym_LPAREN] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(620),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(620),
    [anon_sym_POUND_LBRACE] = ACTIONS(620),
    [anon_sym_CARET] = ACTIONS(622),
    [anon_sym_CARET_COLON] = ACTIONS(625),
    [anon_sym_CARET_DQUOTE] = ACTIONS(628),
  },
  [131] = {
    [sym__hex_char] = ACTIONS(631),
  },
  [132] = {
    [ts_builtin_sym_end] = ACTIONS(633),
    [sym_nil] = ACTIONS(635),
    [sym_true] = ACTIONS(635),
    [sym_false] = ACTIONS(635),
    [sym__normal_long] = ACTIONS(635),
    [sym__number_hex] = ACTIONS(635),
    [sym__number_arbitrary_radix] = ACTIONS(635),
    [sym__number_octal] = ACTIONS(635),
    [sym_number_double] = ACTIONS(633),
    [sym_number_bigint] = ACTIONS(635),
    [sym_number_bigdecimal] = ACTIONS(633),
    [sym_number_ratio] = ACTIONS(633),
    [anon_sym_POUND_POUND] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(633),
    [anon_sym_POUND_DQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(633),
    [anon_sym_LPARENquote] = ACTIONS(633),
    [anon_sym_RPAREN] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DASH_GT] = ACTIONS(635),
    [anon_sym_DASH_GT_GT] = ACTIONS(633),
    [anon_sym_as_DASH_GT] = ACTIONS(633),
    [anon_sym_some_DASH_GT] = ACTIONS(635),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(633),
    [anon_sym_cond_DASH_GT] = ACTIONS(635),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(633),
    [sym__symbol_chars] = ACTIONS(635),
    [sym_member_access] = ACTIONS(633),
    [sym_field_access] = ACTIONS(633),
    [sym_new_class] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_RBRACK] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(633),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(633),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(633),
    [anon_sym_POUND_LBRACE] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(633),
    [anon_sym_POUND_BANG] = ACTIONS(633),
    [anon_sym_POUND_] = ACTIONS(633),
    [anon_sym_POUND_LPAREN] = ACTIONS(633),
    [sym_shorthand_function_arg] = ACTIONS(633),
    [anon_sym_CARET] = ACTIONS(635),
    [anon_sym_CARET_COLON] = ACTIONS(633),
    [anon_sym_CARET_DQUOTE] = ACTIONS(633),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_POUND_SQUOTE] = ACTIONS(633),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_TILDE_AT] = ACTIONS(633),
    [sym_gensym] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_POUND] = ACTIONS(635),
    [anon_sym_POUND_QMARK] = ACTIONS(635),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(633),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(637),
    [sym_nil] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym__normal_long] = ACTIONS(639),
    [sym__number_hex] = ACTIONS(639),
    [sym__number_arbitrary_radix] = ACTIONS(639),
    [sym__number_octal] = ACTIONS(639),
    [sym_number_double] = ACTIONS(637),
    [sym_number_bigint] = ACTIONS(639),
    [sym_number_bigdecimal] = ACTIONS(637),
    [sym_number_ratio] = ACTIONS(637),
    [anon_sym_POUND_POUND] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [anon_sym_POUND_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(637),
    [anon_sym_LPARENquote] = ACTIONS(637),
    [anon_sym_RPAREN] = ACTIONS(637),
    [anon_sym_COLON] = ACTIONS(639),
    [anon_sym_COLON_COLON] = ACTIONS(637),
    [anon_sym_DASH_GT] = ACTIONS(639),
    [anon_sym_DASH_GT_GT] = ACTIONS(637),
    [anon_sym_as_DASH_GT] = ACTIONS(637),
    [anon_sym_some_DASH_GT] = ACTIONS(639),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(637),
    [anon_sym_cond_DASH_GT] = ACTIONS(639),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(637),
    [sym__symbol_chars] = ACTIONS(639),
    [sym_member_access] = ACTIONS(637),
    [sym_field_access] = ACTIONS(637),
    [sym_new_class] = ACTIONS(637),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(637),
    [anon_sym_RBRACK] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(637),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(637),
    [anon_sym_POUND_LBRACE] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(637),
    [anon_sym_POUND_BANG] = ACTIONS(637),
    [anon_sym_POUND_] = ACTIONS(637),
    [anon_sym_POUND_LPAREN] = ACTIONS(637),
    [sym_shorthand_function_arg] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(639),
    [anon_sym_CARET_COLON] = ACTIONS(637),
    [anon_sym_CARET_DQUOTE] = ACTIONS(637),
    [anon_sym_BQUOTE] = ACTIONS(637),
    [anon_sym_POUND_SQUOTE] = ACTIONS(637),
    [anon_sym_TILDE] = ACTIONS(639),
    [anon_sym_TILDE_AT] = ACTIONS(637),
    [sym_gensym] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_POUND] = ACTIONS(639),
    [anon_sym_POUND_QMARK] = ACTIONS(639),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(637),
  },
  [134] = {
    [aux_sym__string_repeat1] = STATE(134),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(643),
    [aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH] = ACTIONS(643),
  },
  [135] = {
    [ts_builtin_sym_end] = ACTIONS(646),
    [sym_nil] = ACTIONS(648),
    [sym_true] = ACTIONS(648),
    [sym_false] = ACTIONS(648),
    [sym__normal_long] = ACTIONS(648),
    [sym__number_hex] = ACTIONS(648),
    [sym__number_arbitrary_radix] = ACTIONS(648),
    [sym__number_octal] = ACTIONS(648),
    [sym_number_double] = ACTIONS(646),
    [sym_number_bigint] = ACTIONS(648),
    [sym_number_bigdecimal] = ACTIONS(646),
    [sym_number_ratio] = ACTIONS(646),
    [anon_sym_POUND_POUND] = ACTIONS(646),
    [anon_sym_BSLASH] = ACTIONS(646),
    [anon_sym_DQUOTE] = ACTIONS(646),
    [anon_sym_POUND_DQUOTE] = ACTIONS(646),
    [anon_sym_SQUOTE] = ACTIONS(646),
    [anon_sym_LPARENquote] = ACTIONS(646),
    [anon_sym_RPAREN] = ACTIONS(646),
    [anon_sym_COLON] = ACTIONS(648),
    [anon_sym_COLON_COLON] = ACTIONS(646),
    [anon_sym_DASH_GT] = ACTIONS(648),
    [anon_sym_DASH_GT_GT] = ACTIONS(646),
    [anon_sym_as_DASH_GT] = ACTIONS(646),
    [anon_sym_some_DASH_GT] = ACTIONS(648),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(646),
    [anon_sym_cond_DASH_GT] = ACTIONS(648),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(646),
    [sym__symbol_chars] = ACTIONS(648),
    [sym_member_access] = ACTIONS(646),
    [sym_field_access] = ACTIONS(646),
    [sym_new_class] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_LBRACK] = ACTIONS(646),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_RBRACE] = ACTIONS(646),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(646),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(646),
    [anon_sym_POUND_LBRACE] = ACTIONS(646),
    [anon_sym_SEMI] = ACTIONS(646),
    [anon_sym_POUND_BANG] = ACTIONS(646),
    [anon_sym_POUND_] = ACTIONS(646),
    [anon_sym_POUND_LPAREN] = ACTIONS(646),
    [sym_shorthand_function_arg] = ACTIONS(646),
    [anon_sym_CARET] = ACTIONS(648),
    [anon_sym_CARET_COLON] = ACTIONS(646),
    [anon_sym_CARET_DQUOTE] = ACTIONS(646),
    [anon_sym_BQUOTE] = ACTIONS(646),
    [anon_sym_POUND_SQUOTE] = ACTIONS(646),
    [anon_sym_TILDE] = ACTIONS(648),
    [anon_sym_TILDE_AT] = ACTIONS(646),
    [sym_gensym] = ACTIONS(646),
    [anon_sym_AT] = ACTIONS(646),
    [anon_sym_POUND] = ACTIONS(648),
    [anon_sym_POUND_QMARK] = ACTIONS(648),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(646),
  },
  [136] = {
    [aux_sym__regex_repeat1] = STATE(136),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(652),
    [aux_sym_SLASH_LBRACK_CARET_DQUOTE_BSLASHn_BSLASHr_RBRACK_SLASH] = ACTIONS(652),
  },
  [137] = {
    [ts_builtin_sym_end] = ACTIONS(655),
    [sym_nil] = ACTIONS(657),
    [sym_true] = ACTIONS(657),
    [sym_false] = ACTIONS(657),
    [sym__normal_long] = ACTIONS(657),
    [sym__number_hex] = ACTIONS(657),
    [sym__number_arbitrary_radix] = ACTIONS(657),
    [sym__number_octal] = ACTIONS(657),
    [sym_number_double] = ACTIONS(655),
    [sym_number_bigint] = ACTIONS(657),
    [sym_number_bigdecimal] = ACTIONS(655),
    [sym_number_ratio] = ACTIONS(655),
    [anon_sym_POUND_POUND] = ACTIONS(655),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_DQUOTE] = ACTIONS(655),
    [anon_sym_POUND_DQUOTE] = ACTIONS(655),
    [anon_sym_SQUOTE] = ACTIONS(655),
    [anon_sym_LPARENquote] = ACTIONS(655),
    [anon_sym_RPAREN] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(657),
    [anon_sym_COLON_COLON] = ACTIONS(655),
    [anon_sym_DASH_GT] = ACTIONS(657),
    [anon_sym_DASH_GT_GT] = ACTIONS(655),
    [anon_sym_as_DASH_GT] = ACTIONS(655),
    [anon_sym_some_DASH_GT] = ACTIONS(657),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(655),
    [anon_sym_cond_DASH_GT] = ACTIONS(657),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(655),
    [sym__symbol_chars] = ACTIONS(657),
    [sym_member_access] = ACTIONS(655),
    [sym_field_access] = ACTIONS(655),
    [sym_new_class] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(655),
    [anon_sym_LBRACE] = ACTIONS(655),
    [anon_sym_RBRACE] = ACTIONS(655),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(655),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(655),
    [anon_sym_POUND_LBRACE] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(655),
    [anon_sym_POUND_BANG] = ACTIONS(655),
    [anon_sym_POUND_] = ACTIONS(655),
    [anon_sym_POUND_LPAREN] = ACTIONS(655),
    [sym_shorthand_function_arg] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_CARET_COLON] = ACTIONS(655),
    [anon_sym_CARET_DQUOTE] = ACTIONS(655),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_POUND_SQUOTE] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(657),
    [anon_sym_TILDE_AT] = ACTIONS(655),
    [sym_gensym] = ACTIONS(655),
    [anon_sym_AT] = ACTIONS(655),
    [anon_sym_POUND] = ACTIONS(657),
    [anon_sym_POUND_QMARK] = ACTIONS(657),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(655),
  },
  [138] = {
    [sym__keyword_chars] = ACTIONS(659),
  },
  [139] = {
    [ts_builtin_sym_end] = ACTIONS(661),
    [sym_nil] = ACTIONS(663),
    [sym_true] = ACTIONS(663),
    [sym_false] = ACTIONS(663),
    [sym__normal_long] = ACTIONS(663),
    [sym__number_hex] = ACTIONS(663),
    [sym__number_arbitrary_radix] = ACTIONS(663),
    [sym__number_octal] = ACTIONS(663),
    [sym_number_double] = ACTIONS(661),
    [sym_number_bigint] = ACTIONS(663),
    [sym_number_bigdecimal] = ACTIONS(661),
    [sym_number_ratio] = ACTIONS(661),
    [anon_sym_POUND_POUND] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(661),
    [anon_sym_POUND_DQUOTE] = ACTIONS(661),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_LPARENquote] = ACTIONS(661),
    [anon_sym_RPAREN] = ACTIONS(661),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(661),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_DASH_GT_GT] = ACTIONS(661),
    [anon_sym_as_DASH_GT] = ACTIONS(661),
    [anon_sym_some_DASH_GT] = ACTIONS(663),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(661),
    [anon_sym_cond_DASH_GT] = ACTIONS(663),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(661),
    [sym__symbol_chars] = ACTIONS(663),
    [sym_member_access] = ACTIONS(661),
    [sym_field_access] = ACTIONS(661),
    [sym_new_class] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_RBRACE] = ACTIONS(661),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(661),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(661),
    [anon_sym_POUND_LBRACE] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_POUND_BANG] = ACTIONS(661),
    [anon_sym_POUND_] = ACTIONS(661),
    [anon_sym_POUND_LPAREN] = ACTIONS(661),
    [sym_shorthand_function_arg] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_CARET_COLON] = ACTIONS(661),
    [anon_sym_CARET_DQUOTE] = ACTIONS(661),
    [anon_sym_BQUOTE] = ACTIONS(661),
    [anon_sym_POUND_SQUOTE] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_TILDE_AT] = ACTIONS(661),
    [sym_gensym] = ACTIONS(661),
    [anon_sym_AT] = ACTIONS(661),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_POUND_QMARK] = ACTIONS(663),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(661),
  },
  [140] = {
    [ts_builtin_sym_end] = ACTIONS(665),
    [sym_nil] = ACTIONS(667),
    [sym_true] = ACTIONS(667),
    [sym_false] = ACTIONS(667),
    [sym__normal_long] = ACTIONS(667),
    [sym__number_hex] = ACTIONS(667),
    [sym__number_arbitrary_radix] = ACTIONS(667),
    [sym__number_octal] = ACTIONS(667),
    [sym_number_double] = ACTIONS(665),
    [sym_number_bigint] = ACTIONS(667),
    [sym_number_bigdecimal] = ACTIONS(665),
    [sym_number_ratio] = ACTIONS(665),
    [anon_sym_POUND_POUND] = ACTIONS(665),
    [anon_sym_BSLASH] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(665),
    [anon_sym_POUND_DQUOTE] = ACTIONS(665),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_LPARENquote] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(665),
    [anon_sym_COLON] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(665),
    [anon_sym_DASH_GT] = ACTIONS(667),
    [anon_sym_DASH_GT_GT] = ACTIONS(665),
    [anon_sym_as_DASH_GT] = ACTIONS(665),
    [anon_sym_some_DASH_GT] = ACTIONS(667),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(665),
    [anon_sym_cond_DASH_GT] = ACTIONS(667),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(665),
    [sym__symbol_chars] = ACTIONS(667),
    [sym_member_access] = ACTIONS(665),
    [sym_field_access] = ACTIONS(665),
    [sym_new_class] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_RBRACK] = ACTIONS(665),
    [anon_sym_LBRACE] = ACTIONS(665),
    [anon_sym_RBRACE] = ACTIONS(665),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(665),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(665),
    [anon_sym_POUND_LBRACE] = ACTIONS(665),
    [anon_sym_SEMI] = ACTIONS(665),
    [anon_sym_POUND_BANG] = ACTIONS(665),
    [anon_sym_POUND_] = ACTIONS(665),
    [anon_sym_POUND_LPAREN] = ACTIONS(665),
    [sym_shorthand_function_arg] = ACTIONS(665),
    [anon_sym_CARET] = ACTIONS(667),
    [anon_sym_CARET_COLON] = ACTIONS(665),
    [anon_sym_CARET_DQUOTE] = ACTIONS(665),
    [anon_sym_BQUOTE] = ACTIONS(665),
    [anon_sym_POUND_SQUOTE] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_TILDE_AT] = ACTIONS(665),
    [sym_gensym] = ACTIONS(665),
    [anon_sym_AT] = ACTIONS(665),
    [anon_sym_POUND] = ACTIONS(667),
    [anon_sym_POUND_QMARK] = ACTIONS(667),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(665),
  },
  [141] = {
    [sym__anything] = STATE(157),
    [sym__literals] = STATE(157),
    [sym__collection_literals] = STATE(157),
    [sym_boolean] = STATE(157),
    [sym_number] = STATE(157),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(157),
    [sym_character] = STATE(157),
    [sym__character] = STATE(36),
    [sym_string] = STATE(157),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(157),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(157),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(157),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(157),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(157),
    [sym_list] = STATE(157),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(157),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(157),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(157),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(157),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(157),
    [sym_anonymous_function] = STATE(157),
    [sym_shorthand_function] = STATE(157),
    [sym_defn] = STATE(157),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(157),
    [sym_var_quote] = STATE(157),
    [sym_unquote] = STATE(157),
    [sym_unquote_splice] = STATE(157),
    [sym_deref] = STATE(157),
    [sym_tagged_literal] = STATE(157),
    [sym_reader_conditional] = STATE(157),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(157),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(395),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(669),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(399),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [142] = {
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(131),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(131),
  },
  [143] = {
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(135),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(135),
  },
  [144] = {
    [sym_vector] = STATE(148),
    [sym__vector] = STATE(44),
    [sym__single_arity_fn] = STATE(181),
    [sym_params] = STATE(151),
    [anon_sym_LBRACK] = ACTIONS(43),
  },
  [145] = {
    [anon_sym_DQUOTE] = ACTIONS(673),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(673),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(673),
  },
  [146] = {
    [anon_sym_DQUOTE] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(287),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(287),
  },
  [147] = {
    [anon_sym_DQUOTE] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(291),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(291),
  },
  [148] = {
    [sym_nil] = ACTIONS(675),
    [sym_true] = ACTIONS(675),
    [sym_false] = ACTIONS(675),
    [sym__normal_long] = ACTIONS(675),
    [sym__number_hex] = ACTIONS(675),
    [sym__number_arbitrary_radix] = ACTIONS(675),
    [sym__number_octal] = ACTIONS(675),
    [sym_number_double] = ACTIONS(677),
    [sym_number_bigint] = ACTIONS(675),
    [sym_number_bigdecimal] = ACTIONS(677),
    [sym_number_ratio] = ACTIONS(677),
    [anon_sym_POUND_POUND] = ACTIONS(677),
    [anon_sym_BSLASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(677),
    [anon_sym_POUND_DQUOTE] = ACTIONS(677),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_LPARENquote] = ACTIONS(677),
    [anon_sym_RPAREN] = ACTIONS(677),
    [anon_sym_COLON] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_DASH_GT] = ACTIONS(675),
    [anon_sym_DASH_GT_GT] = ACTIONS(677),
    [anon_sym_as_DASH_GT] = ACTIONS(677),
    [anon_sym_some_DASH_GT] = ACTIONS(675),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(677),
    [anon_sym_cond_DASH_GT] = ACTIONS(675),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(677),
    [sym__symbol_chars] = ACTIONS(675),
    [sym_member_access] = ACTIONS(677),
    [sym_field_access] = ACTIONS(677),
    [sym_new_class] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(677),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(677),
    [anon_sym_POUND_LBRACE] = ACTIONS(677),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym_POUND_BANG] = ACTIONS(677),
    [anon_sym_POUND_] = ACTIONS(677),
    [anon_sym_POUND_LPAREN] = ACTIONS(677),
    [sym_shorthand_function_arg] = ACTIONS(677),
    [anon_sym_CARET] = ACTIONS(675),
    [anon_sym_CARET_COLON] = ACTIONS(677),
    [anon_sym_CARET_DQUOTE] = ACTIONS(677),
    [anon_sym_BQUOTE] = ACTIONS(677),
    [anon_sym_POUND_SQUOTE] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_TILDE_AT] = ACTIONS(677),
    [sym_gensym] = ACTIONS(677),
    [anon_sym_AT] = ACTIONS(677),
    [anon_sym_POUND] = ACTIONS(675),
    [anon_sym_POUND_QMARK] = ACTIONS(675),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(677),
  },
  [149] = {
    [anon_sym_RPAREN] = ACTIONS(679),
  },
  [150] = {
    [sym_vector] = STATE(148),
    [sym__vector] = STATE(44),
    [sym__after_the_fn_name] = STATE(183),
    [sym__single_arity_fn] = STATE(183),
    [sym__multi_arity_fn] = STATE(183),
    [sym_params] = STATE(151),
    [aux_sym__multi_arity_fn_repeat1] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_LBRACK] = ACTIONS(43),
  },
  [151] = {
    [sym__anything] = STATE(185),
    [sym__literals] = STATE(185),
    [sym__collection_literals] = STATE(185),
    [sym_boolean] = STATE(185),
    [sym_number] = STATE(185),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(185),
    [sym_character] = STATE(185),
    [sym__character] = STATE(36),
    [sym_string] = STATE(185),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(185),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(185),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(185),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(185),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(185),
    [sym_list] = STATE(185),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(185),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(185),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(185),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(185),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(185),
    [sym_anonymous_function] = STATE(185),
    [sym_function_body] = STATE(184),
    [sym_shorthand_function] = STATE(185),
    [sym_defn] = STATE(185),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(185),
    [sym_var_quote] = STATE(185),
    [sym_unquote] = STATE(185),
    [sym_unquote_splice] = STATE(185),
    [sym_deref] = STATE(185),
    [sym_tagged_literal] = STATE(185),
    [sym_reader_conditional] = STATE(185),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(185),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(681),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(683),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(685),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [152] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(186),
    [anon_sym_RPAREN] = ACTIONS(687),
    [anon_sym_LPAREN] = ACTIONS(393),
  },
  [153] = {
    [sym_string] = STATE(188),
    [sym__string] = STATE(189),
    [sym_vector] = STATE(148),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(190),
    [sym__hash_map] = STATE(116),
    [sym_namespace_map] = STATE(116),
    [sym__after_the_fn_name] = STATE(191),
    [sym__single_arity_fn] = STATE(191),
    [sym__multi_arity_fn] = STATE(191),
    [sym_params] = STATE(151),
    [sym_docstring] = STATE(192),
    [sym_attr_map] = STATE(193),
    [aux_sym__multi_arity_fn_repeat1] = STATE(152),
    [anon_sym_DQUOTE] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(237),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(239),
  },
  [154] = {
    [sym_symbol] = STATE(145),
    [sym__symbol] = STATE(146),
    [sym_threading_macro] = STATE(146),
    [sym_qualified_symbol] = STATE(146),
    [sym__qualified_symbol] = STATE(147),
    [sym_function_name] = STATE(194),
    [anon_sym_DASH_GT] = ACTIONS(387),
    [anon_sym_DASH_GT_GT] = ACTIONS(389),
    [anon_sym_as_DASH_GT] = ACTIONS(389),
    [anon_sym_some_DASH_GT] = ACTIONS(387),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(389),
    [anon_sym_cond_DASH_GT] = ACTIONS(387),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(389),
    [sym__symbol_chars] = ACTIONS(391),
  },
  [155] = {
    [sym_metadata_shorthand] = STATE(195),
    [aux_sym_metadata_repeat1] = STATE(195),
    [anon_sym_DASH_GT] = ACTIONS(315),
    [anon_sym_DASH_GT_GT] = ACTIONS(317),
    [anon_sym_as_DASH_GT] = ACTIONS(317),
    [anon_sym_some_DASH_GT] = ACTIONS(315),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(317),
    [anon_sym_cond_DASH_GT] = ACTIONS(315),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(317),
    [sym__symbol_chars] = ACTIONS(315),
    [anon_sym_CARET] = ACTIONS(327),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
  },
  [156] = {
    [ts_builtin_sym_end] = ACTIONS(691),
    [sym_nil] = ACTIONS(693),
    [sym_true] = ACTIONS(693),
    [sym_false] = ACTIONS(693),
    [sym__normal_long] = ACTIONS(693),
    [sym__number_hex] = ACTIONS(693),
    [sym__number_arbitrary_radix] = ACTIONS(693),
    [sym__number_octal] = ACTIONS(693),
    [sym_number_double] = ACTIONS(691),
    [sym_number_bigint] = ACTIONS(693),
    [sym_number_bigdecimal] = ACTIONS(691),
    [sym_number_ratio] = ACTIONS(691),
    [anon_sym_POUND_POUND] = ACTIONS(691),
    [anon_sym_BSLASH] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_POUND_DQUOTE] = ACTIONS(691),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_LPARENquote] = ACTIONS(691),
    [anon_sym_RPAREN] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(693),
    [anon_sym_COLON_COLON] = ACTIONS(691),
    [anon_sym_DASH_GT] = ACTIONS(693),
    [anon_sym_DASH_GT_GT] = ACTIONS(691),
    [anon_sym_as_DASH_GT] = ACTIONS(691),
    [anon_sym_some_DASH_GT] = ACTIONS(693),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(691),
    [anon_sym_cond_DASH_GT] = ACTIONS(693),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(691),
    [sym__symbol_chars] = ACTIONS(693),
    [sym_member_access] = ACTIONS(691),
    [sym_field_access] = ACTIONS(691),
    [sym_new_class] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(693),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_RBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(691),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(691),
    [anon_sym_POUND_LBRACE] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_POUND_BANG] = ACTIONS(691),
    [anon_sym_POUND_] = ACTIONS(691),
    [anon_sym_POUND_LPAREN] = ACTIONS(691),
    [sym_shorthand_function_arg] = ACTIONS(691),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_CARET_COLON] = ACTIONS(691),
    [anon_sym_CARET_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(691),
    [anon_sym_POUND_SQUOTE] = ACTIONS(691),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_TILDE_AT] = ACTIONS(691),
    [sym_gensym] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(691),
    [anon_sym_POUND] = ACTIONS(693),
    [anon_sym_POUND_QMARK] = ACTIONS(693),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(691),
  },
  [157] = {
    [sym__anything] = STATE(157),
    [sym__literals] = STATE(157),
    [sym__collection_literals] = STATE(157),
    [sym_boolean] = STATE(157),
    [sym_number] = STATE(157),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(157),
    [sym_character] = STATE(157),
    [sym__character] = STATE(36),
    [sym_string] = STATE(157),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(157),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(157),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(157),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(157),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(157),
    [sym_list] = STATE(157),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(157),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(157),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(157),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(157),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(157),
    [sym_anonymous_function] = STATE(157),
    [sym_shorthand_function] = STATE(157),
    [sym_defn] = STATE(157),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(157),
    [sym_var_quote] = STATE(157),
    [sym_unquote] = STATE(157),
    [sym_unquote_splice] = STATE(157),
    [sym_deref] = STATE(157),
    [sym_tagged_literal] = STATE(157),
    [sym_reader_conditional] = STATE(157),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(157),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(695),
    [sym_true] = ACTIONS(506),
    [sym_false] = ACTIONS(506),
    [sym__normal_long] = ACTIONS(509),
    [sym__number_hex] = ACTIONS(509),
    [sym__number_arbitrary_radix] = ACTIONS(509),
    [sym__number_octal] = ACTIONS(509),
    [sym_number_double] = ACTIONS(512),
    [sym_number_bigint] = ACTIONS(515),
    [sym_number_bigdecimal] = ACTIONS(512),
    [sym_number_ratio] = ACTIONS(512),
    [anon_sym_POUND_POUND] = ACTIONS(518),
    [anon_sym_BSLASH] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [anon_sym_POUND_DQUOTE] = ACTIONS(527),
    [anon_sym_SQUOTE] = ACTIONS(698),
    [anon_sym_LPARENquote] = ACTIONS(533),
    [anon_sym_RPAREN] = ACTIONS(501),
    [anon_sym_COLON] = ACTIONS(536),
    [anon_sym_COLON_COLON] = ACTIONS(539),
    [anon_sym_DASH_GT] = ACTIONS(542),
    [anon_sym_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_as_DASH_GT] = ACTIONS(545),
    [anon_sym_some_DASH_GT] = ACTIONS(542),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_cond_DASH_GT] = ACTIONS(542),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(545),
    [sym__symbol_chars] = ACTIONS(548),
    [sym_member_access] = ACTIONS(551),
    [sym_field_access] = ACTIONS(551),
    [sym_new_class] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(560),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(563),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(566),
    [anon_sym_POUND_LBRACE] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(572),
    [anon_sym_POUND_BANG] = ACTIONS(575),
    [anon_sym_POUND_] = ACTIONS(701),
    [anon_sym_POUND_LPAREN] = ACTIONS(581),
    [sym_shorthand_function_arg] = ACTIONS(704),
    [anon_sym_CARET] = ACTIONS(587),
    [anon_sym_CARET_COLON] = ACTIONS(590),
    [anon_sym_CARET_DQUOTE] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_POUND_SQUOTE] = ACTIONS(599),
    [anon_sym_TILDE] = ACTIONS(710),
    [anon_sym_TILDE_AT] = ACTIONS(713),
    [sym_gensym] = ACTIONS(704),
    [anon_sym_AT] = ACTIONS(608),
    [anon_sym_POUND] = ACTIONS(611),
    [anon_sym_POUND_QMARK] = ACTIONS(614),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(617),
  },
  [158] = {
    [ts_builtin_sym_end] = ACTIONS(716),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym__normal_long] = ACTIONS(718),
    [sym__number_hex] = ACTIONS(718),
    [sym__number_arbitrary_radix] = ACTIONS(718),
    [sym__number_octal] = ACTIONS(718),
    [sym_number_double] = ACTIONS(716),
    [sym_number_bigint] = ACTIONS(718),
    [sym_number_bigdecimal] = ACTIONS(716),
    [sym_number_ratio] = ACTIONS(716),
    [anon_sym_POUND_POUND] = ACTIONS(716),
    [anon_sym_BSLASH] = ACTIONS(716),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [anon_sym_POUND_DQUOTE] = ACTIONS(716),
    [anon_sym_SQUOTE] = ACTIONS(716),
    [anon_sym_LPARENquote] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(716),
    [anon_sym_COLON] = ACTIONS(718),
    [anon_sym_COLON_COLON] = ACTIONS(716),
    [anon_sym_DASH_GT] = ACTIONS(718),
    [anon_sym_DASH_GT_GT] = ACTIONS(716),
    [anon_sym_as_DASH_GT] = ACTIONS(716),
    [anon_sym_some_DASH_GT] = ACTIONS(718),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(716),
    [anon_sym_cond_DASH_GT] = ACTIONS(718),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(716),
    [sym__symbol_chars] = ACTIONS(718),
    [sym_member_access] = ACTIONS(716),
    [sym_field_access] = ACTIONS(716),
    [sym_new_class] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_RBRACK] = ACTIONS(716),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(716),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(716),
    [anon_sym_POUND_LBRACE] = ACTIONS(716),
    [anon_sym_SEMI] = ACTIONS(716),
    [anon_sym_POUND_BANG] = ACTIONS(716),
    [anon_sym_POUND_] = ACTIONS(716),
    [anon_sym_POUND_LPAREN] = ACTIONS(716),
    [sym_shorthand_function_arg] = ACTIONS(716),
    [anon_sym_CARET] = ACTIONS(718),
    [anon_sym_CARET_COLON] = ACTIONS(716),
    [anon_sym_CARET_DQUOTE] = ACTIONS(716),
    [anon_sym_BQUOTE] = ACTIONS(716),
    [anon_sym_POUND_SQUOTE] = ACTIONS(716),
    [anon_sym_TILDE] = ACTIONS(718),
    [anon_sym_TILDE_AT] = ACTIONS(716),
    [sym_gensym] = ACTIONS(716),
    [anon_sym_AT] = ACTIONS(716),
    [anon_sym_POUND] = ACTIONS(718),
    [anon_sym_POUND_QMARK] = ACTIONS(718),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(716),
  },
  [159] = {
    [sym__anything] = STATE(159),
    [sym__literals] = STATE(159),
    [sym__collection_literals] = STATE(159),
    [sym_boolean] = STATE(159),
    [sym_number] = STATE(159),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(159),
    [sym_character] = STATE(159),
    [sym__character] = STATE(36),
    [sym_string] = STATE(159),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(159),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(159),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(159),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(159),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(159),
    [sym_list] = STATE(159),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(159),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(159),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(159),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(159),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(159),
    [sym_anonymous_function] = STATE(159),
    [sym_shorthand_function] = STATE(159),
    [sym_defn] = STATE(159),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(159),
    [sym_var_quote] = STATE(159),
    [sym_unquote] = STATE(159),
    [sym_unquote_splice] = STATE(159),
    [sym_deref] = STATE(159),
    [sym_tagged_literal] = STATE(159),
    [sym_reader_conditional] = STATE(159),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(159),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(720),
    [sym_true] = ACTIONS(506),
    [sym_false] = ACTIONS(506),
    [sym__normal_long] = ACTIONS(509),
    [sym__number_hex] = ACTIONS(509),
    [sym__number_arbitrary_radix] = ACTIONS(509),
    [sym__number_octal] = ACTIONS(509),
    [sym_number_double] = ACTIONS(512),
    [sym_number_bigint] = ACTIONS(515),
    [sym_number_bigdecimal] = ACTIONS(512),
    [sym_number_ratio] = ACTIONS(512),
    [anon_sym_POUND_POUND] = ACTIONS(518),
    [anon_sym_BSLASH] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [anon_sym_POUND_DQUOTE] = ACTIONS(527),
    [anon_sym_SQUOTE] = ACTIONS(723),
    [anon_sym_LPARENquote] = ACTIONS(533),
    [anon_sym_COLON] = ACTIONS(536),
    [anon_sym_COLON_COLON] = ACTIONS(539),
    [anon_sym_DASH_GT] = ACTIONS(542),
    [anon_sym_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_as_DASH_GT] = ACTIONS(545),
    [anon_sym_some_DASH_GT] = ACTIONS(542),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_cond_DASH_GT] = ACTIONS(542),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(545),
    [sym__symbol_chars] = ACTIONS(548),
    [sym_member_access] = ACTIONS(551),
    [sym_field_access] = ACTIONS(551),
    [sym_new_class] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(560),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(563),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(566),
    [anon_sym_POUND_LBRACE] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(572),
    [anon_sym_POUND_BANG] = ACTIONS(575),
    [anon_sym_POUND_] = ACTIONS(726),
    [anon_sym_POUND_LPAREN] = ACTIONS(581),
    [sym_shorthand_function_arg] = ACTIONS(729),
    [anon_sym_CARET] = ACTIONS(587),
    [anon_sym_CARET_COLON] = ACTIONS(590),
    [anon_sym_CARET_DQUOTE] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(732),
    [anon_sym_POUND_SQUOTE] = ACTIONS(599),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_TILDE_AT] = ACTIONS(738),
    [sym_gensym] = ACTIONS(729),
    [anon_sym_AT] = ACTIONS(608),
    [anon_sym_POUND] = ACTIONS(611),
    [anon_sym_POUND_QMARK] = ACTIONS(614),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(617),
  },
  [160] = {
    [sym_nil] = ACTIONS(741),
    [sym_true] = ACTIONS(741),
    [sym_false] = ACTIONS(741),
    [sym__normal_long] = ACTIONS(741),
    [sym__number_hex] = ACTIONS(741),
    [sym__number_arbitrary_radix] = ACTIONS(741),
    [sym__number_octal] = ACTIONS(741),
    [sym_number_double] = ACTIONS(743),
    [sym_number_bigint] = ACTIONS(741),
    [sym_number_bigdecimal] = ACTIONS(743),
    [sym_number_ratio] = ACTIONS(743),
    [anon_sym_POUND_POUND] = ACTIONS(743),
    [anon_sym_BSLASH] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_POUND_DQUOTE] = ACTIONS(743),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_LPARENquote] = ACTIONS(743),
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_COLON_COLON] = ACTIONS(743),
    [anon_sym_DASH_GT] = ACTIONS(741),
    [anon_sym_DASH_GT_GT] = ACTIONS(743),
    [anon_sym_as_DASH_GT] = ACTIONS(743),
    [anon_sym_some_DASH_GT] = ACTIONS(741),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(743),
    [anon_sym_cond_DASH_GT] = ACTIONS(741),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(743),
    [sym__symbol_chars] = ACTIONS(741),
    [sym_member_access] = ACTIONS(743),
    [sym_field_access] = ACTIONS(743),
    [sym_new_class] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_RBRACE] = ACTIONS(743),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(743),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(743),
    [anon_sym_POUND_LBRACE] = ACTIONS(743),
    [anon_sym_SEMI] = ACTIONS(743),
    [anon_sym_POUND_BANG] = ACTIONS(743),
    [anon_sym_POUND_] = ACTIONS(743),
    [anon_sym_POUND_LPAREN] = ACTIONS(743),
    [sym_shorthand_function_arg] = ACTIONS(743),
    [anon_sym_CARET] = ACTIONS(741),
    [anon_sym_CARET_COLON] = ACTIONS(743),
    [anon_sym_CARET_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(743),
    [anon_sym_POUND_SQUOTE] = ACTIONS(743),
    [anon_sym_TILDE] = ACTIONS(741),
    [anon_sym_TILDE_AT] = ACTIONS(743),
    [sym_gensym] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(743),
    [anon_sym_POUND] = ACTIONS(741),
    [anon_sym_POUND_QMARK] = ACTIONS(741),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(743),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(745),
    [sym_nil] = ACTIONS(747),
    [sym_true] = ACTIONS(747),
    [sym_false] = ACTIONS(747),
    [sym__normal_long] = ACTIONS(747),
    [sym__number_hex] = ACTIONS(747),
    [sym__number_arbitrary_radix] = ACTIONS(747),
    [sym__number_octal] = ACTIONS(747),
    [sym_number_double] = ACTIONS(745),
    [sym_number_bigint] = ACTIONS(747),
    [sym_number_bigdecimal] = ACTIONS(745),
    [sym_number_ratio] = ACTIONS(745),
    [anon_sym_POUND_POUND] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(745),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [anon_sym_POUND_DQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(745),
    [anon_sym_LPARENquote] = ACTIONS(745),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_COLON] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(747),
    [anon_sym_DASH_GT_GT] = ACTIONS(745),
    [anon_sym_as_DASH_GT] = ACTIONS(745),
    [anon_sym_some_DASH_GT] = ACTIONS(747),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(745),
    [anon_sym_cond_DASH_GT] = ACTIONS(747),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(745),
    [sym__symbol_chars] = ACTIONS(747),
    [sym_member_access] = ACTIONS(745),
    [sym_field_access] = ACTIONS(745),
    [sym_new_class] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(745),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(745),
    [anon_sym_POUND_LBRACE] = ACTIONS(745),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_POUND_BANG] = ACTIONS(745),
    [anon_sym_POUND_] = ACTIONS(745),
    [anon_sym_POUND_LPAREN] = ACTIONS(745),
    [sym_shorthand_function_arg] = ACTIONS(745),
    [anon_sym_CARET] = ACTIONS(747),
    [anon_sym_CARET_COLON] = ACTIONS(745),
    [anon_sym_CARET_DQUOTE] = ACTIONS(745),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_POUND_SQUOTE] = ACTIONS(745),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_TILDE_AT] = ACTIONS(745),
    [sym_gensym] = ACTIONS(745),
    [anon_sym_AT] = ACTIONS(745),
    [anon_sym_POUND] = ACTIONS(747),
    [anon_sym_POUND_QMARK] = ACTIONS(747),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(745),
  },
  [162] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(162),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(162),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(749),
    [sym_true] = ACTIONS(752),
    [sym_false] = ACTIONS(752),
    [sym__normal_long] = ACTIONS(755),
    [sym__number_hex] = ACTIONS(755),
    [sym__number_arbitrary_radix] = ACTIONS(755),
    [sym__number_octal] = ACTIONS(755),
    [sym_number_double] = ACTIONS(758),
    [sym_number_bigint] = ACTIONS(761),
    [sym_number_bigdecimal] = ACTIONS(758),
    [sym_number_ratio] = ACTIONS(758),
    [anon_sym_POUND_POUND] = ACTIONS(764),
    [anon_sym_BSLASH] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(770),
    [anon_sym_POUND_DQUOTE] = ACTIONS(773),
    [anon_sym_SQUOTE] = ACTIONS(776),
    [anon_sym_LPARENquote] = ACTIONS(779),
    [anon_sym_COLON] = ACTIONS(782),
    [anon_sym_COLON_COLON] = ACTIONS(785),
    [anon_sym_DASH_GT] = ACTIONS(788),
    [anon_sym_DASH_GT_GT] = ACTIONS(791),
    [anon_sym_as_DASH_GT] = ACTIONS(791),
    [anon_sym_some_DASH_GT] = ACTIONS(788),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(791),
    [anon_sym_cond_DASH_GT] = ACTIONS(788),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(791),
    [sym__symbol_chars] = ACTIONS(794),
    [sym_member_access] = ACTIONS(797),
    [sym_field_access] = ACTIONS(797),
    [sym_new_class] = ACTIONS(797),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_LBRACK] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(806),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(811),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(814),
    [anon_sym_POUND_LBRACE] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(820),
    [anon_sym_POUND_BANG] = ACTIONS(823),
    [anon_sym_POUND_] = ACTIONS(826),
    [anon_sym_POUND_LPAREN] = ACTIONS(829),
    [sym_shorthand_function_arg] = ACTIONS(832),
    [anon_sym_CARET] = ACTIONS(835),
    [anon_sym_CARET_COLON] = ACTIONS(838),
    [anon_sym_CARET_DQUOTE] = ACTIONS(841),
    [anon_sym_BQUOTE] = ACTIONS(844),
    [anon_sym_POUND_SQUOTE] = ACTIONS(847),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_TILDE_AT] = ACTIONS(853),
    [sym_gensym] = ACTIONS(832),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_POUND] = ACTIONS(859),
    [anon_sym_POUND_QMARK] = ACTIONS(862),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(865),
  },
  [163] = {
    [ts_builtin_sym_end] = ACTIONS(868),
    [sym_nil] = ACTIONS(870),
    [sym_true] = ACTIONS(870),
    [sym_false] = ACTIONS(870),
    [sym__normal_long] = ACTIONS(870),
    [sym__number_hex] = ACTIONS(870),
    [sym__number_arbitrary_radix] = ACTIONS(870),
    [sym__number_octal] = ACTIONS(870),
    [sym_number_double] = ACTIONS(868),
    [sym_number_bigint] = ACTIONS(870),
    [sym_number_bigdecimal] = ACTIONS(868),
    [sym_number_ratio] = ACTIONS(868),
    [anon_sym_POUND_POUND] = ACTIONS(868),
    [anon_sym_BSLASH] = ACTIONS(868),
    [anon_sym_DQUOTE] = ACTIONS(868),
    [anon_sym_POUND_DQUOTE] = ACTIONS(868),
    [anon_sym_SQUOTE] = ACTIONS(868),
    [anon_sym_LPARENquote] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(868),
    [anon_sym_COLON] = ACTIONS(870),
    [anon_sym_COLON_COLON] = ACTIONS(868),
    [anon_sym_DASH_GT] = ACTIONS(870),
    [anon_sym_DASH_GT_GT] = ACTIONS(868),
    [anon_sym_as_DASH_GT] = ACTIONS(868),
    [anon_sym_some_DASH_GT] = ACTIONS(870),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(868),
    [anon_sym_cond_DASH_GT] = ACTIONS(870),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(868),
    [sym__symbol_chars] = ACTIONS(870),
    [sym_member_access] = ACTIONS(868),
    [sym_field_access] = ACTIONS(868),
    [sym_new_class] = ACTIONS(868),
    [anon_sym_LPAREN] = ACTIONS(870),
    [anon_sym_LBRACK] = ACTIONS(868),
    [anon_sym_RBRACK] = ACTIONS(868),
    [anon_sym_LBRACE] = ACTIONS(868),
    [anon_sym_RBRACE] = ACTIONS(868),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(868),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(868),
    [anon_sym_POUND_LBRACE] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_POUND_BANG] = ACTIONS(868),
    [anon_sym_POUND_] = ACTIONS(868),
    [anon_sym_POUND_LPAREN] = ACTIONS(868),
    [sym_shorthand_function_arg] = ACTIONS(868),
    [anon_sym_CARET] = ACTIONS(870),
    [anon_sym_CARET_COLON] = ACTIONS(868),
    [anon_sym_CARET_DQUOTE] = ACTIONS(868),
    [anon_sym_BQUOTE] = ACTIONS(868),
    [anon_sym_POUND_SQUOTE] = ACTIONS(868),
    [anon_sym_TILDE] = ACTIONS(870),
    [anon_sym_TILDE_AT] = ACTIONS(868),
    [sym_gensym] = ACTIONS(868),
    [anon_sym_AT] = ACTIONS(868),
    [anon_sym_POUND] = ACTIONS(870),
    [anon_sym_POUND_QMARK] = ACTIONS(870),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(868),
  },
  [164] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(162),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(162),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(872),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [165] = {
    [ts_builtin_sym_end] = ACTIONS(874),
    [sym_nil] = ACTIONS(876),
    [sym_true] = ACTIONS(876),
    [sym_false] = ACTIONS(876),
    [sym__normal_long] = ACTIONS(876),
    [sym__number_hex] = ACTIONS(876),
    [sym__number_arbitrary_radix] = ACTIONS(876),
    [sym__number_octal] = ACTIONS(876),
    [sym_number_double] = ACTIONS(874),
    [sym_number_bigint] = ACTIONS(876),
    [sym_number_bigdecimal] = ACTIONS(874),
    [sym_number_ratio] = ACTIONS(874),
    [anon_sym_POUND_POUND] = ACTIONS(874),
    [anon_sym_BSLASH] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_POUND_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [anon_sym_LPARENquote] = ACTIONS(874),
    [anon_sym_RPAREN] = ACTIONS(874),
    [anon_sym_COLON] = ACTIONS(876),
    [anon_sym_COLON_COLON] = ACTIONS(874),
    [anon_sym_DASH_GT] = ACTIONS(876),
    [anon_sym_DASH_GT_GT] = ACTIONS(874),
    [anon_sym_as_DASH_GT] = ACTIONS(874),
    [anon_sym_some_DASH_GT] = ACTIONS(876),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(874),
    [anon_sym_cond_DASH_GT] = ACTIONS(876),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(874),
    [sym__symbol_chars] = ACTIONS(876),
    [sym_member_access] = ACTIONS(874),
    [sym_field_access] = ACTIONS(874),
    [sym_new_class] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_RBRACK] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(874),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(874),
    [anon_sym_POUND_LBRACE] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_POUND_BANG] = ACTIONS(874),
    [anon_sym_POUND_] = ACTIONS(874),
    [anon_sym_POUND_LPAREN] = ACTIONS(874),
    [sym_shorthand_function_arg] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(876),
    [anon_sym_CARET_COLON] = ACTIONS(874),
    [anon_sym_CARET_DQUOTE] = ACTIONS(874),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [anon_sym_POUND_SQUOTE] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_TILDE_AT] = ACTIONS(874),
    [sym_gensym] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_POUND] = ACTIONS(876),
    [anon_sym_POUND_QMARK] = ACTIONS(876),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(874),
  },
  [166] = {
    [sym__anything] = STATE(166),
    [sym__literals] = STATE(166),
    [sym__collection_literals] = STATE(166),
    [sym_boolean] = STATE(166),
    [sym_number] = STATE(166),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(166),
    [sym_character] = STATE(166),
    [sym__character] = STATE(36),
    [sym_string] = STATE(166),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(166),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(166),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(166),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(166),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(166),
    [sym_list] = STATE(166),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(166),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(166),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(166),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(166),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(166),
    [sym_anonymous_function] = STATE(166),
    [sym_shorthand_function] = STATE(166),
    [sym_defn] = STATE(166),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(166),
    [sym_var_quote] = STATE(166),
    [sym_unquote] = STATE(166),
    [sym_unquote_splice] = STATE(166),
    [sym_deref] = STATE(166),
    [sym_tagged_literal] = STATE(166),
    [sym_reader_conditional] = STATE(166),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(166),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(878),
    [sym_true] = ACTIONS(506),
    [sym_false] = ACTIONS(506),
    [sym__normal_long] = ACTIONS(509),
    [sym__number_hex] = ACTIONS(509),
    [sym__number_arbitrary_radix] = ACTIONS(509),
    [sym__number_octal] = ACTIONS(509),
    [sym_number_double] = ACTIONS(512),
    [sym_number_bigint] = ACTIONS(515),
    [sym_number_bigdecimal] = ACTIONS(512),
    [sym_number_ratio] = ACTIONS(512),
    [anon_sym_POUND_POUND] = ACTIONS(518),
    [anon_sym_BSLASH] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [anon_sym_POUND_DQUOTE] = ACTIONS(527),
    [anon_sym_SQUOTE] = ACTIONS(881),
    [anon_sym_LPARENquote] = ACTIONS(533),
    [anon_sym_COLON] = ACTIONS(536),
    [anon_sym_COLON_COLON] = ACTIONS(539),
    [anon_sym_DASH_GT] = ACTIONS(542),
    [anon_sym_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_as_DASH_GT] = ACTIONS(545),
    [anon_sym_some_DASH_GT] = ACTIONS(542),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_cond_DASH_GT] = ACTIONS(542),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(545),
    [sym__symbol_chars] = ACTIONS(548),
    [sym_member_access] = ACTIONS(551),
    [sym_field_access] = ACTIONS(551),
    [sym_new_class] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACE] = ACTIONS(560),
    [anon_sym_RBRACE] = ACTIONS(501),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(563),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(566),
    [anon_sym_POUND_LBRACE] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(572),
    [anon_sym_POUND_BANG] = ACTIONS(575),
    [anon_sym_POUND_] = ACTIONS(884),
    [anon_sym_POUND_LPAREN] = ACTIONS(581),
    [sym_shorthand_function_arg] = ACTIONS(887),
    [anon_sym_CARET] = ACTIONS(587),
    [anon_sym_CARET_COLON] = ACTIONS(590),
    [anon_sym_CARET_DQUOTE] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(890),
    [anon_sym_POUND_SQUOTE] = ACTIONS(599),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_TILDE_AT] = ACTIONS(896),
    [sym_gensym] = ACTIONS(887),
    [anon_sym_AT] = ACTIONS(608),
    [anon_sym_POUND] = ACTIONS(611),
    [anon_sym_POUND_QMARK] = ACTIONS(614),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(617),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(899),
    [sym_nil] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym__normal_long] = ACTIONS(901),
    [sym__number_hex] = ACTIONS(901),
    [sym__number_arbitrary_radix] = ACTIONS(901),
    [sym__number_octal] = ACTIONS(901),
    [sym_number_double] = ACTIONS(899),
    [sym_number_bigint] = ACTIONS(901),
    [sym_number_bigdecimal] = ACTIONS(899),
    [sym_number_ratio] = ACTIONS(899),
    [anon_sym_POUND_POUND] = ACTIONS(899),
    [anon_sym_BSLASH] = ACTIONS(899),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [anon_sym_POUND_DQUOTE] = ACTIONS(899),
    [anon_sym_SQUOTE] = ACTIONS(899),
    [anon_sym_LPARENquote] = ACTIONS(899),
    [anon_sym_RPAREN] = ACTIONS(899),
    [anon_sym_COLON] = ACTIONS(901),
    [anon_sym_COLON_COLON] = ACTIONS(899),
    [anon_sym_DASH_GT] = ACTIONS(901),
    [anon_sym_DASH_GT_GT] = ACTIONS(899),
    [anon_sym_as_DASH_GT] = ACTIONS(899),
    [anon_sym_some_DASH_GT] = ACTIONS(901),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(899),
    [anon_sym_cond_DASH_GT] = ACTIONS(901),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(899),
    [sym__symbol_chars] = ACTIONS(901),
    [sym_member_access] = ACTIONS(899),
    [sym_field_access] = ACTIONS(899),
    [sym_new_class] = ACTIONS(899),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_RBRACK] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(899),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(899),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(899),
    [anon_sym_POUND_LBRACE] = ACTIONS(899),
    [anon_sym_SEMI] = ACTIONS(899),
    [anon_sym_POUND_BANG] = ACTIONS(899),
    [anon_sym_POUND_] = ACTIONS(899),
    [anon_sym_POUND_LPAREN] = ACTIONS(899),
    [sym_shorthand_function_arg] = ACTIONS(899),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_CARET_COLON] = ACTIONS(899),
    [anon_sym_CARET_DQUOTE] = ACTIONS(899),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_POUND_SQUOTE] = ACTIONS(899),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_TILDE_AT] = ACTIONS(899),
    [sym_gensym] = ACTIONS(899),
    [anon_sym_AT] = ACTIONS(899),
    [anon_sym_POUND] = ACTIONS(901),
    [anon_sym_POUND_QMARK] = ACTIONS(901),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(899),
  },
  [168] = {
    [anon_sym_DASH_GT] = ACTIONS(413),
    [anon_sym_DASH_GT_GT] = ACTIONS(411),
    [anon_sym_as_DASH_GT] = ACTIONS(411),
    [anon_sym_some_DASH_GT] = ACTIONS(413),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(411),
    [anon_sym_cond_DASH_GT] = ACTIONS(413),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(411),
    [sym__symbol_chars] = ACTIONS(413),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(411),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(411),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(411),
    [anon_sym_POUND_LBRACE] = ACTIONS(411),
  },
  [169] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(162),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(162),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [170] = {
    [anon_sym_DASH_GT] = ACTIONS(423),
    [anon_sym_DASH_GT_GT] = ACTIONS(421),
    [anon_sym_as_DASH_GT] = ACTIONS(421),
    [anon_sym_some_DASH_GT] = ACTIONS(423),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(421),
    [anon_sym_cond_DASH_GT] = ACTIONS(423),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(421),
    [sym__symbol_chars] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(421),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(421),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(421),
    [anon_sym_POUND_LBRACE] = ACTIONS(421),
  },
  [171] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(162),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(162),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(905),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [172] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(199),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(199),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(905),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [173] = {
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_DASH_GT_GT] = ACTIONS(909),
    [anon_sym_as_DASH_GT] = ACTIONS(909),
    [anon_sym_some_DASH_GT] = ACTIONS(907),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(909),
    [anon_sym_cond_DASH_GT] = ACTIONS(907),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(909),
    [sym__symbol_chars] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(909),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(909),
    [anon_sym_POUND_LBRACE] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(907),
    [anon_sym_CARET_COLON] = ACTIONS(909),
    [anon_sym_CARET_DQUOTE] = ACTIONS(909),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(911),
    [sym_nil] = ACTIONS(913),
    [sym_true] = ACTIONS(913),
    [sym_false] = ACTIONS(913),
    [sym__normal_long] = ACTIONS(913),
    [sym__number_hex] = ACTIONS(913),
    [sym__number_arbitrary_radix] = ACTIONS(913),
    [sym__number_octal] = ACTIONS(913),
    [sym_number_double] = ACTIONS(911),
    [sym_number_bigint] = ACTIONS(913),
    [sym_number_bigdecimal] = ACTIONS(911),
    [sym_number_ratio] = ACTIONS(911),
    [anon_sym_POUND_POUND] = ACTIONS(911),
    [anon_sym_BSLASH] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_POUND_DQUOTE] = ACTIONS(911),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_LPARENquote] = ACTIONS(911),
    [anon_sym_RPAREN] = ACTIONS(911),
    [anon_sym_COLON] = ACTIONS(913),
    [anon_sym_COLON_COLON] = ACTIONS(911),
    [anon_sym_DASH_GT] = ACTIONS(913),
    [anon_sym_DASH_GT_GT] = ACTIONS(911),
    [anon_sym_as_DASH_GT] = ACTIONS(911),
    [anon_sym_some_DASH_GT] = ACTIONS(913),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(911),
    [anon_sym_cond_DASH_GT] = ACTIONS(913),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(911),
    [sym__symbol_chars] = ACTIONS(913),
    [sym_member_access] = ACTIONS(911),
    [sym_field_access] = ACTIONS(911),
    [sym_new_class] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_RBRACK] = ACTIONS(911),
    [anon_sym_LBRACE] = ACTIONS(911),
    [anon_sym_RBRACE] = ACTIONS(911),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(911),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(911),
    [anon_sym_POUND_LBRACE] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(911),
    [anon_sym_POUND_BANG] = ACTIONS(911),
    [anon_sym_POUND_] = ACTIONS(911),
    [anon_sym_POUND_LPAREN] = ACTIONS(911),
    [sym_shorthand_function_arg] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(913),
    [anon_sym_CARET_COLON] = ACTIONS(911),
    [anon_sym_CARET_DQUOTE] = ACTIONS(911),
    [anon_sym_BQUOTE] = ACTIONS(911),
    [anon_sym_POUND_SQUOTE] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_TILDE_AT] = ACTIONS(911),
    [sym_gensym] = ACTIONS(911),
    [anon_sym_AT] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [anon_sym_POUND_QMARK] = ACTIONS(913),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(911),
  },
  [175] = {
    [sym__anything] = STATE(205),
    [sym__literals] = STATE(205),
    [sym__collection_literals] = STATE(205),
    [sym_boolean] = STATE(205),
    [sym_number] = STATE(205),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(205),
    [sym_character] = STATE(205),
    [sym__character] = STATE(36),
    [sym_string] = STATE(205),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(205),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(205),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(205),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(205),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(205),
    [sym_list] = STATE(205),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(205),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(205),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(205),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(205),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(205),
    [sym_anonymous_function] = STATE(205),
    [sym_shorthand_function] = STATE(205),
    [sym_defn] = STATE(205),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(205),
    [sym_var_quote] = STATE(205),
    [sym_unquote] = STATE(205),
    [sym_unquote_splice] = STATE(205),
    [sym_deref] = STATE(205),
    [sym_tagged_literal] = STATE(205),
    [sym_reader_conditional] = STATE(205),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(915),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(919),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(923),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_TILDE_AT] = ACTIONS(927),
    [sym_gensym] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [176] = {
    [sym_keyword] = STATE(175),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [aux_sym_reader_conditional_repeat1] = STATE(207),
    [anon_sym_RPAREN] = ACTIONS(929),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
  },
  [177] = {
    [sym__hex_char] = ACTIONS(931),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(933),
    [sym_nil] = ACTIONS(935),
    [sym_true] = ACTIONS(935),
    [sym_false] = ACTIONS(935),
    [sym__normal_long] = ACTIONS(935),
    [sym__number_hex] = ACTIONS(935),
    [sym__number_arbitrary_radix] = ACTIONS(935),
    [sym__number_octal] = ACTIONS(935),
    [sym_number_double] = ACTIONS(933),
    [sym_number_bigint] = ACTIONS(935),
    [sym_number_bigdecimal] = ACTIONS(933),
    [sym_number_ratio] = ACTIONS(933),
    [anon_sym_POUND_POUND] = ACTIONS(933),
    [anon_sym_BSLASH] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(933),
    [anon_sym_POUND_DQUOTE] = ACTIONS(933),
    [anon_sym_SQUOTE] = ACTIONS(933),
    [anon_sym_LPARENquote] = ACTIONS(933),
    [anon_sym_RPAREN] = ACTIONS(933),
    [anon_sym_COLON] = ACTIONS(935),
    [anon_sym_COLON_COLON] = ACTIONS(933),
    [anon_sym_DASH_GT] = ACTIONS(935),
    [anon_sym_DASH_GT_GT] = ACTIONS(933),
    [anon_sym_as_DASH_GT] = ACTIONS(933),
    [anon_sym_some_DASH_GT] = ACTIONS(935),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(933),
    [anon_sym_cond_DASH_GT] = ACTIONS(935),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(933),
    [sym__symbol_chars] = ACTIONS(935),
    [sym_member_access] = ACTIONS(933),
    [sym_field_access] = ACTIONS(933),
    [sym_new_class] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(933),
    [anon_sym_RBRACK] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_RBRACE] = ACTIONS(933),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(933),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(933),
    [anon_sym_POUND_LBRACE] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(933),
    [anon_sym_POUND_BANG] = ACTIONS(933),
    [anon_sym_POUND_] = ACTIONS(933),
    [anon_sym_POUND_LPAREN] = ACTIONS(933),
    [sym_shorthand_function_arg] = ACTIONS(933),
    [anon_sym_CARET] = ACTIONS(935),
    [anon_sym_CARET_COLON] = ACTIONS(933),
    [anon_sym_CARET_DQUOTE] = ACTIONS(933),
    [anon_sym_BQUOTE] = ACTIONS(933),
    [anon_sym_POUND_SQUOTE] = ACTIONS(933),
    [anon_sym_TILDE] = ACTIONS(935),
    [anon_sym_TILDE_AT] = ACTIONS(933),
    [sym_gensym] = ACTIONS(933),
    [anon_sym_AT] = ACTIONS(933),
    [anon_sym_POUND] = ACTIONS(935),
    [anon_sym_POUND_QMARK] = ACTIONS(935),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(933),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(937),
    [sym_nil] = ACTIONS(939),
    [sym_true] = ACTIONS(939),
    [sym_false] = ACTIONS(939),
    [sym__normal_long] = ACTIONS(939),
    [sym__number_hex] = ACTIONS(939),
    [sym__number_arbitrary_radix] = ACTIONS(939),
    [sym__number_octal] = ACTIONS(939),
    [sym_number_double] = ACTIONS(937),
    [sym_number_bigint] = ACTIONS(939),
    [sym_number_bigdecimal] = ACTIONS(937),
    [sym_number_ratio] = ACTIONS(937),
    [anon_sym_POUND_POUND] = ACTIONS(937),
    [anon_sym_BSLASH] = ACTIONS(937),
    [anon_sym_DQUOTE] = ACTIONS(937),
    [anon_sym_POUND_DQUOTE] = ACTIONS(937),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_LPARENquote] = ACTIONS(937),
    [anon_sym_RPAREN] = ACTIONS(937),
    [anon_sym_COLON] = ACTIONS(939),
    [anon_sym_COLON_COLON] = ACTIONS(937),
    [anon_sym_DASH_GT] = ACTIONS(939),
    [anon_sym_DASH_GT_GT] = ACTIONS(937),
    [anon_sym_as_DASH_GT] = ACTIONS(937),
    [anon_sym_some_DASH_GT] = ACTIONS(939),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(937),
    [anon_sym_cond_DASH_GT] = ACTIONS(939),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(937),
    [sym__symbol_chars] = ACTIONS(939),
    [sym_member_access] = ACTIONS(937),
    [sym_field_access] = ACTIONS(937),
    [sym_new_class] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_RBRACK] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_RBRACE] = ACTIONS(937),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(937),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(937),
    [anon_sym_POUND_LBRACE] = ACTIONS(937),
    [anon_sym_SEMI] = ACTIONS(937),
    [anon_sym_POUND_BANG] = ACTIONS(937),
    [anon_sym_POUND_] = ACTIONS(937),
    [anon_sym_POUND_LPAREN] = ACTIONS(937),
    [sym_shorthand_function_arg] = ACTIONS(937),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_CARET_COLON] = ACTIONS(937),
    [anon_sym_CARET_DQUOTE] = ACTIONS(937),
    [anon_sym_BQUOTE] = ACTIONS(937),
    [anon_sym_POUND_SQUOTE] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(939),
    [anon_sym_TILDE_AT] = ACTIONS(937),
    [sym_gensym] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(937),
    [anon_sym_POUND] = ACTIONS(939),
    [anon_sym_POUND_QMARK] = ACTIONS(939),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(937),
  },
  [180] = {
    [sym__symbol_chars] = ACTIONS(941),
  },
  [181] = {
    [anon_sym_RPAREN] = ACTIONS(943),
  },
  [182] = {
    [ts_builtin_sym_end] = ACTIONS(945),
    [sym_nil] = ACTIONS(947),
    [sym_true] = ACTIONS(947),
    [sym_false] = ACTIONS(947),
    [sym__normal_long] = ACTIONS(947),
    [sym__number_hex] = ACTIONS(947),
    [sym__number_arbitrary_radix] = ACTIONS(947),
    [sym__number_octal] = ACTIONS(947),
    [sym_number_double] = ACTIONS(945),
    [sym_number_bigint] = ACTIONS(947),
    [sym_number_bigdecimal] = ACTIONS(945),
    [sym_number_ratio] = ACTIONS(945),
    [anon_sym_POUND_POUND] = ACTIONS(945),
    [anon_sym_BSLASH] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(945),
    [anon_sym_POUND_DQUOTE] = ACTIONS(945),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_LPARENquote] = ACTIONS(945),
    [anon_sym_RPAREN] = ACTIONS(945),
    [anon_sym_COLON] = ACTIONS(947),
    [anon_sym_COLON_COLON] = ACTIONS(945),
    [anon_sym_DASH_GT] = ACTIONS(947),
    [anon_sym_DASH_GT_GT] = ACTIONS(945),
    [anon_sym_as_DASH_GT] = ACTIONS(945),
    [anon_sym_some_DASH_GT] = ACTIONS(947),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(945),
    [anon_sym_cond_DASH_GT] = ACTIONS(947),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(945),
    [sym__symbol_chars] = ACTIONS(947),
    [sym_member_access] = ACTIONS(945),
    [sym_field_access] = ACTIONS(945),
    [sym_new_class] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(945),
    [anon_sym_RBRACK] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_RBRACE] = ACTIONS(945),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(945),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(945),
    [anon_sym_POUND_LBRACE] = ACTIONS(945),
    [anon_sym_SEMI] = ACTIONS(945),
    [anon_sym_POUND_BANG] = ACTIONS(945),
    [anon_sym_POUND_] = ACTIONS(945),
    [anon_sym_POUND_LPAREN] = ACTIONS(945),
    [sym_shorthand_function_arg] = ACTIONS(945),
    [anon_sym_CARET] = ACTIONS(947),
    [anon_sym_CARET_COLON] = ACTIONS(945),
    [anon_sym_CARET_DQUOTE] = ACTIONS(945),
    [anon_sym_BQUOTE] = ACTIONS(945),
    [anon_sym_POUND_SQUOTE] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(947),
    [anon_sym_TILDE_AT] = ACTIONS(945),
    [sym_gensym] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(945),
    [anon_sym_POUND] = ACTIONS(947),
    [anon_sym_POUND_QMARK] = ACTIONS(947),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(945),
  },
  [183] = {
    [anon_sym_RPAREN] = ACTIONS(949),
  },
  [184] = {
    [anon_sym_RPAREN] = ACTIONS(951),
  },
  [185] = {
    [sym__anything] = STATE(157),
    [sym__literals] = STATE(157),
    [sym__collection_literals] = STATE(157),
    [sym_boolean] = STATE(157),
    [sym_number] = STATE(157),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(157),
    [sym_character] = STATE(157),
    [sym__character] = STATE(36),
    [sym_string] = STATE(157),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(157),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(157),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(157),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(157),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(157),
    [sym_list] = STATE(157),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(157),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(157),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(157),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(157),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(157),
    [sym_anonymous_function] = STATE(157),
    [sym_shorthand_function] = STATE(157),
    [sym_defn] = STATE(157),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(157),
    [sym_var_quote] = STATE(157),
    [sym_unquote] = STATE(157),
    [sym_unquote_splice] = STATE(157),
    [sym_deref] = STATE(157),
    [sym_tagged_literal] = STATE(157),
    [sym_reader_conditional] = STATE(157),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_program_repeat1] = STATE(157),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(395),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(953),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(151),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(399),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_TILDE_AT] = ACTIONS(165),
    [sym_gensym] = ACTIONS(399),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [186] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(186),
    [anon_sym_RPAREN] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(957),
  },
  [187] = {
    [aux_sym__string_repeat1] = STATE(213),
    [anon_sym_DQUOTE] = ACTIONS(960),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(962),
    [aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH] = ACTIONS(962),
  },
  [188] = {
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_LBRACK] = ACTIONS(964),
    [anon_sym_LBRACE] = ACTIONS(964),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(964),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(964),
  },
  [189] = {
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(271),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(271),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(271),
  },
  [190] = {
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_LBRACK] = ACTIONS(966),
  },
  [191] = {
    [anon_sym_RPAREN] = ACTIONS(968),
  },
  [192] = {
    [sym_vector] = STATE(148),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(190),
    [sym__hash_map] = STATE(116),
    [sym_namespace_map] = STATE(116),
    [sym__after_the_fn_name] = STATE(215),
    [sym__single_arity_fn] = STATE(215),
    [sym__multi_arity_fn] = STATE(215),
    [sym_params] = STATE(151),
    [sym_attr_map] = STATE(216),
    [aux_sym__multi_arity_fn_repeat1] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(237),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(239),
  },
  [193] = {
    [sym_vector] = STATE(148),
    [sym__vector] = STATE(44),
    [sym__after_the_fn_name] = STATE(215),
    [sym__single_arity_fn] = STATE(215),
    [sym__multi_arity_fn] = STATE(215),
    [sym_params] = STATE(151),
    [aux_sym__multi_arity_fn_repeat1] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_LBRACK] = ACTIONS(43),
  },
  [194] = {
    [sym_string] = STATE(188),
    [sym__string] = STATE(189),
    [sym_vector] = STATE(148),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(190),
    [sym__hash_map] = STATE(116),
    [sym_namespace_map] = STATE(116),
    [sym__after_the_fn_name] = STATE(215),
    [sym__single_arity_fn] = STATE(215),
    [sym__multi_arity_fn] = STATE(215),
    [sym_params] = STATE(151),
    [sym_docstring] = STATE(217),
    [sym_attr_map] = STATE(216),
    [aux_sym__multi_arity_fn_repeat1] = STATE(152),
    [anon_sym_DQUOTE] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(237),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(239),
  },
  [195] = {
    [sym_metadata_shorthand] = STATE(195),
    [aux_sym_metadata_repeat1] = STATE(195),
    [anon_sym_DASH_GT] = ACTIONS(970),
    [anon_sym_DASH_GT_GT] = ACTIONS(620),
    [anon_sym_as_DASH_GT] = ACTIONS(620),
    [anon_sym_some_DASH_GT] = ACTIONS(970),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(620),
    [anon_sym_cond_DASH_GT] = ACTIONS(970),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(620),
    [sym__symbol_chars] = ACTIONS(970),
    [anon_sym_CARET] = ACTIONS(622),
    [anon_sym_CARET_COLON] = ACTIONS(625),
    [anon_sym_CARET_DQUOTE] = ACTIONS(628),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(972),
    [sym_nil] = ACTIONS(974),
    [sym_true] = ACTIONS(974),
    [sym_false] = ACTIONS(974),
    [sym__normal_long] = ACTIONS(974),
    [sym__number_hex] = ACTIONS(974),
    [sym__number_arbitrary_radix] = ACTIONS(974),
    [sym__number_octal] = ACTIONS(974),
    [sym_number_double] = ACTIONS(972),
    [sym_number_bigint] = ACTIONS(974),
    [sym_number_bigdecimal] = ACTIONS(972),
    [sym_number_ratio] = ACTIONS(972),
    [anon_sym_POUND_POUND] = ACTIONS(972),
    [anon_sym_BSLASH] = ACTIONS(972),
    [anon_sym_DQUOTE] = ACTIONS(972),
    [anon_sym_POUND_DQUOTE] = ACTIONS(972),
    [anon_sym_SQUOTE] = ACTIONS(972),
    [anon_sym_LPARENquote] = ACTIONS(972),
    [anon_sym_RPAREN] = ACTIONS(972),
    [anon_sym_COLON] = ACTIONS(974),
    [anon_sym_COLON_COLON] = ACTIONS(972),
    [anon_sym_DASH_GT] = ACTIONS(974),
    [anon_sym_DASH_GT_GT] = ACTIONS(972),
    [anon_sym_as_DASH_GT] = ACTIONS(972),
    [anon_sym_some_DASH_GT] = ACTIONS(974),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(972),
    [anon_sym_cond_DASH_GT] = ACTIONS(974),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(972),
    [sym__symbol_chars] = ACTIONS(974),
    [sym_member_access] = ACTIONS(972),
    [sym_field_access] = ACTIONS(972),
    [sym_new_class] = ACTIONS(972),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(972),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(972),
    [anon_sym_POUND_LBRACE] = ACTIONS(972),
    [anon_sym_SEMI] = ACTIONS(972),
    [anon_sym_POUND_BANG] = ACTIONS(972),
    [anon_sym_POUND_] = ACTIONS(972),
    [anon_sym_POUND_LPAREN] = ACTIONS(972),
    [sym_shorthand_function_arg] = ACTIONS(972),
    [anon_sym_CARET] = ACTIONS(974),
    [anon_sym_CARET_COLON] = ACTIONS(972),
    [anon_sym_CARET_DQUOTE] = ACTIONS(972),
    [anon_sym_BQUOTE] = ACTIONS(972),
    [anon_sym_POUND_SQUOTE] = ACTIONS(972),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_TILDE_AT] = ACTIONS(972),
    [sym_gensym] = ACTIONS(972),
    [anon_sym_AT] = ACTIONS(972),
    [anon_sym_POUND] = ACTIONS(974),
    [anon_sym_POUND_QMARK] = ACTIONS(974),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(972),
  },
  [197] = {
    [anon_sym_DASH_GT] = ACTIONS(747),
    [anon_sym_DASH_GT_GT] = ACTIONS(745),
    [anon_sym_as_DASH_GT] = ACTIONS(745),
    [anon_sym_some_DASH_GT] = ACTIONS(747),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(745),
    [anon_sym_cond_DASH_GT] = ACTIONS(747),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(745),
    [sym__symbol_chars] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(745),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(745),
    [anon_sym_POUND_LBRACE] = ACTIONS(745),
  },
  [198] = {
    [anon_sym_DASH_GT] = ACTIONS(870),
    [anon_sym_DASH_GT_GT] = ACTIONS(868),
    [anon_sym_as_DASH_GT] = ACTIONS(868),
    [anon_sym_some_DASH_GT] = ACTIONS(870),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(868),
    [anon_sym_cond_DASH_GT] = ACTIONS(870),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(868),
    [sym__symbol_chars] = ACTIONS(870),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(868),
    [anon_sym_LBRACE] = ACTIONS(868),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(868),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(868),
    [anon_sym_POUND_LBRACE] = ACTIONS(868),
  },
  [199] = {
    [sym__anything] = STATE(94),
    [sym__literals] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(94),
    [sym_character] = STATE(94),
    [sym__character] = STATE(36),
    [sym_string] = STATE(94),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(94),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(94),
    [sym_list] = STATE(94),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(94),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(162),
    [sym__hash_map_key] = STATE(94),
    [sym_set] = STATE(94),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(94),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym_defn] = STATE(94),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_unquote] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_deref] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym__hash_map_repeat1] = STATE(162),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(976),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(193),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_TILDE_AT] = ACTIONS(197),
    [sym_gensym] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [200] = {
    [sym__anything] = STATE(61),
    [sym__literals] = STATE(61),
    [sym__collection_literals] = STATE(61),
    [sym_boolean] = STATE(61),
    [sym_number] = STATE(61),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(61),
    [sym_character] = STATE(61),
    [sym__character] = STATE(36),
    [sym_string] = STATE(61),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(61),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(61),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(61),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(61),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(61),
    [sym_list] = STATE(61),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(61),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(61),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(61),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(61),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(61),
    [sym_anonymous_function] = STATE(61),
    [sym_shorthand_function] = STATE(61),
    [sym_defn] = STATE(61),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(61),
    [sym_var_quote] = STATE(61),
    [sym_unquote] = STATE(61),
    [sym_unquote_splice] = STATE(61),
    [sym_deref] = STATE(61),
    [sym_tagged_literal] = STATE(61),
    [sym_reader_conditional] = STATE(61),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(109),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(919),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(923),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_TILDE_AT] = ACTIONS(927),
    [sym_gensym] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [201] = {
    [sym__anything] = STATE(108),
    [sym__literals] = STATE(108),
    [sym__collection_literals] = STATE(108),
    [sym_boolean] = STATE(108),
    [sym_number] = STATE(108),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(108),
    [sym_character] = STATE(108),
    [sym__character] = STATE(36),
    [sym_string] = STATE(108),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(108),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(108),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(108),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(108),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(108),
    [sym_list] = STATE(108),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(108),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(108),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(108),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(108),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(108),
    [sym_anonymous_function] = STATE(108),
    [sym_shorthand_function] = STATE(108),
    [sym_defn] = STATE(108),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(108),
    [sym_var_quote] = STATE(108),
    [sym_unquote] = STATE(108),
    [sym_unquote_splice] = STATE(108),
    [sym_deref] = STATE(108),
    [sym_tagged_literal] = STATE(108),
    [sym_reader_conditional] = STATE(108),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(919),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(923),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_TILDE_AT] = ACTIONS(927),
    [sym_gensym] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [202] = {
    [sym__anything] = STATE(118),
    [sym__literals] = STATE(118),
    [sym__collection_literals] = STATE(118),
    [sym_boolean] = STATE(118),
    [sym_number] = STATE(118),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(118),
    [sym_character] = STATE(118),
    [sym__character] = STATE(36),
    [sym_string] = STATE(118),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(118),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(118),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(118),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(118),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(118),
    [sym_list] = STATE(118),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(118),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(118),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(118),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(118),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(118),
    [sym_anonymous_function] = STATE(118),
    [sym_shorthand_function] = STATE(118),
    [sym_defn] = STATE(118),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(118),
    [sym_var_quote] = STATE(118),
    [sym_unquote] = STATE(118),
    [sym_unquote_splice] = STATE(118),
    [sym_deref] = STATE(118),
    [sym_tagged_literal] = STATE(118),
    [sym_reader_conditional] = STATE(118),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(245),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(919),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(923),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_TILDE_AT] = ACTIONS(927),
    [sym_gensym] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [203] = {
    [sym__anything] = STATE(120),
    [sym__literals] = STATE(120),
    [sym__collection_literals] = STATE(120),
    [sym_boolean] = STATE(120),
    [sym_number] = STATE(120),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(120),
    [sym_character] = STATE(120),
    [sym__character] = STATE(36),
    [sym_string] = STATE(120),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(120),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(120),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(120),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(120),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(120),
    [sym_list] = STATE(120),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(120),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(120),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(120),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(120),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(120),
    [sym_anonymous_function] = STATE(120),
    [sym_shorthand_function] = STATE(120),
    [sym_defn] = STATE(120),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(120),
    [sym_var_quote] = STATE(120),
    [sym_unquote] = STATE(120),
    [sym_unquote_splice] = STATE(120),
    [sym_deref] = STATE(120),
    [sym_tagged_literal] = STATE(120),
    [sym_reader_conditional] = STATE(120),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(249),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(919),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(251),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(923),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_TILDE_AT] = ACTIONS(927),
    [sym_gensym] = ACTIONS(251),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [204] = {
    [sym__anything] = STATE(121),
    [sym__literals] = STATE(121),
    [sym__collection_literals] = STATE(121),
    [sym_boolean] = STATE(121),
    [sym_number] = STATE(121),
    [sym__number] = STATE(35),
    [sym_number_long] = STATE(35),
    [sym_symbolic_value] = STATE(121),
    [sym_character] = STATE(121),
    [sym__character] = STATE(36),
    [sym_string] = STATE(121),
    [sym__string] = STATE(37),
    [sym_regex] = STATE(121),
    [sym__regex] = STATE(38),
    [sym_quote] = STATE(121),
    [sym__quote] = STATE(39),
    [sym_keyword] = STATE(121),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [sym_symbol] = STATE(121),
    [sym__symbol] = STATE(41),
    [sym_threading_macro] = STATE(41),
    [sym_qualified_symbol] = STATE(41),
    [sym__qualified_symbol] = STATE(42),
    [sym_interop] = STATE(121),
    [sym_list] = STATE(121),
    [sym__list] = STATE(43),
    [sym_vector] = STATE(121),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(121),
    [sym__hash_map] = STATE(45),
    [sym_namespace_map] = STATE(45),
    [sym_set] = STATE(121),
    [sym__set] = STATE(46),
    [sym_comment] = STATE(121),
    [sym_semicolon] = STATE(47),
    [sym_shebang_line] = STATE(47),
    [sym_ignore_form] = STATE(47),
    [sym_comment_macro] = STATE(47),
    [sym__functions] = STATE(121),
    [sym_anonymous_function] = STATE(121),
    [sym_shorthand_function] = STATE(121),
    [sym_defn] = STATE(121),
    [sym_metadata] = STATE(48),
    [sym__metadata_map] = STATE(49),
    [sym_metadata_shorthand] = STATE(52),
    [sym_syntax_quote] = STATE(121),
    [sym_var_quote] = STATE(121),
    [sym_unquote] = STATE(121),
    [sym_unquote_splice] = STATE(121),
    [sym_deref] = STATE(121),
    [sym_tagged_literal] = STATE(121),
    [sym_reader_conditional] = STATE(121),
    [sym__reader_conditional_symbol] = STATE(50),
    [aux_sym_metadata_repeat1] = STATE(52),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym__normal_long] = ACTIONS(11),
    [sym__number_hex] = ACTIONS(11),
    [sym__number_arbitrary_radix] = ACTIONS(11),
    [sym__number_octal] = ACTIONS(11),
    [sym_number_double] = ACTIONS(13),
    [sym_number_bigint] = ACTIONS(15),
    [sym_number_bigdecimal] = ACTIONS(13),
    [sym_number_ratio] = ACTIONS(13),
    [anon_sym_POUND_POUND] = ACTIONS(17),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_POUND_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_LPARENquote] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(31),
    [anon_sym_DASH_GT] = ACTIONS(33),
    [anon_sym_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_as_DASH_GT] = ACTIONS(35),
    [anon_sym_some_DASH_GT] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(35),
    [anon_sym_cond_DASH_GT] = ACTIONS(33),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(35),
    [sym__symbol_chars] = ACTIONS(37),
    [sym_member_access] = ACTIONS(39),
    [sym_field_access] = ACTIONS(39),
    [sym_new_class] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(47),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(49),
    [anon_sym_POUND_LBRACE] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_POUND_BANG] = ACTIONS(55),
    [anon_sym_POUND_] = ACTIONS(919),
    [anon_sym_POUND_LPAREN] = ACTIONS(59),
    [sym_shorthand_function_arg] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(63),
    [anon_sym_CARET_COLON] = ACTIONS(65),
    [anon_sym_CARET_DQUOTE] = ACTIONS(67),
    [anon_sym_BQUOTE] = ACTIONS(923),
    [anon_sym_POUND_SQUOTE] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_TILDE_AT] = ACTIONS(927),
    [sym_gensym] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_POUND] = ACTIONS(79),
    [anon_sym_POUND_QMARK] = ACTIONS(81),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(83),
  },
  [205] = {
    [anon_sym_RPAREN] = ACTIONS(978),
    [anon_sym_COLON] = ACTIONS(980),
    [anon_sym_COLON_COLON] = ACTIONS(978),
  },
  [206] = {
    [ts_builtin_sym_end] = ACTIONS(982),
    [sym_nil] = ACTIONS(984),
    [sym_true] = ACTIONS(984),
    [sym_false] = ACTIONS(984),
    [sym__normal_long] = ACTIONS(984),
    [sym__number_hex] = ACTIONS(984),
    [sym__number_arbitrary_radix] = ACTIONS(984),
    [sym__number_octal] = ACTIONS(984),
    [sym_number_double] = ACTIONS(982),
    [sym_number_bigint] = ACTIONS(984),
    [sym_number_bigdecimal] = ACTIONS(982),
    [sym_number_ratio] = ACTIONS(982),
    [anon_sym_POUND_POUND] = ACTIONS(982),
    [anon_sym_BSLASH] = ACTIONS(982),
    [anon_sym_DQUOTE] = ACTIONS(982),
    [anon_sym_POUND_DQUOTE] = ACTIONS(982),
    [anon_sym_SQUOTE] = ACTIONS(982),
    [anon_sym_LPARENquote] = ACTIONS(982),
    [anon_sym_RPAREN] = ACTIONS(982),
    [anon_sym_COLON] = ACTIONS(984),
    [anon_sym_COLON_COLON] = ACTIONS(982),
    [anon_sym_DASH_GT] = ACTIONS(984),
    [anon_sym_DASH_GT_GT] = ACTIONS(982),
    [anon_sym_as_DASH_GT] = ACTIONS(982),
    [anon_sym_some_DASH_GT] = ACTIONS(984),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(982),
    [anon_sym_cond_DASH_GT] = ACTIONS(984),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(982),
    [sym__symbol_chars] = ACTIONS(984),
    [sym_member_access] = ACTIONS(982),
    [sym_field_access] = ACTIONS(982),
    [sym_new_class] = ACTIONS(982),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_LBRACK] = ACTIONS(982),
    [anon_sym_RBRACK] = ACTIONS(982),
    [anon_sym_LBRACE] = ACTIONS(982),
    [anon_sym_RBRACE] = ACTIONS(982),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(982),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(982),
    [anon_sym_POUND_LBRACE] = ACTIONS(982),
    [anon_sym_SEMI] = ACTIONS(982),
    [anon_sym_POUND_BANG] = ACTIONS(982),
    [anon_sym_POUND_] = ACTIONS(982),
    [anon_sym_POUND_LPAREN] = ACTIONS(982),
    [sym_shorthand_function_arg] = ACTIONS(982),
    [anon_sym_CARET] = ACTIONS(984),
    [anon_sym_CARET_COLON] = ACTIONS(982),
    [anon_sym_CARET_DQUOTE] = ACTIONS(982),
    [anon_sym_BQUOTE] = ACTIONS(982),
    [anon_sym_POUND_SQUOTE] = ACTIONS(982),
    [anon_sym_TILDE] = ACTIONS(984),
    [anon_sym_TILDE_AT] = ACTIONS(982),
    [sym_gensym] = ACTIONS(982),
    [anon_sym_AT] = ACTIONS(982),
    [anon_sym_POUND] = ACTIONS(984),
    [anon_sym_POUND_QMARK] = ACTIONS(984),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(982),
  },
  [207] = {
    [sym_keyword] = STATE(175),
    [sym__keyword] = STATE(40),
    [sym__unqualified_keyword] = STATE(40),
    [sym_qualified_keyword] = STATE(40),
    [aux_sym_reader_conditional_repeat1] = STATE(207),
    [anon_sym_RPAREN] = ACTIONS(978),
    [anon_sym_COLON] = ACTIONS(986),
    [anon_sym_COLON_COLON] = ACTIONS(989),
  },
  [208] = {
    [sym__hex_char] = ACTIONS(992),
  },
  [209] = {
    [anon_sym_DQUOTE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(661),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(661),
  },
  [210] = {
    [anon_sym_RPAREN] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(994),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(996),
    [sym_nil] = ACTIONS(998),
    [sym_true] = ACTIONS(998),
    [sym_false] = ACTIONS(998),
    [sym__normal_long] = ACTIONS(998),
    [sym__number_hex] = ACTIONS(998),
    [sym__number_arbitrary_radix] = ACTIONS(998),
    [sym__number_octal] = ACTIONS(998),
    [sym_number_double] = ACTIONS(996),
    [sym_number_bigint] = ACTIONS(998),
    [sym_number_bigdecimal] = ACTIONS(996),
    [sym_number_ratio] = ACTIONS(996),
    [anon_sym_POUND_POUND] = ACTIONS(996),
    [anon_sym_BSLASH] = ACTIONS(996),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [anon_sym_POUND_DQUOTE] = ACTIONS(996),
    [anon_sym_SQUOTE] = ACTIONS(996),
    [anon_sym_LPARENquote] = ACTIONS(996),
    [anon_sym_RPAREN] = ACTIONS(996),
    [anon_sym_COLON] = ACTIONS(998),
    [anon_sym_COLON_COLON] = ACTIONS(996),
    [anon_sym_DASH_GT] = ACTIONS(998),
    [anon_sym_DASH_GT_GT] = ACTIONS(996),
    [anon_sym_as_DASH_GT] = ACTIONS(996),
    [anon_sym_some_DASH_GT] = ACTIONS(998),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(996),
    [anon_sym_cond_DASH_GT] = ACTIONS(998),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(996),
    [sym__symbol_chars] = ACTIONS(998),
    [sym_member_access] = ACTIONS(996),
    [sym_field_access] = ACTIONS(996),
    [sym_new_class] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_RBRACK] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_RBRACE] = ACTIONS(996),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(996),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(996),
    [anon_sym_POUND_LBRACE] = ACTIONS(996),
    [anon_sym_SEMI] = ACTIONS(996),
    [anon_sym_POUND_BANG] = ACTIONS(996),
    [anon_sym_POUND_] = ACTIONS(996),
    [anon_sym_POUND_LPAREN] = ACTIONS(996),
    [sym_shorthand_function_arg] = ACTIONS(996),
    [anon_sym_CARET] = ACTIONS(998),
    [anon_sym_CARET_COLON] = ACTIONS(996),
    [anon_sym_CARET_DQUOTE] = ACTIONS(996),
    [anon_sym_BQUOTE] = ACTIONS(996),
    [anon_sym_POUND_SQUOTE] = ACTIONS(996),
    [anon_sym_TILDE] = ACTIONS(998),
    [anon_sym_TILDE_AT] = ACTIONS(996),
    [sym_gensym] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(996),
    [anon_sym_POUND] = ACTIONS(998),
    [anon_sym_POUND_QMARK] = ACTIONS(998),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(996),
  },
  [212] = {
    [anon_sym_LPAREN] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(343),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(343),
  },
  [213] = {
    [aux_sym__string_repeat1] = STATE(134),
    [anon_sym_DQUOTE] = ACTIONS(1000),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(349),
    [aux_sym_SLASH_LBRACK_CARET_DQUOTE_RBRACK_SLASH] = ACTIONS(349),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(1002),
    [sym_nil] = ACTIONS(1004),
    [sym_true] = ACTIONS(1004),
    [sym_false] = ACTIONS(1004),
    [sym__normal_long] = ACTIONS(1004),
    [sym__number_hex] = ACTIONS(1004),
    [sym__number_arbitrary_radix] = ACTIONS(1004),
    [sym__number_octal] = ACTIONS(1004),
    [sym_number_double] = ACTIONS(1002),
    [sym_number_bigint] = ACTIONS(1004),
    [sym_number_bigdecimal] = ACTIONS(1002),
    [sym_number_ratio] = ACTIONS(1002),
    [anon_sym_POUND_POUND] = ACTIONS(1002),
    [anon_sym_BSLASH] = ACTIONS(1002),
    [anon_sym_DQUOTE] = ACTIONS(1002),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1002),
    [anon_sym_LPARENquote] = ACTIONS(1002),
    [anon_sym_RPAREN] = ACTIONS(1002),
    [anon_sym_COLON] = ACTIONS(1004),
    [anon_sym_COLON_COLON] = ACTIONS(1002),
    [anon_sym_DASH_GT] = ACTIONS(1004),
    [anon_sym_DASH_GT_GT] = ACTIONS(1002),
    [anon_sym_as_DASH_GT] = ACTIONS(1002),
    [anon_sym_some_DASH_GT] = ACTIONS(1004),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1002),
    [anon_sym_cond_DASH_GT] = ACTIONS(1004),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1002),
    [sym__symbol_chars] = ACTIONS(1004),
    [sym_member_access] = ACTIONS(1002),
    [sym_field_access] = ACTIONS(1002),
    [sym_new_class] = ACTIONS(1002),
    [anon_sym_LPAREN] = ACTIONS(1004),
    [anon_sym_LBRACK] = ACTIONS(1002),
    [anon_sym_RBRACK] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_RBRACE] = ACTIONS(1002),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1002),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(1002),
    [anon_sym_POUND_LBRACE] = ACTIONS(1002),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_POUND_BANG] = ACTIONS(1002),
    [anon_sym_POUND_] = ACTIONS(1002),
    [anon_sym_POUND_LPAREN] = ACTIONS(1002),
    [sym_shorthand_function_arg] = ACTIONS(1002),
    [anon_sym_CARET] = ACTIONS(1004),
    [anon_sym_CARET_COLON] = ACTIONS(1002),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1002),
    [anon_sym_BQUOTE] = ACTIONS(1002),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1002),
    [anon_sym_TILDE] = ACTIONS(1004),
    [anon_sym_TILDE_AT] = ACTIONS(1002),
    [sym_gensym] = ACTIONS(1002),
    [anon_sym_AT] = ACTIONS(1002),
    [anon_sym_POUND] = ACTIONS(1004),
    [anon_sym_POUND_QMARK] = ACTIONS(1004),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1002),
  },
  [215] = {
    [anon_sym_RPAREN] = ACTIONS(1006),
  },
  [216] = {
    [sym_vector] = STATE(148),
    [sym__vector] = STATE(44),
    [sym__after_the_fn_name] = STATE(222),
    [sym__single_arity_fn] = STATE(222),
    [sym__multi_arity_fn] = STATE(222),
    [sym_params] = STATE(151),
    [aux_sym__multi_arity_fn_repeat1] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_LBRACK] = ACTIONS(43),
  },
  [217] = {
    [sym_vector] = STATE(148),
    [sym__vector] = STATE(44),
    [sym_hash_map] = STATE(190),
    [sym__hash_map] = STATE(116),
    [sym_namespace_map] = STATE(116),
    [sym__after_the_fn_name] = STATE(222),
    [sym__single_arity_fn] = STATE(222),
    [sym__multi_arity_fn] = STATE(222),
    [sym_params] = STATE(151),
    [sym_attr_map] = STATE(223),
    [aux_sym__multi_arity_fn_repeat1] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_LBRACK] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(237),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(239),
  },
  [218] = {
    [anon_sym_DASH_GT] = ACTIONS(974),
    [anon_sym_DASH_GT_GT] = ACTIONS(972),
    [anon_sym_as_DASH_GT] = ACTIONS(972),
    [anon_sym_some_DASH_GT] = ACTIONS(974),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(972),
    [anon_sym_cond_DASH_GT] = ACTIONS(974),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(972),
    [sym__symbol_chars] = ACTIONS(974),
    [anon_sym_LPAREN] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(972),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(972),
    [anon_sym_POUND_LBRACE] = ACTIONS(972),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(1008),
    [sym_nil] = ACTIONS(1010),
    [sym_true] = ACTIONS(1010),
    [sym_false] = ACTIONS(1010),
    [sym__normal_long] = ACTIONS(1010),
    [sym__number_hex] = ACTIONS(1010),
    [sym__number_arbitrary_radix] = ACTIONS(1010),
    [sym__number_octal] = ACTIONS(1010),
    [sym_number_double] = ACTIONS(1008),
    [sym_number_bigint] = ACTIONS(1010),
    [sym_number_bigdecimal] = ACTIONS(1008),
    [sym_number_ratio] = ACTIONS(1008),
    [anon_sym_POUND_POUND] = ACTIONS(1008),
    [anon_sym_BSLASH] = ACTIONS(1008),
    [anon_sym_DQUOTE] = ACTIONS(1008),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1008),
    [anon_sym_SQUOTE] = ACTIONS(1008),
    [anon_sym_LPARENquote] = ACTIONS(1008),
    [anon_sym_RPAREN] = ACTIONS(1008),
    [anon_sym_COLON] = ACTIONS(1010),
    [anon_sym_COLON_COLON] = ACTIONS(1008),
    [anon_sym_DASH_GT] = ACTIONS(1010),
    [anon_sym_DASH_GT_GT] = ACTIONS(1008),
    [anon_sym_as_DASH_GT] = ACTIONS(1008),
    [anon_sym_some_DASH_GT] = ACTIONS(1010),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1008),
    [anon_sym_cond_DASH_GT] = ACTIONS(1010),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1008),
    [sym__symbol_chars] = ACTIONS(1010),
    [sym_member_access] = ACTIONS(1008),
    [sym_field_access] = ACTIONS(1008),
    [sym_new_class] = ACTIONS(1008),
    [anon_sym_LPAREN] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1008),
    [anon_sym_RBRACK] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_RBRACE] = ACTIONS(1008),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1008),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(1008),
    [anon_sym_POUND_LBRACE] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1008),
    [anon_sym_POUND_BANG] = ACTIONS(1008),
    [anon_sym_POUND_] = ACTIONS(1008),
    [anon_sym_POUND_LPAREN] = ACTIONS(1008),
    [sym_shorthand_function_arg] = ACTIONS(1008),
    [anon_sym_CARET] = ACTIONS(1010),
    [anon_sym_CARET_COLON] = ACTIONS(1008),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1008),
    [anon_sym_BQUOTE] = ACTIONS(1008),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1008),
    [anon_sym_TILDE] = ACTIONS(1010),
    [anon_sym_TILDE_AT] = ACTIONS(1008),
    [sym_gensym] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1008),
    [anon_sym_POUND] = ACTIONS(1010),
    [anon_sym_POUND_QMARK] = ACTIONS(1010),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1008),
  },
  [220] = {
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(637),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(637),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(1012),
    [sym_nil] = ACTIONS(1014),
    [sym_true] = ACTIONS(1014),
    [sym_false] = ACTIONS(1014),
    [sym__normal_long] = ACTIONS(1014),
    [sym__number_hex] = ACTIONS(1014),
    [sym__number_arbitrary_radix] = ACTIONS(1014),
    [sym__number_octal] = ACTIONS(1014),
    [sym_number_double] = ACTIONS(1012),
    [sym_number_bigint] = ACTIONS(1014),
    [sym_number_bigdecimal] = ACTIONS(1012),
    [sym_number_ratio] = ACTIONS(1012),
    [anon_sym_POUND_POUND] = ACTIONS(1012),
    [anon_sym_BSLASH] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1012),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1012),
    [anon_sym_SQUOTE] = ACTIONS(1012),
    [anon_sym_LPARENquote] = ACTIONS(1012),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_COLON_COLON] = ACTIONS(1012),
    [anon_sym_DASH_GT] = ACTIONS(1014),
    [anon_sym_DASH_GT_GT] = ACTIONS(1012),
    [anon_sym_as_DASH_GT] = ACTIONS(1012),
    [anon_sym_some_DASH_GT] = ACTIONS(1014),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1012),
    [anon_sym_cond_DASH_GT] = ACTIONS(1014),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1012),
    [sym__symbol_chars] = ACTIONS(1014),
    [sym_member_access] = ACTIONS(1012),
    [sym_field_access] = ACTIONS(1012),
    [sym_new_class] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_RBRACK] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1012),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(1012),
    [anon_sym_POUND_LBRACE] = ACTIONS(1012),
    [anon_sym_SEMI] = ACTIONS(1012),
    [anon_sym_POUND_BANG] = ACTIONS(1012),
    [anon_sym_POUND_] = ACTIONS(1012),
    [anon_sym_POUND_LPAREN] = ACTIONS(1012),
    [sym_shorthand_function_arg] = ACTIONS(1012),
    [anon_sym_CARET] = ACTIONS(1014),
    [anon_sym_CARET_COLON] = ACTIONS(1012),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1012),
    [anon_sym_BQUOTE] = ACTIONS(1012),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1014),
    [anon_sym_TILDE_AT] = ACTIONS(1012),
    [sym_gensym] = ACTIONS(1012),
    [anon_sym_AT] = ACTIONS(1012),
    [anon_sym_POUND] = ACTIONS(1014),
    [anon_sym_POUND_QMARK] = ACTIONS(1014),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1012),
  },
  [222] = {
    [anon_sym_RPAREN] = ACTIONS(1016),
  },
  [223] = {
    [sym_vector] = STATE(148),
    [sym__vector] = STATE(44),
    [sym__after_the_fn_name] = STATE(225),
    [sym__single_arity_fn] = STATE(225),
    [sym__multi_arity_fn] = STATE(225),
    [sym_params] = STATE(151),
    [aux_sym__multi_arity_fn_repeat1] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_LBRACK] = ACTIONS(43),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(1018),
    [sym_nil] = ACTIONS(1020),
    [sym_true] = ACTIONS(1020),
    [sym_false] = ACTIONS(1020),
    [sym__normal_long] = ACTIONS(1020),
    [sym__number_hex] = ACTIONS(1020),
    [sym__number_arbitrary_radix] = ACTIONS(1020),
    [sym__number_octal] = ACTIONS(1020),
    [sym_number_double] = ACTIONS(1018),
    [sym_number_bigint] = ACTIONS(1020),
    [sym_number_bigdecimal] = ACTIONS(1018),
    [sym_number_ratio] = ACTIONS(1018),
    [anon_sym_POUND_POUND] = ACTIONS(1018),
    [anon_sym_BSLASH] = ACTIONS(1018),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1018),
    [anon_sym_SQUOTE] = ACTIONS(1018),
    [anon_sym_LPARENquote] = ACTIONS(1018),
    [anon_sym_RPAREN] = ACTIONS(1018),
    [anon_sym_COLON] = ACTIONS(1020),
    [anon_sym_COLON_COLON] = ACTIONS(1018),
    [anon_sym_DASH_GT] = ACTIONS(1020),
    [anon_sym_DASH_GT_GT] = ACTIONS(1018),
    [anon_sym_as_DASH_GT] = ACTIONS(1018),
    [anon_sym_some_DASH_GT] = ACTIONS(1020),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1018),
    [anon_sym_cond_DASH_GT] = ACTIONS(1020),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1018),
    [sym__symbol_chars] = ACTIONS(1020),
    [sym_member_access] = ACTIONS(1018),
    [sym_field_access] = ACTIONS(1018),
    [sym_new_class] = ACTIONS(1018),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_LBRACK] = ACTIONS(1018),
    [anon_sym_RBRACK] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1018),
    [anon_sym_RBRACE] = ACTIONS(1018),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1018),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(1018),
    [anon_sym_POUND_LBRACE] = ACTIONS(1018),
    [anon_sym_SEMI] = ACTIONS(1018),
    [anon_sym_POUND_BANG] = ACTIONS(1018),
    [anon_sym_POUND_] = ACTIONS(1018),
    [anon_sym_POUND_LPAREN] = ACTIONS(1018),
    [sym_shorthand_function_arg] = ACTIONS(1018),
    [anon_sym_CARET] = ACTIONS(1020),
    [anon_sym_CARET_COLON] = ACTIONS(1018),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1018),
    [anon_sym_BQUOTE] = ACTIONS(1018),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1020),
    [anon_sym_TILDE_AT] = ACTIONS(1018),
    [sym_gensym] = ACTIONS(1018),
    [anon_sym_AT] = ACTIONS(1018),
    [anon_sym_POUND] = ACTIONS(1020),
    [anon_sym_POUND_QMARK] = ACTIONS(1020),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1018),
  },
  [225] = {
    [anon_sym_RPAREN] = ACTIONS(1022),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1024),
    [sym_nil] = ACTIONS(1026),
    [sym_true] = ACTIONS(1026),
    [sym_false] = ACTIONS(1026),
    [sym__normal_long] = ACTIONS(1026),
    [sym__number_hex] = ACTIONS(1026),
    [sym__number_arbitrary_radix] = ACTIONS(1026),
    [sym__number_octal] = ACTIONS(1026),
    [sym_number_double] = ACTIONS(1024),
    [sym_number_bigint] = ACTIONS(1026),
    [sym_number_bigdecimal] = ACTIONS(1024),
    [sym_number_ratio] = ACTIONS(1024),
    [anon_sym_POUND_POUND] = ACTIONS(1024),
    [anon_sym_BSLASH] = ACTIONS(1024),
    [anon_sym_DQUOTE] = ACTIONS(1024),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1024),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [anon_sym_LPARENquote] = ACTIONS(1024),
    [anon_sym_RPAREN] = ACTIONS(1024),
    [anon_sym_COLON] = ACTIONS(1026),
    [anon_sym_COLON_COLON] = ACTIONS(1024),
    [anon_sym_DASH_GT] = ACTIONS(1026),
    [anon_sym_DASH_GT_GT] = ACTIONS(1024),
    [anon_sym_as_DASH_GT] = ACTIONS(1024),
    [anon_sym_some_DASH_GT] = ACTIONS(1026),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1024),
    [anon_sym_cond_DASH_GT] = ACTIONS(1026),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1024),
    [sym__symbol_chars] = ACTIONS(1026),
    [sym_member_access] = ACTIONS(1024),
    [sym_field_access] = ACTIONS(1024),
    [sym_new_class] = ACTIONS(1024),
    [anon_sym_LPAREN] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(1024),
    [anon_sym_RBRACK] = ACTIONS(1024),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1024),
    [aux_sym_SLASH_BSLASH_POUND_BSLASH_COLON_LBRACKa_DASHzA_DASHZ_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_RBRACK_LBRACKa_DASHzA_DASHZ0_DASH9_BSLASH_STAR_BSLASH_PLUS_BSLASH_BANG_BSLASH_DASH_BSLASH_BSLASH_QMARK_BSLASH_SQUOTE_BSLASH_COLON_RBRACK_STAR_SLASH] = ACTIONS(1024),
    [anon_sym_POUND_LBRACE] = ACTIONS(1024),
    [anon_sym_SEMI] = ACTIONS(1024),
    [anon_sym_POUND_BANG] = ACTIONS(1024),
    [anon_sym_POUND_] = ACTIONS(1024),
    [anon_sym_POUND_LPAREN] = ACTIONS(1024),
    [sym_shorthand_function_arg] = ACTIONS(1024),
    [anon_sym_CARET] = ACTIONS(1026),
    [anon_sym_CARET_COLON] = ACTIONS(1024),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1024),
    [anon_sym_BQUOTE] = ACTIONS(1024),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1024),
    [anon_sym_TILDE] = ACTIONS(1026),
    [anon_sym_TILDE_AT] = ACTIONS(1024),
    [sym_gensym] = ACTIONS(1024),
    [anon_sym_AT] = ACTIONS(1024),
    [anon_sym_POUND] = ACTIONS(1026),
    [anon_sym_POUND_QMARK] = ACTIONS(1026),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1024),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = true}, RECOVER(),
  [3] = {.count = 1, .reusable = false}, RECOVER(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(51),
  [9] = {.count = 1, .reusable = false}, SHIFT(2),
  [11] = {.count = 1, .reusable = false}, SHIFT(3),
  [13] = {.count = 1, .reusable = true}, SHIFT(35),
  [15] = {.count = 1, .reusable = false}, SHIFT(35),
  [17] = {.count = 1, .reusable = true}, SHIFT(4),
  [19] = {.count = 1, .reusable = true}, SHIFT(5),
  [21] = {.count = 1, .reusable = true}, SHIFT(6),
  [23] = {.count = 1, .reusable = true}, SHIFT(7),
  [25] = {.count = 1, .reusable = true}, SHIFT(8),
  [27] = {.count = 1, .reusable = true}, SHIFT(9),
  [29] = {.count = 1, .reusable = false}, SHIFT(10),
  [31] = {.count = 1, .reusable = true}, SHIFT(11),
  [33] = {.count = 1, .reusable = false}, SHIFT(12),
  [35] = {.count = 1, .reusable = true}, SHIFT(12),
  [37] = {.count = 1, .reusable = false}, SHIFT(13),
  [39] = {.count = 1, .reusable = true}, SHIFT(14),
  [41] = {.count = 1, .reusable = false}, SHIFT(15),
  [43] = {.count = 1, .reusable = true}, SHIFT(16),
  [45] = {.count = 1, .reusable = true}, SHIFT(17),
  [47] = {.count = 1, .reusable = true}, SHIFT(18),
  [49] = {.count = 1, .reusable = true}, SHIFT(19),
  [51] = {.count = 1, .reusable = true}, SHIFT(20),
  [53] = {.count = 1, .reusable = true}, SHIFT(21),
  [55] = {.count = 1, .reusable = true}, SHIFT(22),
  [57] = {.count = 1, .reusable = true}, SHIFT(23),
  [59] = {.count = 1, .reusable = true}, SHIFT(24),
  [61] = {.count = 1, .reusable = true}, SHIFT(51),
  [63] = {.count = 1, .reusable = false}, SHIFT(25),
  [65] = {.count = 1, .reusable = true}, SHIFT(26),
  [67] = {.count = 1, .reusable = true}, SHIFT(27),
  [69] = {.count = 1, .reusable = true}, SHIFT(28),
  [71] = {.count = 1, .reusable = true}, SHIFT(29),
  [73] = {.count = 1, .reusable = false}, SHIFT(30),
  [75] = {.count = 1, .reusable = true}, SHIFT(31),
  [77] = {.count = 1, .reusable = true}, SHIFT(32),
  [79] = {.count = 1, .reusable = false}, SHIFT(33),
  [81] = {.count = 1, .reusable = false}, SHIFT(50),
  [83] = {.count = 1, .reusable = true}, SHIFT(50),
  [85] = {.count = 1, .reusable = true}, REDUCE(sym_boolean, 1),
  [87] = {.count = 1, .reusable = false}, REDUCE(sym_boolean, 1),
  [89] = {.count = 1, .reusable = true}, REDUCE(sym_number_long, 1),
  [91] = {.count = 1, .reusable = false}, REDUCE(sym_number_long, 1),
  [93] = {.count = 1, .reusable = true}, SHIFT(53),
  [95] = {.count = 1, .reusable = false}, SHIFT(54),
  [97] = {.count = 1, .reusable = false}, SHIFT(55),
  [99] = {.count = 1, .reusable = false}, SHIFT(56),
  [101] = {.count = 1, .reusable = false}, SHIFT(57),
  [103] = {.count = 1, .reusable = false}, SHIFT(58),
  [105] = {.count = 1, .reusable = false}, SHIFT(59),
  [107] = {.count = 1, .reusable = false}, SHIFT(60),
  [109] = {.count = 1, .reusable = false}, SHIFT(61),
  [111] = {.count = 1, .reusable = true}, SHIFT(61),
  [113] = {.count = 1, .reusable = false}, SHIFT(67),
  [115] = {.count = 1, .reusable = true}, SHIFT(62),
  [117] = {.count = 1, .reusable = true}, SHIFT(63),
  [119] = {.count = 1, .reusable = true}, SHIFT(67),
  [121] = {.count = 1, .reusable = true}, SHIFT(64),
  [123] = {.count = 1, .reusable = false}, SHIFT(65),
  [125] = {.count = 1, .reusable = true}, SHIFT(66),
  [127] = {.count = 1, .reusable = true}, SHIFT(68),
  [129] = {.count = 1, .reusable = true}, SHIFT(69),
  [131] = {.count = 1, .reusable = true}, REDUCE(sym_threading_macro, 1),
  [133] = {.count = 1, .reusable = false}, REDUCE(sym_threading_macro, 1),
  [135] = {.count = 1, .reusable = true}, REDUCE(sym__symbol, 1),
  [137] = {.count = 1, .reusable = false}, REDUCE(sym__symbol, 1),
  [139] = {.count = 1, .reusable = true}, SHIFT(70),
  [141] = {.count = 1, .reusable = true}, REDUCE(sym_interop, 1),
  [143] = {.count = 1, .reusable = false}, REDUCE(sym_interop, 1),
  [145] = {.count = 1, .reusable = false}, SHIFT(80),
  [147] = {.count = 1, .reusable = true}, SHIFT(71),
  [149] = {.count = 1, .reusable = true}, SHIFT(72),
  [151] = {.count = 1, .reusable = true}, SHIFT(73),
  [153] = {.count = 1, .reusable = false}, SHIFT(74),
  [155] = {.count = 1, .reusable = false}, SHIFT(75),
  [157] = {.count = 1, .reusable = true}, SHIFT(80),
  [159] = {.count = 1, .reusable = false}, SHIFT(76),
  [161] = {.count = 1, .reusable = true}, SHIFT(77),
  [163] = {.count = 1, .reusable = false}, SHIFT(78),
  [165] = {.count = 1, .reusable = true}, SHIFT(79),
  [167] = {.count = 1, .reusable = false}, SHIFT(87),
  [169] = {.count = 1, .reusable = true}, SHIFT(81),
  [171] = {.count = 1, .reusable = true}, SHIFT(82),
  [173] = {.count = 1, .reusable = true}, SHIFT(83),
  [175] = {.count = 1, .reusable = true}, SHIFT(87),
  [177] = {.count = 1, .reusable = true}, SHIFT(84),
  [179] = {.count = 1, .reusable = false}, SHIFT(85),
  [181] = {.count = 1, .reusable = true}, SHIFT(86),
  [183] = {.count = 1, .reusable = false}, SHIFT(94),
  [185] = {.count = 1, .reusable = true}, SHIFT(88),
  [187] = {.count = 1, .reusable = true}, SHIFT(89),
  [189] = {.count = 1, .reusable = true}, SHIFT(90),
  [191] = {.count = 1, .reusable = true}, SHIFT(94),
  [193] = {.count = 1, .reusable = true}, SHIFT(91),
  [195] = {.count = 1, .reusable = false}, SHIFT(92),
  [197] = {.count = 1, .reusable = true}, SHIFT(93),
  [199] = {.count = 1, .reusable = true}, SHIFT(96),
  [201] = {.count = 1, .reusable = true}, SHIFT(98),
  [203] = {.count = 1, .reusable = false}, SHIFT(105),
  [205] = {.count = 1, .reusable = true}, SHIFT(99),
  [207] = {.count = 1, .reusable = true}, SHIFT(100),
  [209] = {.count = 1, .reusable = true}, SHIFT(101),
  [211] = {.count = 1, .reusable = true}, SHIFT(105),
  [213] = {.count = 1, .reusable = true}, SHIFT(102),
  [215] = {.count = 1, .reusable = false}, SHIFT(103),
  [217] = {.count = 1, .reusable = true}, SHIFT(104),
  [219] = {.count = 1, .reusable = false}, SHIFT(106),
  [221] = {.count = 1, .reusable = false}, SHIFT(107),
  [223] = {.count = 1, .reusable = false}, SHIFT(108),
  [225] = {.count = 1, .reusable = true}, SHIFT(108),
  [227] = {.count = 1, .reusable = false}, SHIFT(110),
  [229] = {.count = 1, .reusable = true}, SHIFT(109),
  [231] = {.count = 1, .reusable = true}, SHIFT(110),
  [233] = {.count = 1, .reusable = true}, SHIFT(111),
  [235] = {.count = 1, .reusable = true}, SHIFT(112),
  [237] = {.count = 1, .reusable = true}, SHIFT(113),
  [239] = {.count = 1, .reusable = true}, SHIFT(114),
  [241] = {.count = 1, .reusable = false}, SHIFT(111),
  [243] = {.count = 1, .reusable = false}, SHIFT(117),
  [245] = {.count = 1, .reusable = false}, SHIFT(118),
  [247] = {.count = 1, .reusable = true}, SHIFT(118),
  [249] = {.count = 1, .reusable = false}, SHIFT(120),
  [251] = {.count = 1, .reusable = true}, SHIFT(120),
  [253] = {.count = 1, .reusable = false}, SHIFT(121),
  [255] = {.count = 1, .reusable = true}, SHIFT(121),
  [257] = {.count = 1, .reusable = true}, SHIFT(122),
  [259] = {.count = 1, .reusable = true}, SHIFT(124),
  [261] = {.count = 1, .reusable = true}, ACCEPT_INPUT(),
  [263] = {.count = 1, .reusable = true}, REDUCE(sym_number, 1),
  [265] = {.count = 1, .reusable = false}, REDUCE(sym_number, 1),
  [267] = {.count = 1, .reusable = true}, REDUCE(sym_character, 1),
  [269] = {.count = 1, .reusable = false}, REDUCE(sym_character, 1),
  [271] = {.count = 1, .reusable = true}, REDUCE(sym_string, 1),
  [273] = {.count = 1, .reusable = false}, REDUCE(sym_string, 1),
  [275] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 1),
  [277] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 1),
  [279] = {.count = 1, .reusable = true}, REDUCE(sym_quote, 1),
  [281] = {.count = 1, .reusable = false}, REDUCE(sym_quote, 1),
  [283] = {.count = 1, .reusable = true}, REDUCE(sym_keyword, 1),
  [285] = {.count = 1, .reusable = false}, REDUCE(sym_keyword, 1),
  [287] = {.count = 1, .reusable = true}, REDUCE(sym_symbol, 1),
  [289] = {.count = 1, .reusable = false}, REDUCE(sym_symbol, 1),
  [291] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_symbol, 1),
  [293] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_symbol, 1),
  [295] = {.count = 1, .reusable = true}, REDUCE(sym_list, 1),
  [297] = {.count = 1, .reusable = false}, REDUCE(sym_list, 1),
  [299] = {.count = 1, .reusable = true}, REDUCE(sym_vector, 1),
  [301] = {.count = 1, .reusable = false}, REDUCE(sym_vector, 1),
  [303] = {.count = 1, .reusable = true}, REDUCE(sym_hash_map, 1),
  [305] = {.count = 1, .reusable = false}, REDUCE(sym_hash_map, 1),
  [307] = {.count = 1, .reusable = true}, REDUCE(sym_set, 1),
  [309] = {.count = 1, .reusable = false}, REDUCE(sym_set, 1),
  [311] = {.count = 1, .reusable = true}, REDUCE(sym_comment, 1),
  [313] = {.count = 1, .reusable = false}, REDUCE(sym_comment, 1),
  [315] = {.count = 1, .reusable = false}, REDUCE(sym_metadata, 1),
  [317] = {.count = 1, .reusable = true}, REDUCE(sym_metadata, 1),
  [319] = {.count = 1, .reusable = true}, SHIFT(127),
  [321] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [323] = {.count = 1, .reusable = false}, SHIFT(128),
  [325] = {.count = 1, .reusable = true}, SHIFT(128),
  [327] = {.count = 1, .reusable = false}, SHIFT(129),
  [329] = {.count = 1, .reusable = true}, REDUCE(sym_symbolic_value, 2),
  [331] = {.count = 1, .reusable = false}, REDUCE(sym_symbolic_value, 2),
  [333] = {.count = 1, .reusable = true}, REDUCE(sym__character, 2),
  [335] = {.count = 1, .reusable = false}, REDUCE(sym__character, 2),
  [337] = {.count = 1, .reusable = true}, SHIFT(131),
  [339] = {.count = 1, .reusable = true}, SHIFT(132),
  [341] = {.count = 1, .reusable = false}, SHIFT(132),
  [343] = {.count = 1, .reusable = true}, REDUCE(sym__string, 2),
  [345] = {.count = 1, .reusable = false}, REDUCE(sym__string, 2),
  [347] = {.count = 1, .reusable = false}, SHIFT(133),
  [349] = {.count = 1, .reusable = false}, SHIFT(134),
  [351] = {.count = 1, .reusable = true}, REDUCE(sym__regex, 2),
  [353] = {.count = 1, .reusable = false}, REDUCE(sym__regex, 2),
  [355] = {.count = 1, .reusable = false}, SHIFT(135),
  [357] = {.count = 1, .reusable = false}, SHIFT(136),
  [359] = {.count = 1, .reusable = true}, REDUCE(sym__quote, 2),
  [361] = {.count = 1, .reusable = false}, REDUCE(sym__quote, 2),
  [363] = {.count = 1, .reusable = true}, SHIFT(137),
  [365] = {.count = 1, .reusable = true}, REDUCE(sym__unqualified_keyword, 2),
  [367] = {.count = 1, .reusable = false}, REDUCE(sym__unqualified_keyword, 2),
  [369] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_keyword, 2),
  [371] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_keyword, 2),
  [373] = {.count = 1, .reusable = true}, SHIFT(138),
  [375] = {.count = 1, .reusable = true}, SHIFT(139),
  [377] = {.count = 1, .reusable = true}, REDUCE(sym__list, 2),
  [379] = {.count = 1, .reusable = false}, REDUCE(sym__list, 2),
  [381] = {.count = 1, .reusable = false}, SHIFT(141),
  [383] = {.count = 1, .reusable = true}, SHIFT(140),
  [385] = {.count = 1, .reusable = true}, SHIFT(141),
  [387] = {.count = 1, .reusable = false}, SHIFT(142),
  [389] = {.count = 1, .reusable = true}, SHIFT(142),
  [391] = {.count = 1, .reusable = false}, SHIFT(143),
  [393] = {.count = 1, .reusable = true}, SHIFT(144),
  [395] = {.count = 1, .reusable = false}, SHIFT(157),
  [397] = {.count = 1, .reusable = true}, SHIFT(156),
  [399] = {.count = 1, .reusable = true}, SHIFT(157),
  [401] = {.count = 1, .reusable = true}, REDUCE(sym__vector, 2),
  [403] = {.count = 1, .reusable = false}, REDUCE(sym__vector, 2),
  [405] = {.count = 1, .reusable = false}, SHIFT(159),
  [407] = {.count = 1, .reusable = true}, SHIFT(158),
  [409] = {.count = 1, .reusable = true}, SHIFT(159),
  [411] = {.count = 1, .reusable = true}, REDUCE(sym__hash_map, 2),
  [413] = {.count = 1, .reusable = false}, REDUCE(sym__hash_map, 2),
  [415] = {.count = 1, .reusable = false}, SHIFT(160),
  [417] = {.count = 1, .reusable = true}, SHIFT(160),
  [419] = {.count = 1, .reusable = true}, SHIFT(161),
  [421] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_map, 2),
  [423] = {.count = 1, .reusable = false}, REDUCE(sym_namespace_map, 2),
  [425] = {.count = 1, .reusable = true}, SHIFT(163),
  [427] = {.count = 1, .reusable = true}, REDUCE(sym__set, 2),
  [429] = {.count = 1, .reusable = false}, REDUCE(sym__set, 2),
  [431] = {.count = 1, .reusable = false}, SHIFT(166),
  [433] = {.count = 1, .reusable = true}, SHIFT(165),
  [435] = {.count = 1, .reusable = true}, SHIFT(166),
  [437] = {.count = 1, .reusable = true}, REDUCE(sym_semicolon, 2),
  [439] = {.count = 1, .reusable = false}, REDUCE(sym_semicolon, 2),
  [441] = {.count = 1, .reusable = true}, REDUCE(sym_shebang_line, 2),
  [443] = {.count = 1, .reusable = false}, REDUCE(sym_shebang_line, 2),
  [445] = {.count = 1, .reusable = true}, REDUCE(sym_ignore_form, 2),
  [447] = {.count = 1, .reusable = false}, REDUCE(sym_ignore_form, 2),
  [449] = {.count = 1, .reusable = true}, REDUCE(sym_shorthand_function, 2),
  [451] = {.count = 1, .reusable = false}, REDUCE(sym_shorthand_function, 2),
  [453] = {.count = 1, .reusable = true}, SHIFT(167),
  [455] = {.count = 1, .reusable = false}, REDUCE(sym_metadata_shorthand, 2),
  [457] = {.count = 1, .reusable = true}, REDUCE(sym_metadata_shorthand, 2),
  [459] = {.count = 1, .reusable = true}, SHIFT(168),
  [461] = {.count = 1, .reusable = true}, SHIFT(170),
  [463] = {.count = 1, .reusable = true}, SHIFT(172),
  [465] = {.count = 1, .reusable = false}, REDUCE(sym__metadata_map, 2),
  [467] = {.count = 1, .reusable = true}, REDUCE(sym__metadata_map, 2),
  [469] = {.count = 1, .reusable = false}, SHIFT(173),
  [471] = {.count = 1, .reusable = true}, REDUCE(sym_syntax_quote, 2),
  [473] = {.count = 1, .reusable = false}, REDUCE(sym_syntax_quote, 2),
  [475] = {.count = 1, .reusable = true}, REDUCE(sym_var_quote, 2),
  [477] = {.count = 1, .reusable = false}, REDUCE(sym_var_quote, 2),
  [479] = {.count = 1, .reusable = true}, REDUCE(sym_unquote, 2),
  [481] = {.count = 1, .reusable = false}, REDUCE(sym_unquote, 2),
  [483] = {.count = 1, .reusable = true}, REDUCE(sym_unquote_splice, 2),
  [485] = {.count = 1, .reusable = false}, REDUCE(sym_unquote_splice, 2),
  [487] = {.count = 1, .reusable = true}, REDUCE(sym_deref, 2),
  [489] = {.count = 1, .reusable = false}, REDUCE(sym_deref, 2),
  [491] = {.count = 1, .reusable = true}, REDUCE(sym_tagged_literal, 2),
  [493] = {.count = 1, .reusable = false}, REDUCE(sym_tagged_literal, 2),
  [495] = {.count = 1, .reusable = true}, REDUCE(sym__collection_literals, 2),
  [497] = {.count = 1, .reusable = false}, REDUCE(sym__collection_literals, 2),
  [499] = {.count = 1, .reusable = true}, SHIFT(174),
  [501] = {.count = 1, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2),
  [503] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(128),
  [506] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2),
  [509] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [512] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(35),
  [515] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(35),
  [518] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4),
  [521] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [524] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6),
  [527] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [530] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(8),
  [533] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(9),
  [536] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(10),
  [539] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(11),
  [542] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(12),
  [545] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(12),
  [548] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(13),
  [551] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(14),
  [554] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(15),
  [557] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(16),
  [560] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(17),
  [563] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(18),
  [566] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(19),
  [569] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(20),
  [572] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(21),
  [575] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(22),
  [578] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(23),
  [581] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(24),
  [584] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(128),
  [587] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(25),
  [590] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(26),
  [593] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(27),
  [596] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(28),
  [599] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(29),
  [602] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(30),
  [605] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(31),
  [608] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(32),
  [611] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(33),
  [614] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(50),
  [617] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(50),
  [620] = {.count = 1, .reusable = true}, REDUCE(aux_sym_metadata_repeat1, 2),
  [622] = {.count = 2, .reusable = false}, REDUCE(aux_sym_metadata_repeat1, 2), SHIFT_REPEAT(129),
  [625] = {.count = 2, .reusable = true}, REDUCE(aux_sym_metadata_repeat1, 2), SHIFT_REPEAT(26),
  [628] = {.count = 2, .reusable = true}, REDUCE(aux_sym_metadata_repeat1, 2), SHIFT_REPEAT(27),
  [631] = {.count = 1, .reusable = true}, SHIFT(177),
  [633] = {.count = 1, .reusable = true}, REDUCE(sym__octal_char, 2),
  [635] = {.count = 1, .reusable = false}, REDUCE(sym__octal_char, 2),
  [637] = {.count = 1, .reusable = true}, REDUCE(sym__string, 3),
  [639] = {.count = 1, .reusable = false}, REDUCE(sym__string, 3),
  [641] = {.count = 1, .reusable = false}, REDUCE(aux_sym__string_repeat1, 2),
  [643] = {.count = 2, .reusable = false}, REDUCE(aux_sym__string_repeat1, 2), SHIFT_REPEAT(134),
  [646] = {.count = 1, .reusable = true}, REDUCE(sym__regex, 3),
  [648] = {.count = 1, .reusable = false}, REDUCE(sym__regex, 3),
  [650] = {.count = 1, .reusable = false}, REDUCE(aux_sym__regex_repeat1, 2),
  [652] = {.count = 2, .reusable = false}, REDUCE(aux_sym__regex_repeat1, 2), SHIFT_REPEAT(136),
  [655] = {.count = 1, .reusable = true}, REDUCE(sym__quote, 3),
  [657] = {.count = 1, .reusable = false}, REDUCE(sym__quote, 3),
  [659] = {.count = 1, .reusable = true}, SHIFT(178),
  [661] = {.count = 1, .reusable = true}, REDUCE(sym__qualified_symbol, 3),
  [663] = {.count = 1, .reusable = false}, REDUCE(sym__qualified_symbol, 3),
  [665] = {.count = 1, .reusable = true}, REDUCE(sym_comment_macro, 3),
  [667] = {.count = 1, .reusable = false}, REDUCE(sym_comment_macro, 3),
  [669] = {.count = 1, .reusable = true}, SHIFT(179),
  [671] = {.count = 1, .reusable = true}, SHIFT(180),
  [673] = {.count = 1, .reusable = true}, REDUCE(sym_function_name, 1),
  [675] = {.count = 1, .reusable = false}, REDUCE(sym_params, 1),
  [677] = {.count = 1, .reusable = true}, REDUCE(sym_params, 1),
  [679] = {.count = 1, .reusable = true}, SHIFT(182),
  [681] = {.count = 1, .reusable = false}, SHIFT(185),
  [683] = {.count = 1, .reusable = true}, REDUCE(sym__single_arity_fn, 1),
  [685] = {.count = 1, .reusable = true}, SHIFT(185),
  [687] = {.count = 1, .reusable = true}, REDUCE(sym__multi_arity_fn, 1),
  [689] = {.count = 1, .reusable = true}, SHIFT(187),
  [691] = {.count = 1, .reusable = true}, REDUCE(sym__list, 3),
  [693] = {.count = 1, .reusable = false}, REDUCE(sym__list, 3),
  [695] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(157),
  [698] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(71),
  [701] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(73),
  [704] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(157),
  [707] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(77),
  [710] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(78),
  [713] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(79),
  [716] = {.count = 1, .reusable = true}, REDUCE(sym__vector, 3),
  [718] = {.count = 1, .reusable = false}, REDUCE(sym__vector, 3),
  [720] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(159),
  [723] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(81),
  [726] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(83),
  [729] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(159),
  [732] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(84),
  [735] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(85),
  [738] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(86),
  [741] = {.count = 1, .reusable = false}, REDUCE(sym__hash_map_kv_pair, 2),
  [743] = {.count = 1, .reusable = true}, REDUCE(sym__hash_map_kv_pair, 2),
  [745] = {.count = 1, .reusable = true}, REDUCE(sym__hash_map, 3),
  [747] = {.count = 1, .reusable = false}, REDUCE(sym__hash_map, 3),
  [749] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(94),
  [752] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(2),
  [755] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(3),
  [758] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(35),
  [761] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(35),
  [764] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(4),
  [767] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(5),
  [770] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(6),
  [773] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(7),
  [776] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(88),
  [779] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(9),
  [782] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(10),
  [785] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(11),
  [788] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(12),
  [791] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(12),
  [794] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(13),
  [797] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(14),
  [800] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(15),
  [803] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(16),
  [806] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(17),
  [809] = {.count = 1, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2),
  [811] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(18),
  [814] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(19),
  [817] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(20),
  [820] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(21),
  [823] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(22),
  [826] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(90),
  [829] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(24),
  [832] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(94),
  [835] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(25),
  [838] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(26),
  [841] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(27),
  [844] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(91),
  [847] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(29),
  [850] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(92),
  [853] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(93),
  [856] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(32),
  [859] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(33),
  [862] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(50),
  [865] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(50),
  [868] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_map, 3),
  [870] = {.count = 1, .reusable = false}, REDUCE(sym_namespace_map, 3),
  [872] = {.count = 1, .reusable = true}, SHIFT(196),
  [874] = {.count = 1, .reusable = true}, REDUCE(sym__set, 3),
  [876] = {.count = 1, .reusable = false}, REDUCE(sym__set, 3),
  [878] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(166),
  [881] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(99),
  [884] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(101),
  [887] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(166),
  [890] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(102),
  [893] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(103),
  [896] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(104),
  [899] = {.count = 1, .reusable = true}, REDUCE(sym_shorthand_function, 3),
  [901] = {.count = 1, .reusable = false}, REDUCE(sym_shorthand_function, 3),
  [903] = {.count = 1, .reusable = true}, SHIFT(197),
  [905] = {.count = 1, .reusable = true}, SHIFT(198),
  [907] = {.count = 1, .reusable = false}, REDUCE(sym_metadata_shorthand, 3),
  [909] = {.count = 1, .reusable = true}, REDUCE(sym_metadata_shorthand, 3),
  [911] = {.count = 1, .reusable = true}, REDUCE(sym_reader_conditional, 3),
  [913] = {.count = 1, .reusable = false}, REDUCE(sym_reader_conditional, 3),
  [915] = {.count = 1, .reusable = false}, SHIFT(205),
  [917] = {.count = 1, .reusable = true}, SHIFT(200),
  [919] = {.count = 1, .reusable = true}, SHIFT(201),
  [921] = {.count = 1, .reusable = true}, SHIFT(205),
  [923] = {.count = 1, .reusable = true}, SHIFT(202),
  [925] = {.count = 1, .reusable = false}, SHIFT(203),
  [927] = {.count = 1, .reusable = true}, SHIFT(204),
  [929] = {.count = 1, .reusable = true}, SHIFT(206),
  [931] = {.count = 1, .reusable = true}, SHIFT(208),
  [933] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_keyword, 4),
  [935] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_keyword, 4),
  [937] = {.count = 1, .reusable = true}, REDUCE(sym_comment_macro, 4),
  [939] = {.count = 1, .reusable = false}, REDUCE(sym_comment_macro, 4),
  [941] = {.count = 1, .reusable = true}, SHIFT(209),
  [943] = {.count = 1, .reusable = true}, SHIFT(210),
  [945] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_function, 4),
  [947] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_function, 4),
  [949] = {.count = 1, .reusable = true}, SHIFT(211),
  [951] = {.count = 1, .reusable = true}, REDUCE(sym__single_arity_fn, 2),
  [953] = {.count = 1, .reusable = true}, REDUCE(sym_function_body, 1),
  [955] = {.count = 1, .reusable = true}, REDUCE(aux_sym__multi_arity_fn_repeat1, 2),
  [957] = {.count = 2, .reusable = true}, REDUCE(aux_sym__multi_arity_fn_repeat1, 2), SHIFT_REPEAT(144),
  [960] = {.count = 1, .reusable = false}, SHIFT(212),
  [962] = {.count = 1, .reusable = false}, SHIFT(213),
  [964] = {.count = 1, .reusable = true}, REDUCE(sym_docstring, 1),
  [966] = {.count = 1, .reusable = true}, REDUCE(sym_attr_map, 1),
  [968] = {.count = 1, .reusable = true}, SHIFT(214),
  [970] = {.count = 1, .reusable = false}, REDUCE(aux_sym_metadata_repeat1, 2),
  [972] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_map, 4),
  [974] = {.count = 1, .reusable = false}, REDUCE(sym_namespace_map, 4),
  [976] = {.count = 1, .reusable = true}, SHIFT(218),
  [978] = {.count = 1, .reusable = true}, REDUCE(aux_sym_reader_conditional_repeat1, 2),
  [980] = {.count = 1, .reusable = false}, REDUCE(aux_sym_reader_conditional_repeat1, 2),
  [982] = {.count = 1, .reusable = true}, REDUCE(sym_reader_conditional, 4),
  [984] = {.count = 1, .reusable = false}, REDUCE(sym_reader_conditional, 4),
  [986] = {.count = 2, .reusable = false}, REDUCE(aux_sym_reader_conditional_repeat1, 2), SHIFT_REPEAT(10),
  [989] = {.count = 2, .reusable = true}, REDUCE(aux_sym_reader_conditional_repeat1, 2), SHIFT_REPEAT(11),
  [992] = {.count = 1, .reusable = true}, SHIFT(219),
  [994] = {.count = 1, .reusable = true}, REDUCE(aux_sym__multi_arity_fn_repeat1, 3),
  [996] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_function, 5),
  [998] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_function, 5),
  [1000] = {.count = 1, .reusable = false}, SHIFT(220),
  [1002] = {.count = 1, .reusable = true}, REDUCE(sym_defn, 5),
  [1004] = {.count = 1, .reusable = false}, REDUCE(sym_defn, 5),
  [1006] = {.count = 1, .reusable = true}, SHIFT(221),
  [1008] = {.count = 1, .reusable = true}, REDUCE(sym__unicode_char, 5),
  [1010] = {.count = 1, .reusable = false}, REDUCE(sym__unicode_char, 5),
  [1012] = {.count = 1, .reusable = true}, REDUCE(sym_defn, 6),
  [1014] = {.count = 1, .reusable = false}, REDUCE(sym_defn, 6),
  [1016] = {.count = 1, .reusable = true}, SHIFT(224),
  [1018] = {.count = 1, .reusable = true}, REDUCE(sym_defn, 7),
  [1020] = {.count = 1, .reusable = false}, REDUCE(sym_defn, 7),
  [1022] = {.count = 1, .reusable = true}, SHIFT(226),
  [1024] = {.count = 1, .reusable = true}, REDUCE(sym_defn, 8),
  [1026] = {.count = 1, .reusable = false}, REDUCE(sym_defn, 8),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_clojure() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
